# Co nowego w NVDA

## 2024.4

W tej wersji dodano dużo poprawek dla Microsoft Office, brajla, i wsparcie formatowania dokumentów.

W programach Word i Excel, można dwukrotnie nacisnąć skrót klawiszowy dla odczytu komentarza lub notatki, w celu pokazania zawartości w trybie czytania.
Od teraz można używać poleceń do zaznaczania za pomocą kursora przeglądu w programie Powerpoint.
NVDA więcej nie pokazuje bezsensowne znaki podczas wyświetlania tekstu nagłówka wiersza lub kolumny w tabelach w programie Word podczas używania modelu obiektowego.

Od teraz można konfigurować oddzielnie zgłaszanie atrybutów czcionki mową i brajlem.

Dodano nowe ustawienie, pozwalające ustawić czas wygasania do wypełnienia polecenia wymagającego wielokrotnego naciskania klawisza, takiego jak wymawianie daty i czasu.

Od teraz można ustawić sposó, w jaki NVDA wyświetli formatowanie tekstu, a także jak mają być wyświetlane początek i koniec akapitu.
NVDA od teraz może wymawiać znak pod kursorem podczas naciskania klawisza routing.
Niezawodność klawiszy routing zostałą ulepszona, a także dodano ich wsparcie w programie Powerpoint.
Wszystkie linie komórek od teraz będą używane podczas używania wielowierszowego monitora brajlowskiego za pomocą protokołu Hid braille.
NVDA już nie jest niestabilny po ponownym uruchomieniu podczas automatycznego skanowania monitorów brajlowskich używających Bluetooth.

Minimalna wymagana wersja programu Poedit działająca z NVDA od teraz to wersja 3.5.

eSpeak NG został zaktualizowany z dodanymi językami farerski i Xextan.

LibLouis został zaktualizowany, dodając nowe tablice brajlowskie dla tajskiego i międzynarodowego greckiego z akcentowanymi literami w jednej komórce.

Naprawiono także dużo błędów, włączając w to błędy z śledzeniem myszy w programie Firefox, a także trybem mowy na żądanie.

### Nowe funkcje

* Nowe funkcje brajla:
  * Możliwa jest teraz zmiana sposobu, w jaki NVDA wyświetla niektóre atrybuty formatowania tekstu w brajlu.
    Dostępne opcje to:
    * Liblouis (domyślnie): Używa znaczników formatowania zdefiniowanych w wybranej tablicy brajlowskiej.
    * Znaczniki: Używa znaczników początkowych i końcowych do oznaczania początku i końca określonych atrybutów czcionki. (#16864)
  * Gdy włączona jest opcja "Czytaj akapitami", NVDA może być teraz skonfigurowana tak, aby wskazywała początek akapitów w alfabecie Braille'a. (#16895, @nvdaes)
  * Podczas naciskania klawisza routing, NVDA może teraz automatycznie wymawiać znak znajdujący się pod kursorem. (#8072, @LeonarddeR)
    * Ta opcja jest domyślnie wyłączona.
      Możesz włączyć opcję "wymawiaj znak gdy naciśnięty jest klawisz routing" w ustawieniach brajla NVDA.
* Polecenie komentarza w programie Microsoft Word i polecenie notatek w programie Microsoft Excel można teraz nacisnąć dwukrotnie, aby wyświetlić komentarz lub notatkę w wiadomości, którą można przeglądać. (#16800, #16878, @Cary-Rowen)
* NVDA można teraz skonfigurować tak, aby zgłąszać atrybuty czcionek mową i brajlem oddzielnie. (#16755)
* Limit czasu na wykonanie wielu naciśnięć jest teraz konfigurowalny; Może to być szczególnie przydatne dla osób z zaburzeniami zręczności. (#11929, @CyrilleB79)

### Zmiany

* Opcje wiersza poleceń '-c'/'--config-path' i '--disable-addons' są teraz respektowane podczas uruchamiania aktualizacji z poziomu NVDA. (#16937)
* Aktualizacje komponentów:
  * Zaktualizowano LibLouis Braille translator do wersji [3.31.0](https://github.com/liblouis/liblouis/releases/tag/v3.31.0). (#17080, @LeonarddeR, @codeofdusk)
    * Poprawiono tłumaczenie liczb w hiszpańskim brajlu.
    * Nowe tablice brajlowskie:
      * Tajski pismo pełne
      * Grecki alfabet Braille'a (jednokomórkowe litery akcentowane)
    * Zmieniono nazwy tablic brajlowskich:
      * Nazwa "tajski sześciopunktowy" została zmieniona na "Tajski pismo podstawowe" ze względu na spójność.
      * Istniejąca tablica "Grecki międzynarodowy alfabet Braille'a" została przemianowana na "Grecki międzynarodowy alfabet Braille'a (2-komórkowe litery akcentowane)", aby wyjaśnić różnicę między dwoma systemami zapisu greki.
  * eSpeak NG został zaktualizowany do wersji 1.52-dev commit '961454ff'. (#16775)
    * Dodano nowe języki: farerski i xextan.
* W przypadku korzystania z wielowierszowego monitora brajlowskiego za pośrednictwem standardowego sterownika brajlowskiego HID, używane będą wszystkie wiersze komórek. (#16993, @alexmoon)
* Stabilność obsługi Poedit w NVDA została poprawiona z efektem ubocznym, że minimalną wymaganą wersją Poedit jest od teraz wersja 3.5. (#16889, @LeonarddeR)

### Poprawki błędów

* Poprawki brajla:
  * Od teraz jest możliwe używanie klawiszy routing monitora brajlowskiego do przesuwania kursora tekstowego w programie Microsoft PowerPoint. (#9101)
  * Podczas uzyskiwania dostępu do programu Microsoft Word bez automatyzacji interfejsu użytkownika, NVDA nie wyprowadza już znaków śmieci w nagłówkach tabeli zdefiniowanych za pomocą poleceń ustawiania wiersza i nagłówka kolumny. (#7212)
  * Sterownik Seika Notetaker teraz poprawnie generuje dane wejściowe Braille'a dla spacji, backspace i kropek z gestami spacji/backspace. (#16642, @school510587)
  * Klawisze routing są teraz znacznie bardziej niezawodne, gdy wiersz zawiera jeden lub więcej selektorów odmian Unicode lub zdekomponowanych znaków. (#10960, @mltony, @LeonarddeR)
  * NVDA nie zgłasza już błędu podczas przesuwania monitora brajlowskiego do przodu w niektórych pustych pól edycyjnych. (#12885)
  * NVDA nie jest już niestabilna po ponownym uruchomieniu NVDA podczas automatycznego skanowania Bluetooth w poszukiwaniu monitorów brajlowskich. (#16933)
* Teraz można używać poleceń do zaznaczania tekstu kursora przeglądu w programie Microsoft PowerPoint. (#17004)
* W trybie mowy na żądanie, NVDA nie mówi już, gdy wiadomość jest otwierana w Outlooku, gdy nowa strona jest ładowana w przeglądarce lub gdy wyświetla nowy slajd w pokazie slajdów PowerPoint. (#16825, @CyrilleB79)
* W przeglądarce Mozilla Firefox przesunięcie kursora myszy nad tekstem przed lub po linku teraz niezawodnie informuje o tekście. (#15990, @jcsteh)
* NVDA nie powoduje już sporadycznych niepowodzeń w otwieraniu wiadomości, które można przeglądać (np. dwukrotne naciśnięcie "NVDA+f"). (#16806, @LeonarddeR)
* Gdy NVDA jest aktualizowana, a aktualizacje dodatków są w toku, nie powoduje już usunięcia dodatku. (#16837)
* Teraz można wchodzić w interakcje z listami rozwijanymi sprawdzania poprawności danych w programie Microsoft Excel 365. (#15138)
* NVDA nie jest już tak powolna podczas przewijania dużych plików w górę i w dół w VS Code. (#17039)
* NVDA nie przestaje odpowiadać po długim przytrzymaniu strzałki w trybie przeglądania, szczególnie w programach Microsoft Word i Microsoft Outlook. (#16812)
* NVDA nie czyta już ostatniego wiersza, gdy kursor znajduje się na przedostatnim wierszu wielowierszowej kontrolki edycji w aplikacjach Java. (#17027)

### Zmiany dla deweloperów

Zapoznaj się z [Przewodnikiem dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API), aby uzyskać informacje na temat procesu wycofywania i usuwania API NVDA.

* Aktualizacje komponentów:
  * Zaktualizowano py2exe do wersji 0.13.0.2 (#16907, @dpy013)
  * Zaktualizowano setuptools do wersji 72.0 (#16907, @dpy013)
  * Zaktualizowano Ruffa do wersji 0.5.6. (#16868, @LeonarddeR)
  * Zaktualizowano nh3 do wersji 0.2.18 (#17020, @dpy013)
* Dodano plik '.editorconfig' do repozytorium NVDA, aby kilka IDE mogło domyślnie pobierać podstawowe reguły stylu kodu NVDA. (#16795, @LeonarddeR)
* Dodano obsługę niestandardowych słowników symboli mowy. (#16739, #16823, @LeonarddeR)
  * Słowniki mogą być dostępne w folderach specyficznych dla ustawień regionalnych w pakiecie dodatkowym, np. 'locale\en'.
  * Metadane słownika można dodać do opcjonalnej sekcji "symbolDictionaries" w manifeście dodatku.
  * Aby uzyskać więcej informacji, zapoznaj się z sekcją [Słowniki niestandardowych symboli mowy w przewodniku dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#AddonSymbolDictionaries).
* Możliwe jest teraz przekierowywanie obiektów pobranych ze współrzędnych na ekranie za pomocą metody "NVDAObject.objectFromPointRedirect". (#16788, @Emil-18)
* Uruchomienie SCons z parametrem "--all-cores" automatycznie wybierze maksymalną liczbę dostępnych rdzeni procesora. (#16943, #16868, @LeonarddeR)
* Informacje dla deweloperów zawierają teraz informacje o architekturze aplikacji (takiej jak AMD64) dla obiektu navigator. (#16488, @josephsl)

#### Przestarzałe

* Klucz konfiguracji "bool" "[documentFormatting][reportFontAttributes]" jest przestarzały do usunięcia w 2025.1, zamiast tego użyj "[fontAttributeReporting]". (#16748)
  * Nowy klucz ma wartość "int" pasującą do "enum" "OutputMode" z opcjami mowy, brajla, mowy i braille'a oraz off.
  * Użytkownicy interfejsu API mogą używać wartości "bool", tak jak poprzednio, lub sprawdzić wartość "OutputMode", jeśli obsługuje konkretnie mowę lub alfabet Braille'a.
  * Te klucze są obecnie synchronizowane do wersji 2025.1.
* Wartość "NVDAObjects.UIA.InaccurateTextChangeEventEmittingEditableText" jest przestarzała bez zastępowania. (#16817, @LeonarddeR)

## 2024.3.1

Jest to wydanie poprawki mające na celu naprawienie błędu z automatycznym powiadomieniem o aktualizacji dodatku.

### Poprawki błędów

* Podczas automatycznego sprawdzania dostępności aktualizacji dodatków, NVDA nie zawiesza się już przy słabych połączeniach. (#17036)

## 2024.3

Sklep z dodatkami powiadomi Cię teraz, jeśli jakiekolwiek aktualizacje dodatków są dostępne podczas uruchamiania NVDA.

Dostępne są teraz opcje zastosowania normalizacji Unicode do wyjścia mowy i alfabetu Braille'a.
Może to być przydatne podczas odczytywania znaków, które są nieznane określonemu syntezatorowi mowy lub tablicy Braille'a i które mają kompatybilną alternatywę, taką jak pogrubienie i kursywa powszechnie używane w mediach społecznościowych.
Umożliwia także odczytywanie równań w edytorze równań Microsoft Word.

Monitory brajlowskie Help Tech Activator Pro są teraz obsługiwane.

Dodano nieprzypisane polecenia do przewijania kółka myszy w pionie i poziomie.

Istnieje kilka poprawek błędów, szczególnie w przypadku panelu emotikonów systemu Windows 11 i historii schowka.
W przypadku przeglądarek internetowych wprowadzono poprawki dotyczące raportowania komunikatów o błędach, rysunków, podpisów, etykiet tabel i elementów menu pól wyboru/przycisków radiowych.

LibLouis został zaktualizowany, dodając nowe tabele Braille'a dla cyrylicy serbskiej, jidysz, kilku starożytnych języków, tureckiego i międzynarodowego alfabetu fonetycznego.
eSpeak został zaktualizowany, dodając obsługę języka Karakałpak.
Zaktualizowano również Unicode CLDR.

### Nowe funkcje

* Nowe komendy klawiszowe:
  * Dodano nieprzypisane polecenia do przewijania kółka myszy w pionie i poziomie, aby usprawnić nawigację na stronach internetowych i aplikacjach z dynamiczną zawartością, takich jak Dism++. (#16462, @Cary-Rowen)
* Dodano obsługę normalizacji Unicode do wyjścia mowy i brajla. (#11570, #16466 @LeonarddeR).
  * Może to być przydatne podczas odczytywania znaków, które są nieznane określonemu syntezatorowi mowy lub tablicy Braille'a i które mają kompatybilną alternatywę, taką jak pogrubienie i kursywa powszechnie używane w mediach społecznościowych.
  * Umożliwia także odczytywanie równań w edytorze równań Microsoft Word. (#4631)
  * Możesz włączyć tę funkcję zarówno dla mowy, jak i alfabetu Braille'a w odpowiednich kategoriach ustawień w oknie dialogowym Ustawienia NVDA.
* Domyślnie, po uruchomieniu NVDA, zostaniesz powiadomiony, jeśli dostępne są jakiekolwiek aktualizacje dodatków. (#15035)
  * Można to wyłączyć w kategorii ustawień "Sklep z dodatkami".
  * NVDA codziennie sprawdza dostępność aktualizacji dodatków.
  * Sprawdzane będą tylko aktualizacje w ramach tego samego kanału (np. zainstalowane dodatki w wersji beta będą powiadamiać o aktualizacjach tylko w kanale beta).
* Dodano obsługę wyświetlaczy Help Tech Activator Pro. (#16668)

### Zmiany

* Aktualizacje komponentów:
  * eSpeak NG został zaktualizowany do wersji 1.52-dev commit '54ee11a79'. (#16495)
    * Dodano nowy język Karakałpak.
  * Zaktualizowano Unicode CLDR do wersji 45.0. (#16507, @OzancanKaratas)
  * Zaktualizowano fast_diff_match_patch (używany do wykrywania zmian w terminalach i innej zawartości dynamicznej) do wersji 2.1.0. (#16508, @codeofdusk)
  * Zaktualizowano tłumacza brajlowskiego LibLouis do wersji [3.30.0](https://github.com/liblouis/liblouis/releases/tag/v3.30.0). (#16652, @codeofdusk)
    * Nowe tablice brajlowskie:
      * Cyrylica serbska.
      * Jidysz.
      * niektóre języki starożytne: hebrajski biblijny, akadyjski, syryjski, ugarycki i transliterowany tekst pisma klinowego.
      * Tureckie skróty. (#16735)
      * Międzynarodowy alfabet fonetyczny. (#16773)
  * Zaktualizowano NSIS do wersji 3.10 (#16674, @dpy013)
  * Zaktualizowano znaczniki Markdown do wersji 3.6 (#16725, @dpy013)
  * Zaktualizowano nh3 do wersji 0.2.17 (#16725, @dpy013)
* Zastępcza tabela wejściowa brajlowska jest teraz równa rezerwowej tabeli wyjściowej, która jest ujednoliconym angielskim kodem Braille'a klasy 1. (#9863, @JulienCochuyt, @LeonarddeR)
* NVDA będzie teraz raportować dane bez dostępnych elementów podrzędnych, ale z etykietą lub opisem. (#14514)
* Podczas czytania wierszy w trybie przeglądania "podpis" nie jest już podawany w każdym wierszu długiego podpisu rysunku lub tabeli. (#14874)
* W konsoli Pythona ostatnie niewykonane polecenie nie zostanie już utracone podczas przechodzenia w historii danych wejściowych. (#16653, @CyrilleB79)
* Unikalny anonimowy identyfikator jest teraz wysyłany w ramach opcjonalnego zbierania statystyk użycia NVDA. (#16266)
* Domyślnie podczas tworzenia kopii przenośnej zostanie utworzony nowy folder.
Zostanie wyświetlony komunikat ostrzegawczy, jeśli spróbujesz zapisać dane do niepustego katalogu. (#16686)

### Poprawki błędów

* Poprawki systemu Windows 11:
  * NVDA nie będzie już sprawiać wrażenia, że zacina się po zamknięciu historii schowka i panelu emoji. (#16346, #16347, @josephsl)
  * NVDA ponownie ogłosi widocznych kandydatów po otwarciu interfejsu IME. (#14023, @josephsl)
  * NVDA nie będzie już dwukrotnie ogłaszać "historii schowka" podczas przechodzenia przez elementy menu panelu emoji. (#16532, @josephsl)
  * NVDA nie będzie już ucinać mowy i alfabetu Braille'a podczas przeglądania kaomoji i symboli w panelu emotikonów. (#16533, @josephsl)
* Poprawki w przeglądarkach internetowych:
  * Komunikaty o błędach, do których odwołuje się "aria-errormessage", są teraz zgłaszane w przeglądarkach Google Chrome i Mozilla Firefox. (#8318)
  * Jeśli jest obecna, NVDA będzie teraz używać 'aria-labelledby', aby zapewnić dostępne nazwy dla tabel w Mozilla Firefox. (#5183)
  * NVDA będzie poprawnie informować o elementach menu radiowego i pola wyboru przy pierwszym wejściu do podmenu w Google Chrome i Mozilla Firefox. (#14550)
  * Funkcja wyszukiwania w trybie przeglądania NVDA jest teraz dokładniejsza, gdy strona zawiera emotikony. (#16317, @LeonarddeR)
  * W przeglądarce Mozilla Firefox, NVDA teraz poprawnie zgłasza bieżący znak, słowo i linię, gdy kursor znajduje się w punkcie wstawiania na końcu wiersza. (#3156, @jcsteh)
  * Nie powoduje już awarii przeglądarki Google Chrome podczas zamykania dokumentu lub wychodzenia z niej. (#16893)
* NVDA poprawnie ogłosi sugestie autouzupełniania w Eclipse i innych środowiskach opartych na Eclipse w systemie Windows 11. (#16416, @thgcode)
* Poprawiono niezawodność automatycznego odczytu tekstu, szczególnie w aplikacjach terminalowych. (#15850, #16027, @Danstiv)
* Po raz kolejny możliwe jest niezawodne zresetowanie konfiguracji do ustawień fabrycznych. (#16755, @Emil-18)
* NVDA poprawnie ogłosi zmiany zaznaczenia podczas edycji tekstu komórki w programie Microsoft Excel. (#15843)
* W aplikacjach korzystających z Java Access Bridge, NVDA będzie teraz poprawnie odczytywać ostatnią pustą linię tekstu, zamiast powtarzać poprzednią linię. (#9376, @dmitrii-Drobotov)
* W LibreOffice Writer (wersja 24.8 i nowsze), podczas przełączania formatowania tekstu (pogrubienie, kursywa, podkreślenie, indeks dolny/górny, wyrównanie) za pomocą odpowiedniego skrótu klawiaturowego, NVDA ogłasza nowy atrybut formatowania (np. "Pogrubienie włączone", "Pogrubienie wyłączone"). (#4248, @michaelweghorn)
* Podczas nawigacji za pomocą kursora w polach tekstowych w aplikacjach, które korzystają z automatyzacji interfejsu użytkownika, NVDA nie zgłasza już czasami błędnego znaku, słowa itp. (#16711, @jcsteh)
* Podczas wklejania do kalkulatora systemu Windows 10/11, NVDA teraz poprawnie zgłasza pełną wklejoną liczbę. (#16573, @TristanBurchett)
* Mowa nie jest już cicha po rozłączeniu się z sesją pulpitu zdalnego i ponownym nawiązaniu z nią połączenia. (#16722, @jcsteh)
* Dodano obsługę poleceń przeglądu tekstu dla nazwy obiektu w Visual Studio Code. (#16248, @Cary-Rowen)
* Odtwarzanie dźwięków NVDA nie kończy się już niepowodzeniem na monofonicznym urządzeniu audio. (#16770, @jcsteh)
* NVDA będzie raportować adresy podczas przechodzenia przez pola Do/CC/BCC w outlook.com / Modern Outlook. (#16856)
* NVDA radzi sobie teraz z błędami instalacji dodatków bardziej wdzięcznie. (#16704)

### Zmiany dla deweloperów

* NVDA używa teraz Ruff zamiast flake8 do lintingu. (#14817)
* Naprawiono system kompilacji NVDA, aby działał poprawnie podczas korzystania z programu Visual Studio 2022 w wersji 17.10 lub nowszej. (#16480, @LeonarddeR)
* Czcionka o stałej szerokości jest teraz używana w Log Viewer i w konsoli NVDA Python, dzięki czemu kursor pozostaje w tej samej kolumnie podczas nawigacji pionowej.
Jest to szczególnie przydatne do odczytywania znaczników lokalizacji błędów w śledzeniach zwrotnych. (#16321, @CyrilleB79)
* Dodano obsługę niestandardowych tabel brajlowskich. (#3304, #16208, @JulienCochuyt, @LeonarddeR)
  * Tabele mogą być dostępne w folderze 'brailleTables' w pakiecie dodatkowym.
  * Metadane tabeli można dodać do opcjonalnej sekcji 'brailleTables' w manifeście dodatku lub do pliku '.ini' o tym samym formacie, który znajduje się w podkatalogu brailleTables w katalogu podręcznej.
  * Aby uzyskać więcej informacji, zapoznaj się z sekcją [tabele tłumaczeń brajlowskich w podręczniku dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#BrailleTables).
* Gdy zdarzenie "gainFocus" jest umieszczane w kolejce z obiektem, który ma prawidłową właściwość "focusRedirect", obiekt wskazywany przez właściwość "focusRedirect" jest teraz przechowywany przez obiekt "eventHandler.lastQueuedFocusObject", a nie przez obiekt pierwotnie umieszczony w kolejce. (#15843)
* NVDA zaloguje swoją architekturę wykonywalną (x86) podczas uruchamiania. (#16432, @josephsl)
* 'wx. CallAfter', który jest opakowany w 'monkeyPatches/wxMonkeyPatches.py', zawiera teraz poprawne wskazanie 'functools.wraps'. (#16520, @XLTechie)
* Pojawił się nowy moduł do planowania zadań 'utils.schedule', wykorzystujący moduł 'schedule'. (#16636)
  * Możesz użyć 'scheduleThread.scheduleDailyJobAtStartUp', aby automatycznie zaplanować zadanie, które ma miejsce po uruchomieniu NVDA, a następnie co 24 godziny.
  Zadania są planowane z opóźnieniem, aby uniknąć konfliktów.
  * Wartości "scheduleThread.scheduleDailyJob" i "scheduleJob" mogą służyć do planowania zadań w niestandardowych godzinach, w których zostanie zgłoszony błąd "JobClashError" w przypadku znanego konfliktu planowania zadań.
* Teraz można tworzyć moduły aplikacji dla aplikacji hostujących kontrolki Edge WebView2 (msedgewebview2.exe). (#16705, @josephsl)

## 2024.2

Pojawiła się nowa funkcja o nazwie podział dźwięku.
Pozwala to na rozdzielenie dźwięków NVDA na jeden kanał (np. lewy), podczas gdy dźwięki ze wszystkich innych aplikacji są kierowane do drugiego kanału (np. prawego).

Dodano nowe polecenia do modyfikowania ustawień w pierścieniu ustawień mowy, tym samym umożliwiając użytkownikowi przemieszczanie sie od pierwszego do ostatniego ustawienia, a także do zmniejszania lub zwiększania ustawień w większych krokach.
Dodano także nowe polecenia do szybkiej nawigacji, umożliwiając użytkownikowi przemieszczanie się pomiędzy: akapitami, pionowo wyrównanymi akapitami, tekstem tego samego stylu, tekstem różnego stylu, elementami menu, przyciskami przełączania, paskami postępu, figurami, i formułami matematycznymi.

Wprowadzono wiele nowych funkcji alfabetu Braille'a i poprawek błędów.
Dodano nowy tryb brajlowski o nazwie "wyświetl wyjście mowy".
Gdy monitor brajlowski jest aktywny, pokazuje dokładnie to, co mówi NVDA.
Dodano również obsługę monitorów BrailleEdgeS2 i BrailleEdgeS3.
LibLouis został zaktualizowany, dodając nowe szczegółowe (z zaznaczonymi wielkimi literami) białoruskie i ukraińskie tablice Braille'a, tabelę laotańską i hiszpańską tabelę do czytania tekstów greckich.

eSpeak został zaktualizowany, dodając nowy język Tigrinya.

Istnieje wiele drobnych poprawek błędów dla aplikacji, takich jak Thunderbird, Adobe Reader, przeglądarki internetowe, Nudi i Geekbench.

### Nowe funkcje

* Nowe komendy klawiszowe:
  * Nowe polecenie szybkiej nawigacji "p" do przeskakiwania do następnego/poprzedniego akapitu tekstu w trybie przeglądania. (#15998, @mltony)
  * Nowe nieprzypisane polecenia szybkiej nawigacji, których można użyć do przeskoczenia do następnego/poprzedniego:
    * Rysunek (#10826)
    * Akapit wyrównany w pionie (#15999, @mltony)
    * Pozycja menu (#16001, @mltony)
    * Przycisk przełączania (#16001, @mltony)
    * Pasek postępu (#16001, @mltony)
    * Formuła matematyczna (#16001, @mltony)
    * Tekst w tym samym stylu (#16000, @mltony)
    * Tekst w innym stylu (#16000, @mltony)
  * Dodano komendy do przeskakiwania pierwszego, ostatniego, do przodu i do tyłu przez pierścień ustawień syntezatora. (#13768, #16095, @rmcpantoja)
    * Ustawienie pierwszego/ostatniego ustawienia w pierścieniu ustawień syntezatora nie ma przypisanego gestu. (#13768)
    * Zmniejsz i zwiększ bieżące ustawienie pierścienia ustawień syntezatora w większym kroku (#13768):
      * Dla komputerów stacjonarnych: `NVDA+control+pageUp` or `NVDA+control+pageDown`.
      * Dla komputerów przenośnych: `NVDA+control+shift+pageUp` or `NVDA+control+shift+pageDown`.
  * Dodano nowy, nieprzypisany gest wejściowy, aby przełączać raportowanie rysunków i podpisów. (#10826, #14349)
* Przywołuje monitor brajlowski do komórki brajlowskiej |`routing`
  * Dodano obsługę monitorów BrailleEdgeS2 i BrailleEdgeS3. (#16033, #16279, @EdKweon)
  * Dodano nowy tryb brajlowski o nazwie "wyświetl wyjście mowy". (#15898, @Emil-18)
    * Gdy monitor brajlowski jest aktywny, pokazuje dokładnie to, co mówi NVDA.
    * można go włączać lub wyłączać za pomocą skrótu `NVDA+alt+t`, lub z okna dialogowego ustawień brajla.
* Podział dźwięku: (#12985, @mltony)
  * Umożliwia dzielenie dźwięków NVDA na jeden kanał (np. lewy), podczas gdy dźwięki ze wszystkich innych aplikacji są kierowane do drugiego kanału (np. prawego).
  * Przełączane przez 'NVDA+alt+s'.
* Raportowanie nagłówków wierszy i kolumn jest teraz obsługiwane w edytowalnych elementach HTML. (#14113)
* Dodano opcję wyłączenia raportowania rysunków i podpisów w ustawieniach formatowania dokumentu. (#10826, #14349)
* W systemie Windows 11 NVDA ogłosi alerty z pisania głosowego i sugerowane działania, w tym górną sugestię podczas kopiowania danych, takich jak numery telefonów, do schowka (aktualizacja Windows 11 2022 i nowsze). (#16009, @josephsl)
* NVDA utrzyma urządzenie audio w stanie czuwania po ustaniu mowy, aby zapobiec przycięciu początku następnej mowy za pomocą niektórych urządzeń audio, takich jak słuchawki Bluetooth. (#14386, @jcsteh, @mltony)
* Przeglądarka HP Secure Browser jest teraz obsługiwana. (#16377)

### Zmiany

* Sklep z dodatkami:
  * Minimalna i ostatnia testowana wersja NVDA dla dodatku są teraz wyświetlane w obszarze "inne szczegóły". (#15776, @Nael-Sayegh)
  * Akcja Opinie społeczności będzie dostępna we wszystkich zakładkach sklepu. (#16179, @nvdaes)
* Aktualizacje komponentów:
  * Zaktualizowano LibLouis Braille translator do wersji [3.29.0](https://github.com/liblouis/liblouis/releases/tag/v3.29.0). (#16259, @codeofdusk)
    * Nowe szczegółowe (z zaznaczonymi wielkimi literami) białoruskie i ukraińskie tablice brajlowskie.
    * Nowa hiszpańska tabela do czytania tekstów greckich.
    * Nowy stół dla Lao Grade 1. (#16470)
  * eSpeak NG został zaktualizowany do wersji 1.52-dev commit 'cb62d93fd7'. (#15913)
    * Dodano nowy język tigrinia.
* Zmieniono kilka gestów dla urządzeń BrailleSense, aby uniknąć konfliktów ze znakami francuskiej tablicy Braille'a. (#15306)
  * "alt+strzałka w lewo" jest teraz mapowana na "kropka2+kropka7+spacja"
  * Wartości "alt+strzałka w prawo" są teraz mapowane na "kropka5+kropka7+spacja".
  * "alt+strzałka w górę" jest teraz mapowana na "kropka2+kropka3+punkt7+spacja"
  * "alt+strzałka w dół" jest teraz mapowana na "kropka5+punkt6+punkt7+spacja"
* Dopełnienie kropek często używane w spisach treści nie jest już zgłaszane na niskich poziomach interpunkcji. (#15845, @CyrilleB79)

### Poprawki błędów

* Poprawki systemu Windows 11:
  * NVDA po raz kolejny ogłosi sugestie dotyczące wprowadzania danych z klawiatury sprzętowej. (#16283, @josephsl)
  * W wersji 24H2 (aktualizacja 2024 i Windows Server 2025) interakcja za pomocą myszy i dotyku może być używana w szybkich ustawieniach. (#16348, @josephsl)
* Sklep z dodatkami:
  * Po naciśnięciu "ctrl+tab" fokus zostanie prawidłowo przeniesiony do nowego tytułu bieżącej karty. (#14986, @ABuffEr)
  * Jeśli pliki pamięci podręcznej nie są poprawne, NVDA nie będzie się już uruchamiać ponownie. (#16362, @nvdaes)
* Poprawki dla przeglądarek opartych na silniku Chromium gdy są używane z Uia:
  * Naprawiono błędy powodujące zawieszanie się NVDA. (#16393, #16394)
  * Klawisz Backspace od teraz działa  prawidłowo w polach edycji logowania w Gmailu. (#16395)
* Backspace działa teraz poprawnie podczas korzystania z Nudi 6.1 z włączonym ustawieniem NVDA "Handle keys from other applications". (#15822, @jcsteh)
* Naprawiono błąd polegający na tym, że współrzędne audio były odtwarzane, gdy aplikacja jest w trybie uśpienia, gdy włączona jest opcja "Odtwarzaj współrzędne dźwiękowe, gdy mysz się porusza". (#8059, @hwf1324)
* W programie Adobe Reader NVDA nie ignoruje już tekstu alternatywnego ustawionego w formułach w plikach PDF. (#12715)
* Naprawiono błąd powodujący, że NVDA nie odczytywał wstążki i opcji w Geekbench. (#16251, @mzanm)
* Naprawiono rzadki przypadek, w którym zapisywanie konfiguracji mogło nie spowodować zapisania wszystkich profili. (#16343, @CyrilleB79)
* W przeglądarkach opartych na Firefoksie i Chromium, NVDA poprawnie przejdzie w tryb ostrości po naciśnięciu Enter, gdy zostanie umieszczony na liście prezentacyjnej (ul / ol) wewnątrz edytowalnej treści. (#16325)
* Zmiana stanu kolumny jest teraz poprawnie zgłaszana podczas wybierania kolumn do wyświetlenia na liście wiadomości Thunderbirda. (#16323)
* Przełącznik wiersza poleceń '-h'/'--help' znów działa poprawnie. (#16522, @XLTechie)
* Wsparcie dla programu Poedit używanego do tłumaczenia w wersji 3.4 lub nowszej, działa poprawnie podczas tłumaczenia na języki z jedną lub dwie formy liczby mnogiej (na przykład, dla chińskiego i polskiego). (#16318)

### Zmiany dla deweloperów

Zapoznaj się z [Przewodnikiem dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API), aby uzyskać informacje na temat procesu wycofywania i usuwania API NVDA.

* Tworzenie wystąpienia obiektów "winVersion.WinVersion" z nieznanymi wersjami systemu Windows powyżej 10.0.22000, takimi jak 10.0.25398, zwraca wartość "Windows 11 nieznany" zamiast "Windows 10 nieznany" jako nazwę wydania. (#15992, @josephsl)
* Ułatw proces kompilacji AppVeyor dla rozwidleń NVDA, dodając konfigurowalne zmienne w appveyor.yml do wyłączania lub modyfikowania określonych części skryptów kompilacji NV Access. (#16216, @XLTechie)
* Dodano dokument instruktażowy, wyjaśniający proces budowania forków NVDA na AppVeyor. (#16293, @XLTechie)

## 2024.1

Dodano nowy tryb mowy "na żądanie".
Gdy mowa jest na żądanie, NVDA nie mówi automatycznie (np. podczas przesuwania kursora), ale nadal mówi, gdy wywołuje polecenia, których celem jest jawne zgłoszenie czegoś (np. tytuł okna raportu).
W kategorii Mowa w ustawieniach NVDA można teraz wykluczyć niechciane tryby mowy z polecenia Przełącz tryby mowy ('NVDA+s').

Nowy tryb wyboru natywnego (przełączany przez 'NVDA+shift+f10') jest teraz dostępny w trybie przeglądania NVDA dla przeglądarki Mozilla Firefox.
Gdy ta opcja jest włączona, zaznaczanie tekstu w trybie przeglądania będzie również manipulować natywnym wyborem Firefoksa.
Kopiowanie tekstu za pomocą 'control+c' przejdzie prosto do Firefoksa, kopiując w ten sposób bogatą treść, a nie reprezentację zwykłego tekstu NVDA.

Sklep z dodatkami obsługuje teraz działania zbiorcze (np. instalowanie, włączanie dodatków) poprzez wybranie wielu dodatków
Dostępna jest nowa akcja umożliwiająca otwarcie strony z recenzjami dla wybranego dodatku.

Opcje urządzenia wyjściowego audio i trybu wyciszania zostały usunięte z okna dialogowego "Wybierz syntezator".
Można je znaleźć w panelu ustawień audio, który można otworzyć za pomocą 'NVDA+control+u'.

Zaktualizowano eSpeak-NG, tłumacza brajlowskiego LibLouis i Unicode CLDR.
Dostępne są nowe stoły brajlowskie w językach tajskim, filipińskim i rumuńskim.

Wprowadzono wiele poprawek, szczególnie w Sklepie z dodatkami, alfabecie Braille'a, Libre Office, Microsoft Office i audio.

### Ważne wskazówki

* Ta wersja zapewnia zgodność z istniejącymi dodatkami.
* Systemy Windows 7 i Windows 8 nie są już obsługiwane.
Windows 8.1 to minimalna obsługiwana wersja systemu Windows.

### Nowe funkcje

* Sklep z dodatkami:
  * Sklep z dodatkami obsługuje teraz działania zbiorcze (np. instalowanie, włączanie dodatków) poprzez wybranie wielu dodatków. (#15350, #15623, @CyrilleB79)
  * Dodano nową akcję umożliwiającą otwarcie dedykowanej strony internetowej w celu wyświetlenia lub przekazania opinii na temat wybranego dodatku. (#15576, @nvdaes)
* Dodano obsługę monitorów brajlowskich Bluetooth Low Energy HID. (#15470)
* Nowy tryb wyboru natywnego (przełączany przez 'NVDA+shift+f10') jest teraz dostępny w trybie przeglądania NVDA dla przeglądarki Mozilla Firefox.
Gdy ta opcja jest włączona, zaznaczanie tekstu w trybie przeglądania będzie również manipulować natywnym wyborem Firefoksa.
Kopiowanie tekstu za pomocą 'control+c' przejdzie prosto do Firefoksa, kopiując w ten sposób bogatą treść, a nie reprezentację zwykłego tekstu NVDA.
Zauważ jednak, że ponieważ Firefox obsługuje rzeczywistą kopię, NVDA nie zgłosi komunikatu "kopiuj do schowka" w tym trybie. (#15830)
* Podczas kopiowania tekstu w programie Microsoft Word z włączonym trybem przeglądania NVDA, formatowanie jest teraz również uwzględniane.
Ubocznym skutkiem tego jest to, że NVDA nie będzie już zgłaszać komunikatu "kopiuj do schowka" po naciśnięciu "control+c" w trybie przeglądania Microsoft Word / Outlook, ponieważ teraz aplikacja obsługuje kopię, a nie NVDA. (#16129)
* Dodano nowy tryb mowy "na żądanie".
Gdy mowa jest na żądanie, NVDA nie mówi automatycznie (np. podczas przesuwania kursora), ale nadal mówi, gdy wywołuje polecenia, których celem jest jawne zgłoszenie czegoś (np. tytuł okna raportu). (#481, @CyrilleB79)
* W kategorii Mowa w ustawieniach NVDA można teraz wykluczyć niechciane tryby mowy z polecenia Przełącz tryby mowy ('NVDA+s'). (#15806, @lukaszgo1)
  * Jeśli obecnie korzystasz z dodatku NoBeepsSpeechMode, rozważ jego odinstalowanie i wyłączenie trybów "sygnały dźwiękowe" i "na żądanie" w ustawieniach.

### Zmiany

* NVDA nie obsługuje już systemów Windows 7 i Windows 8.
Windows 8.1 to minimalna obsługiwana wersja systemu Windows. (#15544)
* Aktualizacje komponentów:
  * Zaktualizowano tłumacza brajlowskiego LibLouis do wersji [3.28.0](https://github.com/liblouis/liblouis/releases/tag/v3.28.0). (#15435, #15876, @codeofdusk)
    * Dodano nowe tabele brajlowskie w językach tajskim, rumuńskim i filipińskim.
  * eSpeak NG został zaktualizowany do wersji 1.52-dev commit '530bf0abf'. (#15036)
  * Adnotacje emoji i symboli CLDR zostały zaktualizowane do wersji 44.0. (#15712, @OzancanKaratas)
  * Zaktualizowano Java Access Bridge do wersji 17.0.9+8Zulu (17.46.19). (#15744)
* Kluczowe polecenia:
  * Następujące polecenia obsługują teraz dwa i trzy naciśnięcia w celu przeliterowania zgłaszanych informacji i pisowni z opisami postaci: wybór raportu, tekst schowka raportu i skoncentrowany obiekt raportu. (#15449, @CyrilleB79)
  * Polecenie przełączenia kurtyny ekranu ma teraz domyślny gest: 'NVDA+control+escape'. (#10560, @CyrilleB79)
  * Po czterokrotnym naciśnięciu polecenie wyboru raportu pokazuje teraz wybór w wiadomości, którą można przeglądać. (#15858, @Emil-18)
* Microsoft Office:
  * Podczas żądania informacji o formatowaniu w komórkach programu Excel, obramowania i tło będą zgłaszane tylko wtedy, gdy istnieje takie formatowanie. (#15560, @CyrilleB79)
  * NVDA nie będzie już raportować nieoznaczonych grup, takich jak w najnowszych wersjach menu Microsoft Office 365. (#15638)
* Opcje urządzenia wyjściowego audio i trybu wyciszania zostały usunięte z okna dialogowego "Wybierz syntezator".
Można je znaleźć w panelu ustawień audio, który można otworzyć za pomocą 'NVDA+control+u'. (#15512, @codeofdusk)
* Nazwa opcji "Zgłoś rolę, gdy mysz wejdzie w obiekt" w kategorii ustawień myszy NVDA została zmieniona na "Zgłoś obiekt, gdy mysz do niego wejdzie".
Ta opcja ogłasza teraz dodatkowe istotne informacje o obiekcie, gdy mysz do niego wejdzie, takie jak stany (zaznaczone/naciśnięte) lub współrzędne komórki w tabeli. (#15420, @LeonarddeR)
* Dodano nowe przedmioty do menu Pomoc na stronie "Uzyskaj pomoc" i w sklepie NV Access. (#14631)
* Wsparcie NVDA dla [Poedit](https://poedit.net) zostało przerobione dla Poedit w wersji 3 i wyższych.
Użytkownicy Poedit 1 są zachęcani do aktualizacji do Poedit 3, jeśli chcą polegać na ulepszonej dostępności w Poedit, takiej jak skróty do czytania notatek i komentarzy tłumacza. (#15313, #7303, @LeonarddeR)
* Przeglądarka brajlowska i przeglądarka mowy są teraz wyłączone w trybie bezpiecznym. (#15680)
* Podczas nawigacji po obiektach wyłączone (niedostępne) obiekty nie będą już ignorowane. (#15477, @CyrilleB79)
* Dodano spis treści do dokumentu poleceń klawiszowych. (#16106)

### Poprawki błędów

* Sklep z dodatkami:
  * Gdy stan dodatku zostanie zmieniony, gdy jest on aktywny, np. zmiana z "pobieranie" na "pobrano", zaktualizowany element jest teraz poprawnie ogłaszany. (#15859, @LeonarddeR)
  * Podczas instalowania dodatków monity o instalację nie są już nakładane na okno dialogowe ponownego uruchamiania. (#15613, @lukaszgo1)
  * Podczas ponownej instalacji niekompatybilnego dodatku nie jest on już wyłączany na siłę. (#15584, @lukaszgo1)
  * Wyłączone i niekompatybilne dodatki można teraz aktualizować. (#15568, #15029)
  * NVDA teraz odzyskuje sprawność i wyświetla błąd w przypadku, gdy dodatek nie zostanie poprawnie pobrany. (#15796)
  * NVDA nie uruchamia się już sporadycznie ponownie po otwarciu i zamknięciu sklepu z dodatkami. (#16019, @lukaszgo1)
* Dźwięk:
  * NVDA nie zawiesza się już na chwilę, gdy wiele dźwięków jest odtwarzanych w krótkich odstępach czasu. (#15311, #15757, @jcsteh)
  * Jeśli urządzenie wyjściowe audio jest ustawione na coś innego niż domyślne i to urządzenie stanie się ponownie dostępne po tym, jak było niedostępne, NVDA przełączy się z powrotem na skonfigurowane urządzenie, zamiast kontynuować korzystanie z urządzenia domyślnego. (#15759, @jcsteh)
  * NVDA wznawia teraz dźwięk, jeśli zmieni się konfiguracja urządzenia wyjściowego lub inna aplikacja zwolni wyłączną kontrolę nad urządzeniem. (#15758, #15775, @jcsteh)
* Przywołuje monitor brajlowski do komórki brajlowskiej |`routing`
  * Wielowierszowe monitory brajlowskie nie powodują już awarii sterownika BRLTTY i są traktowane jako jeden ciągły wyświetlacz. (#15386)
  * Wykrywanych jest więcej obiektów zawierających przydatny tekst, a treść tekstowa jest wyświetlana w alfabecie Braille'a. (#15605)
  * Kontrowane wejście brajlowskie znów działa poprawnie. (#15773, @aaclause)
  * Alfabet Braille'a jest teraz aktualizowany podczas przenoszenia obiektu nawigatora między komórkami tabeli w większej liczbie sytuacji (#15755, @Emil-18)
  * Wynik raportowania bieżącego fokusu, bieżącego obiektu nawigatora i bieżących poleceń wyboru jest teraz wyświetlany w alfabecie Braille'a. (#15844, @Emil-18)
  * Sterownik brajlowski Albatross nie obsługuje już mikrokontrolera Esp32 jako wyświetlacza Albatross. (#15671)
* LibreOffice:
  * Słowa usunięte za pomocą skrótu klawiaturowego "control+backspace" są teraz poprawnie ogłaszane, gdy po usuniętym słowie następują białe znaki (np. spacje i tabulatory). (#15436, @michaelweghorn)
  * Ogłaszanie paska stanu za pomocą skrótu klawiaturowego "NVDA+end" działa teraz również w przypadku okien dialogowych w LibreOffice w wersji 24.2 i nowszych. (#15591, @michaelweghorn)
  * Wszystkie oczekiwane atrybuty tekstu są teraz obsługiwane w LibreOffice w wersji 24.2 i nowszych.
  Sprawia to, że ogłaszanie błędów pisowni działa podczas ogłaszania wiersza w programie Writer. (#15648, @michaelweghorn)
  * Ogłaszanie poziomów nagłówków działa teraz również w LibreOffice w wersji 24.2 i nowszych. (#15881, @michaelweghorn)
* Microsoft Office:
  * W Excelu z wyłączoną funkcją UIA alfabet Braille'a jest aktualizowany, a zawartość aktywnej komórki jest odczytywana po naciśnięciu "control+y", "control+z" lub "alt+backspace". (#15547)
  * W programie Word z wyłączoną funkcją UIA brajl jest aktualizowany po naciśnięciu 'control+v', 'control+x', 'control+y', 'control+z', 'alt+backspace', 'backspace' lub 'control+backspace'.
  Jest również aktualizowany z włączoną funkcją UIA, gdy wpisywanie tekstu i alfabet Braille'a jest podłączony do przeglądania, a przegląd następuje po karetce. (#3276)
  * W programie Word komórka docelowa będzie teraz poprawnie raportowana podczas korzystania z natywnych poleceń programu Word do nawigacji po tabeli "alt+home", "alt+end", "alt+pageUp" i "alt+pageDown". (#15805, @CyrilleB79)
* Ulepszono raportowanie skrótów do obiektów. (#10807, #15816, @CyrilleB79)
* Syntezator SAPI4 teraz poprawnie obsługuje zmiany głośności, szybkości i wysokości dźwięku wbudowane w mowę. (#15271, @LeonarddeR)
* Stan wielu wierszy jest teraz poprawnie raportowany w aplikacjach korzystających z Java Access Bridge. (#14609)
* NVDA ogłosi zawartość okna dialogowego dla większej liczby okien dialogowych Windows 10 i 11. (#15729, @josephsl)
* NVDA nie będzie już przerywać odczytu nowo załadowanej strony w Microsoft Edge podczas korzystania z automatyzacji interfejsu użytkownika. (#15736)
* W przypadku użycia poleceń powiedz wszystko lub przeliterowujących tekst przerwy między zdaniami lub znakami nie zmniejszają się już stopniowo z czasem. (#15739, @jcsteh)
* NVDA nie zawiesza się już czasami podczas czytania dużej ilości tekstu. (#15752, @jcsteh)
* Podczas uzyskiwania dostępu do przeglądarki Microsoft Edge za pomocą automatyzacji interfejsu użytkownika, NVDA jest w stanie aktywować więcej elementów sterujących w trybie przeglądania. (#14612)
* NVDA nie uruchomi się już dłużej, gdy plik konfiguracyjny jest uszkodzony, ale przywróci konfigurację do ustawień domyślnych, tak jak to miało miejsce w przeszłości. (#15690, @CyrilleB79)
* Naprawiono obsługę kontrolek widoku listy systemowej ("SysListView32") w aplikacjach Windows Forms. (#15283, @LeonarddeR)
* Nie jest już możliwe nadpisanie historii konsoli NVDA w Pythonie. (#15792, @CyrilleB79)
* NVDA powinna reagować w przypadku zalania wieloma zdarzeniami automatyzacji interfejsu użytkownika, np. gdy duże fragmenty tekstu są drukowane na terminalu lub podczas słuchania wiadomości głosowych w komunikatorze WhatsApp. (#14888, #15169)
  * To nowe zachowanie można wyłączyć za pomocą nowego ustawienia "Użyj ulepszonego przetwarzania zdarzeń" w zaawansowanych ustawieniach NVDA.
* NVDA jest ponownie w stanie śledzić fokus w aplikacjach działających w ramach Windows Defender Application Guard (WDAG). (#15164)
* Tekst mowy nie jest już aktualizowany po poruszeniu myszą w przeglądarce mowy. (#15952, @hwf1324)
* NVDA ponownie przełączy się z powrotem w tryb przeglądania podczas zamykania pól kombi za pomocą "escape" lub "alt+strzałka w górę" w Firefoksie lub Chrome. (#15653)
* Naciskanie strzałek w górę i w dół w polach kombi w iTunes nie będzie już nieprawidłowo przełączać z powrotem do trybu przeglądania. (#15653)

### Zmiany dla deweloperów

Zapoznaj się z [Przewodnikiem dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API), aby uzyskać informacje na temat procesu wycofywania i usuwania API NVDA.

* Uwaga: jest to wersja niezgodna z interfejsem API dodatku.
Dodatki będą musiały zostać ponownie przetestowane i mieć zaktualizowany manifest.
* Kompilowanie NVDA wymaga teraz programu Visual Studio 2022.
Zapoznaj się z [NVDA docs](https://github.com/nvaccess/nvda/blob/release-2024.1/projectDocs/dev/createDevEnvironment.md), aby uzyskać szczegółową listę składników programu Visual Studio. (#14313)
* Dodano następujące punkty rozszerzenia:
  * "treeInterceptorHandler.post_browseModeStateChange". (#14969, @nvdaes)
  * 'speech.speechAnulowano'. (#15700, @LeonarddeR)
  * "_onErrorSoundRequested" (należy pobrać metodę "logHandler.getOnErrorSoundRequested())" (#15691, @CyrilleB79)
* Możliwe jest teraz używanie liczby mnogiej w tłumaczeniach dodatku. (#15661, @beqabeqa473)
* Zawarte w dystrybucji binarnej python3.dll do użytku przez dodatki z zewnętrznymi bibliotekami wykorzystującymi [stabilne ABI](https://docs.python.org/3.11/c-api/stable.html). (#15674, @mzanm)
* Klasa bazowa "BrailleDisplayDriver" ma teraz właściwości "numRows" i "numCols", które dostarczają informacji o wielowierszowych monitorach brajlowskich.
Ustawienie "numCells" jest nadal obsługiwane dla jednowierszowych monitorów brajlowskich, a "numCells" zwróci całkowitą liczbę komórek dla wielowierszowych monitorów brajlowskich. (#15386)
* Zaktualizowano BrlAPI dla BRLTTY do wersji 0.8.5, a odpowiadający mu moduł Pythona do kompilacji zgodnej z Pythonem 3.11. (#15652, @LeonarddeR)
* Dodano funkcję 'speech.speakSsml', która pozwala na zapisywanie sekwencji mowy NVDA za pomocą [SSML](https://www.w3.org/TR/speech-synthesis11/). (#15699, @LeonarddeR)
  * Następujące znaczniki są obecnie obsługiwane i tłumaczone na odpowiednie polecenia głosowe NVDA:
    * "Prosody" ("wysokość", "szybkość" i "głośność"). Obsługiwane jest tylko mnożenie (np. "200%").
    * "powiedz jako" z atrybutem "interpret" ustawionym na "znaki"
    * 'voice' z 'xml:lang' ustawionym na język XML
    * 'break' z atrybutem 'time' ustawionym na wartość w milisekundach, np. '200ms'
    * "mark" z atrybutem "name" ustawionym na nazwę znaku, np. "mark1", wymaga podania wywołania zwrotnego
  * Przykład: 'speech.speakSsml('<speak><prosody pitch="200%">hello</prosody><break j="1/"><prosody rate="50%">John</prosody></break></speak>')"
  * Możliwości analizowania SSML są wspierane przez klasę "SsmlParser" w module "speechXml".
* Zmiany w bibliotece klienta kontrolera NVDA:
  * Nazwy plików biblioteki nie zawierają już sufiksu oznaczającego architekturę, np. 'nvdaControllerClient32/64.dll' nazywa się teraz 'nvdaControllerClient.dll'. (#15718, #15717, @LeonarddeR)
  * Dodano przykład, aby zademonstrować użycie nvdaControllerClient.dll z Rusta. (#15771, @LeonarddeR)
  * Dodano następujące funkcje do klienta kontrolera: (#15734, #11028, #5638, @LeonarddeR)
    * 'nvdaController_getProcessId': Aby uzyskać identyfikator procesu (PID) bieżącej instancji NVDA, której używa klient kontrolera.
    * 'nvdaController_speakSsml': Aby poinstruować NVDA, aby mówiła zgodnie z podanym SSML. Ta funkcja obsługuje również:
      * Podanie poziomu symbolu.
      * Zapewnienie pierwszeństwa mowy, która ma być wypowiedziana.
      * Mówienie zarówno synchronicznie (blokowanie), jak i asynchronicznie (natychmiastowy powrót).
    * "nvdaController_setOnSsmlMarkReachedCallback": aby zarejestrować wywołanie zwrotne typu "onSsmlMarkReachedFuncType", które jest wywoływane w trybie synchronicznym dla każdego tagu "<mark />" napotkanego w sekwencji SSML podanej do "nvdaController_speakSsml".
  * Uwaga: nowe funkcje w kliencie kontrolera obsługują tylko NVDA 2024.1 i nowsze.
* Zaktualizowane zależności "include":
  * detours to `4b8c659f549b0ab21cf649377c7a84eb708f5e68`. (#15695)
  * IA2 na '3d8c7f0b833453f761ded6b12d8be431507BFE0b'. (#15695)
  * Sonic na '8694c596378c24e340c09ff2cd47c065494233f1'. (#15695)
  * w3c-aria-practices na '9a5e55ccbeb0f1bf92b6127c9865da8426d1c864'. (#15695)
  * wil na '5e9be7b2d2fe3834a7107f430f7d4c0631f69833'. (#15695)
* Informacje o urządzeniu dostarczone przez "hwPortUtils.listUsbDevices" zawierają teraz zgłoszony przez magistralę opis urządzenia USB (klucz "busReportedDeviceDescription"). (#15764, @LeonarddeR)
* For USB serial devices, `bdDetect.getConnectedUsbDevicesForDriver` and `bdDetect.getDriversForConnectedUsbDevices` now yield device matches containing a `deviceInfo` dictionary enriched with data about the USB device, such as `busReportedDeviceDescription`. (#15764, @LeonarddeR)
* Gdy plik konfiguracyjny "nvda.ini" jest uszkodzony, kopia zapasowa jest zapisywana przed jego ponowną inicjalizacją. (#15779, @CyrilleB79)
* Podczas definiowania skryptu za pomocą dekoratora skryptu można określić argument logiczny "speakOnDemand", aby kontrolować, czy skrypt powinien mówić w trybie mowy "na żądanie". (#481, @CyrilleB79)
  * Skrypty, które dostarczają informacji (np. tytuł okna, czas/data raportu) powinny mówić w trybie "na żądanie".
  * Skrypty, które wykonują jakąś akcję (np. przesunięcie kursora, zmianę parametru) nie powinny mówić w trybie "na żądanie".
* Naprawiono błąd polegający na tym, że usunięcie plików śledzonych przez git podczas "scons -c" powodowało brak interfejsów COM UIA podczas przebudowy. (#7070, #10833, @hwf1324)
* Naprawiono usterkę polegającą na tym, że niektóre zmiany kodu nie były wykrywane podczas kompilowania "dist", co uniemożliwiało wyzwolenie nowej kompilacji.
Teraz 'dist' zawsze się odbudowuje. (#13372, @hwf1324)
* Element 'gui.nvdaControls.MessageDialog' z domyślnym typem standardu nie zgłasza już wyjątku konwersji None, ponieważ nie jest przypisany żaden dźwięk. (#16223, @XLTechie)

#### Zmiany powodujące niezgodność interfejsu API

Są to zmiany w interfejsie API powodujące niezgodność.
Otwórz problem z usługą GitHub, jeśli Twój dodatek ma problem z aktualizacją do nowego interfejsu API.

* NVDA jest teraz zbudowany w Pythonie 3.11. (#12064)
* Zaktualizowane zależności:
  * configobj to 5.1.0dev commit `e2ba4457c4651fa54f8d59d8dcdd3da950e956b8`. (#15544)
  * Łączy się z wersją 1.2.0. (#15513, @codeofdusk)
  * Flake8 do 4.0.1. (#15636, @lukaszgo1)
  * py2exe do 0.13.0.1dev commit '4e7b2b2c60face592e67cb1bc935172a20fa371d'. (#15544)
  * robotframework do wersji 6.1.1. (#15544)
  * SCons do 4.5.2. (#15529, @LeonarddeR)
  * sfinks do 7.2.6. (#15544)
  * wxPython do zatwierdzenia 4.2.2a '0205c7c1b9022a5de3e3543f9304cfe53a32b488'. (#12551, #16257)
* Usunięto zależności:
  * typing_extensions, powinny one być obsługiwane natywnie w języku Python 3.11 (#15544)
  * nose, zamiast tego unittest-xml-reporting jest używany do generowania raportów XML. (#15544)
* Usunięto element "IAccessibleHandler.SecureDesktopNVDAObject".
Zamiast tego, gdy NVDA jest uruchomiony na profilu użytkownika, śledź istnienie bezpiecznego pulpitu za pomocą punktu rozszerzenia: 'winAPI.secureDesktop.post_secureDesktopStateChange'. (#14488)
* "Alfabet Braille'a. BrailleHandler.handlePendingCaretUpdate' został usunięty bez publicznego zastąpienia. (#15163, @LeonarddeR)
* `bdDetect.addUsbDevices and bdDetect.addBluetoothDevices` have been removed.
Sterowniki monitorów brajlowskich powinny zamiast tego implementować metodę klasy 'registerAutomaticDetection'.
Metoda ta odbiera obiekt "DriverRegistrar", na którym można użyć metod "addUsbDevices" i "addBluetoothDevices". (#15200, @LeonarddeR)
* The default implementation of the check method on `BrailleDisplayDriver` now requires both the `threadSafe` and `supportsAutomaticDetection` attributes to be set to `True`. (#15200, @LeonarddeR)
* Passing lambda functions to `hwIo.ioThread.IoThread.queueAsApc` is no longer possible, as functions should be weakly referenceable. (#14627, @LeonarddeR)
* Plik "IoThread.autoDeleteApcReference" został usunięty. (#14924, @LeonarddeR)
* Aby obsługiwać zmiany wysokości dźwięku wielkich liter, syntezatory muszą teraz jawnie zadeklarować swoje wsparcie dla "PitchCommand" w atrybucie "supportedCommands" na sterowniku. (#15433, @LeonarddeR)
* `speechDictHandler.speechDictVars` has been removed. Use `NVDAState.WritePaths.speechDictsDir` instead of `speechDictHandler.speechDictVars.speechDictsPath`. (#15614, @lukaszgo1)
* Usunięto 'languageHandler.makeNpgettext' i 'languageHandler.makePgettext'.
'npgettext' i 'pgettext' są teraz obsługiwane natywnie. (#15546)
* Moduł aplikacji dla [Poedit](https://poedit.net) został znacznie zmieniony. Funkcja 'fetchObject' została usunięta. (#15313, #7303, @LeonarddeR)
* Następujące nadmiarowe typy i stałe zostały usunięte z "hwPortUtils": (#15764, @LeonarddeR)
  * "PCWSTR"
  * 'HWND' (zastąpiony przez 'ctypes.wintypes.HWND')
  * "ULONG_PTR"
  * 'ULONGLONG'
  * "NULL"
  * "GUID" (zastąpiony przez "comtypes. Identyfikator GUID')
* Plik 'gui.addonGui.AddonsDialog' został usunięty. (#15834)
* Element "touchHandler.TouchInputGesture.multiFingerActionLabel" został usunięty bez zastępowania. (#15864, @CyrilleB79)
* Znak "NVDAObjects.IAccessible.winword.WordDocument.script_reportCurrentHeaders" został usunięty bez zastępstwa. (#15904, @CyrilleB79)
* Następujące moduły aplikacji zostaną usunięte.
Kod, który importuje z jednego z nich, powinien zamiast tego zostać zaimportowany z modułu zastępczego. (#15618, @lukaszgo1)

| Usunięto nazwę modułu |Moduł zastępczy|
|---|---|
|'azardi-2.0' |'azardi20'|
|'AzureDataStudio' |'kod'|
|'AzureDataStudio-insiders' |'kod'|
|'CalculatorApp' |'Kalkulator'|
|'code - insiders' |'kod'|
|'commsapps' |'hxmail'|
|'dbeaver' |'zaćmienie'|
|'digitaleditionspreview' |'digitaleditions'|
|'esybraille' |'esysuite'|
|'hxoutlook' |'hxmail'|
|'Miranda64' |'Miranda32'|
|'mpc-hc' |'mplayerc'|
|'mpc-hc64' |'mplayerc'|
|'notepad++' |'notepadPlusPlus'|
|'searchapp' |'searchui'|
|'searchhost' |'searchUI'|
|'springtoolsuite4' |'zaćmienie'|
|'sts' |'zaćmienie'|
|`teamtalk3` |`teamtalk4classic`|
|'textinputhost' |'windowsinternal_composableshell_experiences_textinput_inputapp'|
|'totalcmd64' |'totalcmd'|
|'win32calc' |'calc'|
|'winmail' |'msimn'|
|'zend-eclipse-php' |'zaćmienie'|
|'zendstudio' |'zaćmienie'|

#### Przestarzałe

* Używanie "watchdog.getFormattedStacksForAllThreads" jest przestarzałe - zamiast tego użyj "logHandler.getFormattedStacksForAllThreads". (#15616, @lukaszgo1)
* Plik "easeOfAccess.canConfigTerminateOnDesktopSwitch" został uznany za przestarzały, ponieważ stał się przestarzały, ponieważ system Windows 7 nie jest już obsługiwany. (#15644, @LeonarddeR)
* Parametr "winVersion.isFullScreenMagnificationAvailable" został uznany za przestarzały — zamiast niego należy użyć parametru "visionEnhancementProviders.screenCurtain.ScreenCurtainProvider.canStart". (#15664, @josephsl)
* Następujące stałe wydania systemu Windows zostały uznane za przestarzałe z modułu winVersion (#15647, @josephsl):
  * 'winVersion.WIN7'
  * "winVersion.WIN7_SP1"
  * 'winVersion.WIN8'
* Stałe "bdDetect.KEY_*" zostały uznane za przestarzałe.
Zamiast tego użyj "bdDetect.DeviceType.*". (#15772, @LeonarddeR).
* Stałe "bdDetect.DETECT_USB" i "bdDetect.DETECT_BLUETOOTH" zostały uznane za przestarzałe i nie zostały zastąpione publicznie. (#15772, @LeonarddeR).
* Korzystanie z 'gui. ExecAndPump' jest przestarzały - zamiast tego użyj 'systemUtils.ExecAndPump'. (#15852, @lukaszgo1)

## 2023.3.4

Jest to poprawka mająca na celu rozwiązanie problemu z zabezpieczeniami i instalatora.
Prosimy o odpowiedzialne ujawnianie problemów związanych z bezpieczeństwem zgodnie z [polityką bezpieczeństwa](https://github.com/nvaccess/nvda/blob/master/security.md).

### Poprawki zabezpieczeń

* Zapobiega ładowaniu konfiguracji niestandardowej, gdy wymuszony jest tryb bezpieczny.
([GHSA-727q-h8j2-6p45](https://github.com/nvaccess/nvda/security/advisories/GHSA-727q-h8j2-6p45))

### Poprawki błędów

* Naprawiono błąd, który powodował, że proces NVDA nie kończył się poprawnie. (#16123)
* Naprawiono błąd polegający na tym, że jeśli poprzedni proces NVDA nie zakończył się poprawnie, instalacja NVDA mogła zakończyć się nieodwracalnym stanem. (#16122)

## 2023.3.3

Jest to poprawka mająca na celu rozwiązanie problemu z zabezpieczeniami.
Prosimy o odpowiedzialne ujawnianie problemów związanych z bezpieczeństwem zgodnie z [polityką bezpieczeństwa](https://github.com/nvaccess/nvda/blob/master/security.md).

### Poprawki zabezpieczeń

* Zapobiega możliwemu odbiciu ataku XSS ze spreparowanej zawartości, który mógłby spowodować wykonanie dowolnego kodu.
([GHSA-xg6w-23rw-39r8](https://github.com/nvaccess/nvda/security/advisories/GHSA-xg6w-23rw-39r8))

## 2023.3.2

Jest to poprawka mająca na celu rozwiązanie problemu z zabezpieczeniami.
Poprawka zabezpieczeń w 2023.3.1 nie została poprawnie usunięta.
Prosimy o odpowiedzialne ujawnianie problemów związanych z bezpieczeństwem zgodnie z [polityką bezpieczeństwa](https://github.com/nvaccess/nvda/blob/master/security.md).

### Poprawki zabezpieczeń

* Poprawka zabezpieczeń w 2023.3.1 nie została poprawnie usunięta.
Zapobiega możliwemu dostępowi do systemu i wykonaniu dowolnego kodu z uprawnieniami systemowymi dla nieuwierzytelnionych użytkowników.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3.1

Jest to poprawka mająca na celu rozwiązanie problemu z zabezpieczeniami.
Prosimy o odpowiedzialne ujawnianie problemów związanych z bezpieczeństwem zgodnie z [polityką bezpieczeństwa](https://github.com/nvaccess/nvda/blob/master/security.md).

### Poprawki zabezpieczeń

* Zapobiega możliwemu dostępowi do systemu i wykonaniu dowolnego kodu z uprawnieniami systemowymi dla nieuwierzytelnionych użytkowników.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3

To wydanie zawiera ulepszenia wydajności, responsywności i stabilności wyjścia audio.
Dodano opcje do kontrolowania głośności dźwięków i sygnałów dźwiękowych NVDA, lub do podążania za głośnością głosu, którego używasz.

NVDA może teraz okresowo odświeżać wyniki OCR, odczytując nowy tekst w miarę jego pojawiania się.
Można to skonfigurować w kategorii OCR systemu Windows w oknie ustawień NVDA.

Wprowadzono kilka poprawek w alfabecie Braille'a, poprawiając wykrywanie urządzeń i ruch karetki higienicznej.
Teraz można zrezygnować z automatycznego wykrywania niechcianych sterowników, aby poprawić wydajność automatycznego wykrywania.
Dostępne są również nowe komendy BRLTTY.

Wprowadzono również poprawki błędów w sklepie z dodatkami, pakiecie Microsoft Office, menu kontekstowych przeglądarki Microsoft Edge i Kalkulatorze systemu Windows.

### Nowe funkcje

* Ulepszone zarządzanie dźwiękiem:
  * Nowy panel Ustawienia dźwięku:
    * Można to otworzyć za pomocą 'NVDA+control+u'. (#15497)
    * Opcja w ustawieniach dźwięku, aby głośność dźwięków i sygnałów dźwiękowych NVDA była zgodna z ustawieniem głośności głosu, którego używasz. (#1409)
    * Opcja w ustawieniach audio do oddzielnej konfiguracji głośności dźwięków NVDA. (#1409, #15038)
    * Ustawienia zmiany urządzenia wyjściowego audio i przełączania wyciszania dźwięku zostały przeniesione do nowego panelu ustawień audio z okna dialogowego Wybierz syntezator.
    Te opcje zostaną usunięte z okna dialogowego "wybierz syntezator" w 2024 roku.1. (#15486, #8711)
  * NVDA będzie teraz wyprowadzać dźwięk za pośrednictwem interfejsu API Windows Audio Session (WASAPI), co może poprawić responsywność, wydajność i stabilność mowy i dźwięków NVDA. (#14697, #11169, #11615, #5096, #10185, #11061)
  * Uwaga: WASAPI jest niekompatybilny z niektórymi dodatkami.
  Kompatybilne aktualizacje są dostępne dla tych dodatków, prosimy o ich aktualizację przed aktualizacją NVDA.
  Niekompatybilne wersje tych dodatków zostaną wyłączone podczas aktualizacji NVDA:
    * Tony's Enhancements w wersji 1.15 lub starszej. (#15402)
    * Rozszerzenie globalnych poleceń NVDA 12.0.8 lub starsze. (#15443)
* NVDA jest teraz w stanie stale aktualizować wynik podczas optycznego rozpoznawania znaków (OCR), czytając nowy tekst w miarę jego pojawiania się. (#2797)
  * Aby włączyć tę funkcję, włącz opcję "Okresowo odświeżaj rozpoznaną zawartość" w kategorii OCR systemu Windows w oknie dialogowym ustawień NVDA.
  * Po włączeniu tej opcji możesz przełączać się między nowymi zmianami w treści, przełączając dynamiczne zmiany zawartości raportu (naciskając 'NVDA+5').
* Podczas korzystania z automatycznego wykrywania monitorów brajlowskich można teraz wyłączyć wykrywanie sterowników w oknie dialogowym wyboru monitora brajlowskiego. (#15196)
* Nowa opcja w ustawieniach formatowania dokumentu, "Ignoruj puste wiersze w raportowaniu wcięć wierszy". (#13394)
* Dodano nieprzypisany gest do nawigowania według grupowania kart w trybie przeglądania. (#15046)

### Zmiany

* Przywołuje monitor brajlowski do komórki brajlowskiej |`routing`
  * Gdy tekst w terminalu zmieni się bez aktualizacji daszka, tekst na monitorze brajlowskim będzie teraz poprawnie aktualizowany po umieszczeniu w zmienionym wierszu.
  Dotyczy to również sytuacji, w których pismo Braille'a jest powiązane z recenzją. (#15115)
  * Więcej powiązań BRLTTY jest teraz mapowanych na polecenia NVDA (#6483):
    * 'learn': przełącza pomoc przy wprowadzaniu NVDA
    * 'prefmenu': otwórz menu NVDA
    * 'prefload'/'prefsave': Wczyt/zapisz konfigurację NVDA
    * 'time': Pokaż czas
    * "say_line": Odczyt bieżącego wiersza, w którym znajduje się kursor recenzji
    * "say_below": Powiedz wszystko za pomocą kursora recenzji
  * Sterownik BRLTTY jest dostępny tylko wtedy, gdy uruchomiona jest instancja BRLTTY z włączonym interfejsem BrlAPI. (#15335)
  * Zaawansowane ustawienie włączające obsługę alfabetu Braille'a HID zostało usunięte na rzecz nowej opcji.
  Można teraz wyłączyć określone sterowniki do automatycznego wykrywania monitora brajlowskiego w oknie dialogowym wyboru monitora brajlowskiego. (#15196)
* Sklep z dodatkami: Zainstalowane dodatki będą teraz wyświetlane na karcie Dostępne dodatki, jeśli są dostępne w sklepie. (#15374)
* Niektóre skrótów zostały zaktualizowane w menu NVDA. (#15364)

### Poprawki błędów

* Microsoft Office:
  * Naprawiono awarię w programie Microsoft Word, gdy opcje formatowania dokumentu "nagłówki raportu" oraz "komentarze i notatki raportu" nie były włączone. (#15019)
  * W programach Word i Excel wyrównanie tekstu będzie poprawnie raportowane w większej liczbie sytuacji. (#15206, #15220)
  * Naprawia ogłaszanie niektórych skrótów formatowania komórek w programie Excel. (#15527)
* Microsoft Edge:
  * NVDA nie będzie już przeskakiwać z powrotem do ostatniej pozycji trybu przeglądania po otwarciu menu kontekstowego w Microsoft Edge. (#15309)
  * NVDA po raz kolejny jest w stanie odczytywać menu kontekstowe pobranych plików w Microsoft Edge. (#14916)
* Przywołuje monitor brajlowski do komórki brajlowskiej |`routing`
  * Kursor brajlowski i wskaźniki wyboru będą teraz zawsze poprawnie aktualizowane po wyświetleniu lub ukryciu odpowiednich wskaźników za pomocą gestu. (#15115)
  * Naprawiono błąd, który sprawiał, że monitory brajlowskie Albatross próbowały się zainicjować, mimo że podłączone było inne urządzenie brajlowskie. (#15226)
* Sklep z dodatkami:
  * Naprawiono błąd, który powodował, że odznaczenie opcji "uwzględnij niekompatybilne dodatki" powodowało, że niekompatybilne dodatki nadal były wyświetlane w sklepie. (#15411)
  * Dodatki zablokowane ze względu na kompatybilność powinny być teraz poprawnie filtrowane podczas przełączania filtra dla stanu włączonego/wyłączonego. (#15416)
  * Naprawiono błąd uniemożliwiający uaktualnienie lub zastąpienie nadpisanych włączonych niekompatybilnych dodatków za pomocą zewnętrznego narzędzia instalacyjnego. (#15417)
  * Naprawiono błąd, który sprawiał, że NVDA nie mówiła, dopóki nie została ponownie uruchomiona po instalacji dodatku. (#14525)
  * Naprawiono błąd polegający na tym, że nie można było zainstalować dodatków, jeśli poprzednie pobieranie nie powiodło się lub zostało anulowane. (#15469)
  * Naprawiono problemy z obsługą niekompatybilnych dodatków podczas aktualizacji NVDA. (#15414, #15412, #15437)
* NVDA po raz kolejny ogłasza wyniki obliczeń w kalkulatorze Windows 32bit w wersjach Server, LTSC i LTSB systemu Windows. (#15230)
* NVDA nie ignoruje już zmian fokusu, gdy zagnieżdżone okno (wielkie okno podrzędne) jest aktywne. (#15432)
* Naprawiono potencjalną przyczynę zawieszania się gry podczas uruchamiania NVDA. (#15517)

### Zmiany dla deweloperów

Zapoznaj się z [Przewodnikiem dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API), aby uzyskać informacje na temat procesu wycofywania i usuwania API NVDA.

* Nazwy 'braille.handler.handleUpdate' i 'braille.handler.handleReviewMove' zostały zmienione tak, aby nie aktualizowały się natychmiast.
Przed tą zmianą, gdy którakolwiek z tych metod była wywoływana bardzo często, pochłaniało to wiele zasobów.
Te metody teraz zamiast tego kolejkują aktualizację na koniec każdego cyklu podstawowego.
Powinny być również bezpieczne wątkowo, aby można było je wywoływać z wątków w tle. (#15163)
* Dodano oficjalne wsparcie dla rejestracji niestandardowych sterowników monitorów brajlowskich w procesie automatycznego wykrywania monitorów brajlowskich.
Zapoznaj się z dokumentem "Braille'a. Dokumentacja klasy BrailleDisplayDriver, aby uzyskać więcej informacji.
Most notably, the `supportsAutomaticDetection` attribute must be set to `True` and the `registerAutomaticDetection` `classmethod` must be implemented.  (#15196)

#### Przestarzałe

* "Alfabet Braille'a. BrailleHandler.handlePendingCaretUpdate' jest teraz przestarzały i nie ma go publicznie zastępowane.
Zostanie usunięty w 2024 roku.1. (#15163)
* Importing the constants `xlCenter`, `xlJustify`, `xlLeft`, `xlRight`, `xlDistributed`, `xlBottom`, `xlTop` from `NVDAObjects.window.excel` is deprecated.
Zamiast tego użyj wyliczeń "XlHAlign" lub "XlVAlign". (#15205)
* Mapowanie "NVDAObjects.window.excel.alignmentLabels" jest przestarzałe.
Zamiast tego należy użyć metod 'displayString' wyliczeń 'XlHAlign' lub 'XlVAlign'. (#15205)
* Pliki "bdDetect.addUsbDevices" i "bdDetect.addBluetoothDevices" zostały uznane za przestarzałe.
Sterowniki monitorów brajlowskich powinny zamiast tego implementować metodę klasy 'registerAutomaticDetection'.
Metoda ta odbiera obiekt "DriverRegistrar", na którym można użyć metod "addUsbDevices" i "addBluetoothDevices". (#15200)
* Domyślna implementacja metody sprawdzania w 'BrailleDisplayDriver' używa 'bdDetect.driverHasPossibleDevices' dla urządzeń, które są oznaczone jako bezpieczne wątkowo.
Począwszy od NVDA 2024.1, aby metoda podstawowa używała "bdDetect.driverHasPossibleDevices", atrybut "supportsAutomaticDetection" musi być również ustawiony na wartość "True". (#15200)

## 2023.2

W tym wydaniu wprowadzono Sklep z dodatkami, który zastąpi Menedżera dodatków.
W sklepie z dodatkami możesz przeglądać, wyszukiwać, instalować i aktualizować dodatki społecznościowe.
Możesz teraz ręcznie zastąpić problemy z niekompatybilnością z nieaktualnymi dodatkami na własne ryzyko.

Dostępne są nowe funkcje, polecenia i obsługa monitorów w alfabecie Braille'a.
Dostępne są również nowe gesty wejściowe dla OCR i spłaszczonej nawigacji po obiektach.
Ulepszono formatowanie nawigacji i raportowania w pakiecie Microsoft Office.

Istnieje wiele poprawek błędów, szczególnie w alfabecie Braille'a, pakiecie Microsoft Office, przeglądarkach internetowych i systemie Windows 11.

Zaktualizowano eSpeak-NG, tłumacza brajlowskiego LibLouis i Unicode CLDR.

### Nowe funkcje

* Sklep z dodatkami został dodany do NVDA. (#13985)
  * Przeglądaj, wyszukuj, instaluj i aktualizuj dodatki społecznościowe.
  * Ręcznie zastąp problemy z niekompatybilnością za pomocą przestarzałych dodatków.
  * Menedżer dodatków został usunięty i zastąpiony przez sklep z dodatkami.
  * Aby uzyskać więcej informacji, przeczytaj zaktualizowany podręcznik użytkownika.
* Nowe gesty wprowadzania:
  * Niepowiązany gest do przełączania między dostępnymi językami dla OCR systemu Windows. (#13036)
  * Niepowiązany gest do przełączania między trybami wiadomości pokazu Braille'a. (#14864)
  * Niepowiązany gest do przełączania pokazujący wskaźnik zaznaczenia dla brajla. (#14948)
  * Dodano domyślne przypisania gestów klawiaturowych w celu przechodzenia do następnego lub poprzedniego obiektu w spłaszczonym widoku hierarchii obiektów. (#15053)
    * Pulpit: 'NVDA+numpad9' i 'NVDA+numpad3', aby przejść odpowiednio do poprzedniego i następnego obiektu.
    * Laptop: 'shift+NVDA+[' i 'shift+NVDA+]', aby przejść odpowiednio do poprzedniego i następnego obiektu.
* Nowe funkcje alfabetu Braille'a:
  * Dodano obsługę monitora brajlowskiego Help Tech Activator. (#14917)
  * Nowa opcja przełączania pokazującego wskaźnik zaznaczenia (punkty 7 i 8). (#14948)
  * Nowa opcja opcjonalnego przesuwania kursora systemowego lub fokusu podczas zmiany pozycji kursora przeglądania za pomocą przywoływania w alfabecie Braille'a. (#14885, #3166)
  * Po trzykrotnym naciśnięciu "numpad2" w celu wyświetlenia wartości numerycznej znaku w miejscu kursora podglądu, informacje są teraz wyświetlane również w alfabecie Braille'a. (#14826)
  * Dodano obsługę atrybutu ARIA 1.3 'aria-brailleroledescription', co pozwala autorom stron internetowych na nadpisanie typu elementu wyświetlanego na monitorze brajlowskim. (#14748)
  * Sterownik brajlowski Baum: dodano kilka gestów akordu Braille'a do wykonywania typowych poleceń klawiaturowych, takich jak "windows+d" i "alt+tab".
  Zapoznaj się z Podręcznikiem użytkownika NVDA, aby uzyskać pełną listę. (#14714)
* Dodano wymowę symboli Unicode:
  * Symbole brajlowskie, takie jak '⠐⠣⠃⠗⠇⠐⠜'. (#13778)
  * Symbol opcji Mac '⌥'. (#14682)
* Dodano gesty dla monitorów brajlowskich Tivomatic Caiku Albatross. (#14844, #15002)
  * Wyświetlanie okna dialogowego Ustawienia brajla
  * Uzyskiwanie dostępu do paska stanu
  * Przełączanie kształtu kursora brajlowskiego
  * Przełączanie w trybie pokazywania wiadomości brajlowskich
  * Włączanie/wyłączanie kursora Braille'a
  * Przełączanie stanu "Wskaźnik zaznaczenia brajlowskiego wyświetlacza"
  * Przełączanie w trybie "Braille Move System Daret podczas kursora przeglądu routingu". (#15122)
* Funkcje pakietu Microsoft Office:
  * Gdy w dokumencie jest włączone formatowanie wyróżnionego tekstu, kolory podświetlenia są teraz raportowane w programie Microsoft Word. (#7396, #12101, #5866)
  * Gdy kolory są włączone Formatowanie dokumentu, kolory tła są teraz raportowane w programie Microsoft Word. (#5866)
  * W przypadku korzystania ze skrótów programu Excel do przełączania formatu, takiego jak pogrubienie, kursywa, podkreślenie i przekreślenie komórki w programie Excel, wynik jest teraz raportowany. (#14923)
* Eksperymentalne ulepszone zarządzanie dźwiękiem:
  * NVDA może teraz wyprowadzać dźwięk za pośrednictwem interfejsu API Windows Audio Session (WASAPI), co może poprawić responsywność, wydajność i stabilność mowy i dźwięków NVDA. (#14697)
  * Korzystanie z WASAPI można włączyć w ustawieniach zaawansowanych.
  Dodatkowo, jeśli funkcja WASAPI jest włączona, można również skonfigurować następujące ustawienia zaawansowane.
    * Opcja, aby głośność dźwięków i sygnałów dźwiękowych NVDA była zgodna z ustawieniem głośności używanego głosu. (#1409)
    * Opcja oddzielnej konfiguracji głośności dźwięków NVDA. (#1409, #15038)
  * Istnieje znany problem z przerywanymi awariami, gdy włączona jest funkcja WASAPI. (#15150)
* W przeglądarkach Mozilla Firefox i Google Chrome, NVDA zgłasza teraz, kiedy kontrolka otwiera okno dialogowe, siatkę, listę lub drzewo, jeśli autor określił to za pomocą 'aria-haspopup'. (#8235)
* Możliwe jest teraz używanie zmiennych systemowych (takich jak '%temp%' lub '%homepath%') w specyfikacji ścieżki podczas tworzenia przenośnych kopii NVDA. (#14680)
* W aktualizacji systemu Windows 10 z maja 2019 r. i nowszych NVDA może ogłaszać nazwy pulpitów wirtualnych podczas ich otwierania, zmieniania i zamykania. (#5641)
* Dodano parametr dla całego systemu, aby umożliwić użytkownikom i administratorom systemu wymuszenie uruchomienia NVDA w trybie bezpiecznym. (#10018)

### Zmiany

* Aktualizacje komponentów:
  * eSpeak NG został zaktualizowany do wersji 1.52-dev commit 'ed9a7bcf'. (#15036)
  * Zaktualizowano tłumacza brajlowskiego LibLouis do wersji [3.26.0](https://github.com/liblouis/liblouis/releases/tag/v3.26.0). (#14970)
  * CLDR został zaktualizowany do wersji 43.0. (#14918)
* Zmiany w LibreOffice:
  * Podczas raportowania położenia kursora recenzji bieżące położenie kursora/kursora jest teraz podawane względem bieżącej strony w programie LibreOffice Writer 7.6 i nowszych, podobnie jak w przypadku programu Microsoft Word. (#11696)
  * Ogłaszanie paska stanu (np. uruchamianego przez 'NVDA+end') działa dla LibreOffice. (#11698)
  * Po przejściu do innej komórki w LibreOffice Calc NVDA nie odczytuje już nieprawidłowo współrzędnych poprzednio aktywowanej komórki, gdy ogłaszanie współrzędnych komórki jest wyłączone w ustawieniach NVDA. (#15098)
* Zmiany w alfabecie Braille'a:
  * W przypadku korzystania z monitora brajlowskiego za pomocą standardowego sterownika brajlowskiego HID, pad kierunkowy może być używany do emulacji strzałek i Enter.
  Ponadto "spacja+punkt1" i "spacja+punkt4" są teraz mapowane odpowiednio na strzałki w górę i w dół. (#14713)
  * Aktualizacje dynamicznej zawartości internetowej (dynamiczne regiony ARCHI) są teraz wyświetlane w alfabecie Braille'a.
  Można tę opcję wyłączyć w panelu Ustawienia zaawansowane. (#7756)
* Symbole myślnika i pauzy zawsze będą wysyłane do syntezatora. (#13830)
* Odległość podawana w programie Microsoft Word będzie teraz uwzględniać jednostkę zdefiniowaną w opcjach zaawansowanych programu Word, nawet jeśli dostęp do dokumentów programu Word jest używany przez interfejs użytkownika. (#14542)
* NVDA reaguje szybciej podczas przesuwania kursora w kontrolkach edycji. (#14708)
* Skrypt do raportowania miejsca docelowego łącza teraz raportuje z pozycji kursora / fokusu, a nie z obiektu nawigatora. (#14659)
* Przenośne tworzenie kopii nie wymaga już wprowadzania litery dysku jako części ścieżki bezwzględnej. (#14680)
* Jeśli system Windows jest skonfigurowany do wyświetlania sekund w zegarze zasobnika systemowego, użycie 'NVDA+f12' do raportowania czasu teraz uwzględnia to ustawienie. (#14742)
* NVDA będzie teraz raportować nieoznaczone grupy, które zawierają przydatne informacje o pozycji, takie jak w najnowszych wersjach menu Microsoft Office 365. (#14878)

### Poprawki błędów

* Przywołuje monitor brajlowski do komórki brajlowskiej |`routing`
  * Kilka poprawek stabilności wejścia/wyjścia dla monitorów brajlowskich, co skutkuje rzadszymi błędami i awariami NVDA. (#14627)
  * NVDA nie będzie już niepotrzebnie przełączać się na brak brajla wiele razy podczas automatycznego wykrywania, co skutkuje czystszym dziennikiem i mniejszym obciążeniem. (#14524)
  * NVDA przełączy się teraz z powrotem na USB, jeśli urządzenie HID Bluetooth (takie jak HumanWare Brailliant lub APH Mantis) zostanie automatycznie wykryte i połączenie USB stanie się dostępne.
  Wcześniej działało to tylko w przypadku portów szeregowych Bluetooth. (#14524)
  * Jeśli żaden monitor brajlowski nie jest podłączony, a przeglądarka brajlowska zostanie zamknięta przez naciśnięcie Alt+F4 lub kliknięcie przycisku zamykania, rozmiar wyświetlacza w podsystemie brajlowskim zostanie ponownie zresetowany do zera komórek. (#15214)
* Przeglądarki internetowe:
  * NVDA nie powoduje już sporadycznie awarii przeglądarki Mozilla Firefox lub nie przestaje odpowiadać. (#14647)
  * W przeglądarkach Mozilla Firefox i Google Chrome wpisywane znaki nie są już zgłaszane w niektórych polach tekstowych, nawet jeśli opcja Czytaj wpisane znaki jest wyłączona. (#8442)
  * Możesz teraz korzystać z trybu przeglądania w Chromium Embedded Controls, gdzie wcześniej nie było to możliwe. (#13493, #8553)
  * W przeglądarce Mozilla Firefox przesunięcie kursora myszy nad tekst po kliknięciu linku niezawodnie informuje o tekście. (#9235)
  * Miejsce docelowe linków graficznych jest teraz w większej liczbie przypadków dokładnie raportowane w Chrome i Edge. (#14783)
  * Podczas próby zgłoszenia adresu URL linku bez atrybutu href, NVDA nie jest już cicha.
  Zamiast tego NVDA informuje, że łącze nie ma miejsca docelowego. (#14723)
  * W trybie przeglądania, NVDA nie będzie już niepoprawnie ignorować fokusu przenoszącego się do kontrolki nadrzędnej lub podrzędnej, np. przejścia z kontrolki do jej nadrzędnego elementu listy lub komórki siatki. (#14611)
    * Należy jednak pamiętać, że ta poprawka ma zastosowanie tylko wtedy, gdy opcja Automatycznie ustaw ostrość na elementy, na których można ustawić ostrość" w ustawieniach trybu przeglądania jest wyłączona (co jest ustawieniem domyślnym).
* Poprawki dla systemu Windows 11:
  * NVDA może po raz kolejny ogłaszać zawartość paska stanu Notatnika. (#14573)
  * Przełączanie między kartami ogłosi nazwę i pozycję nowej karty w Notatniku i Eksploratorze plików. (#14587, #14388)
  * NVDA po raz kolejny ogłosi pozycje kandydujące podczas wprowadzania tekstu w językach takich jak chiński i japoński. (#14509)
  * Ponownie możliwe jest otwarcie pozycji Współtwórcy i Licencja w menu Pomocy NVDA. (#14725)
* Poprawki pakietu Microsoft Office:
  * Podczas szybkiego przechodzenia między komórkami w programie Excel, NVDA jest teraz mniej prawdopodobne, że zgłosi niewłaściwą komórkę lub zaznaczenie. (#14983, #12200, #12108)
  * Po wylądowaniu na komórce programu Excel spoza arkusza roboczego pismo Braille'a i zakreślacz ostrości nie są już niepotrzebnie aktualizowane do obiektu, który wcześniej był aktywny. (#15136)
  * NVDA nie przerywa już ogłaszania skupienia pól haseł w programach Microsoft Excel i Outlook. (#14839)
* W przypadku symboli, które nie mają opisu symbolu w bieżących ustawieniach regionalnych, zostanie użyty domyślny poziom symbolu angielskiego. (#14558, #14417)
* Teraz można użyć znaku odwrotnego ukośnika w polu zastępczym wpisu słownika, gdy typ nie jest ustawiony na wyrażenie regularne. (#14556)
* W Kalkulatorze Windows 10 i 11 przenośna kopia NVDA nie będzie już nic robić ani odtwarzać dźwięków błędów podczas wprowadzania wyrażeń w standardowym kalkulatorze w trybie kompaktowej nakładki. (#14679)
* NVDA ponownie odzyskuje sprawność po wielu innych sytuacjach, takich jak aplikacje, które przestają odpowiadać, co wcześniej powodowało całkowite zamrożenie. (#14759)
* Podczas wymuszania obsługi UIA z niektórymi terminalami i konsolami, naprawiany jest błąd, który powodował zawieszanie się i spamowanie pliku dziennika. (#14689)
* NVDA nie będzie już odmawiać zapisania konfiguracji po zresetowaniu konfiguracji. (#13187)
* Podczas uruchamiania tymczasowej wersji z programu uruchamiającego, NVDA nie wprowadzi użytkowników w błąd, myśląc, że mogą zapisać konfigurację. (#14914)
* NVDA teraz ogólnie reaguje nieco szybciej na polecenia i zmiany fokusu. (#14928)
* Wyświetlanie ustawień OCR nie zakończy się już niepowodzeniem w niektórych systemach. (#15017)
* Naprawiono błąd związany z zapisywaniem i wczytywaniem konfiguracji NVDA, w tym przełączaniem syntezatorów. (#14760)
* Naprawiono błąd powodujący, że gest dotykowy "przesuń w górę" recenzji tekstu przesuwał strony, a nie przechodził do poprzedniego wiersza. (#15127)

### Zmiany dla deweloperów

Zapoznaj się z [Przewodnikiem dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API), aby uzyskać informacje na temat procesu wycofywania i usuwania API NVDA.

* Sugerowane konwencje zostały dodane do specyfikacji manifestu dodatku.
Są one opcjonalne ze względu na zgodność z NVDA, ale są zalecane lub wymagane do przesłania do Sklepu z dodatkami. (#14754)
  * Użyj "małych liter Camel" w polu nazwy.
  * Za pomocą przycisku '<major>.<minor>. <patch>' dla pola wersji (wymagany w przypadku dodatkowego magazynu danych).</patch></minor></major>
  * Użyj wartości "https://" jako schematu dla pola adresu URL (wymagany w przypadku dodatkowego magazynu danych).
* Dodano nowy typ punktu rozszerzenia o nazwie "Łańcuch", który może być używany do iteracji po iteracjach zwracanych przez zarejestrowane programy obsługi. (#14531)
* Dodano punkt rozszerzenia "bdDetect.scanForDevices".
Można rejestrować programy obsługi, które dają pary "BrailleDisplayDriver/DeviceMatch", które nie pasują do istniejących kategorii, takich jak USB lub Bluetooth. (#14531)
* Dodano punkt rozszerzenia: 'synthDriverHandler.synthChanged'. (#14618)
* Pierścień ustawień syntezatora NVDA buforuje teraz dostępne wartości ustawień za pierwszym razem, gdy są potrzebne, a nie podczas ładowania syntezatora. (#14704)
* Teraz możesz wywołać metodę eksportu na mapie gestów, aby wyeksportować ją do słownika.
Ten słownik można zaimportować w innym geście, przekazując go do konstruktora "GlobalGestureMap" lub do metody update na istniejącej mapie. (#14582)
* "hwIo.base.IoBase" i jego pochodne mają teraz nowy parametr konstruktora, który przyjmuje "hwIo.ioThread.IoThread".
Jeśli nie zostanie podany, używany jest gwint domyślny. (#14627)
* "hwIo.ioThread.IoThread" ma teraz metodę "setWaitableTimer" do ustawiania licznika czasu oczekiwania za pomocą funkcji Pythona.
Podobnie, nowa metoda 'getCompletionRoutine' pozwala na bezpieczne przekształcenie metody Pythona w procedurę uzupełniania. (#14627)
* "Offsety. OffsetsTextInfo._get_boundingRects' powinien teraz zawsze zwracać wartość "List[locationHelper.rectLTWH]" zgodnie z oczekiwaniami dla podklasy "textInfos.TextInfo". (#12424)
* "Highlight-color" jest teraz atrybutem pola formatu. (#14610)
* NVDA powinna dokładniej określić, czy zarejestrowana wiadomość pochodzi z rdzenia NVDA. (#14812)
* NVDA nie będzie już rejestrować niedokładnych ostrzeżeń lub błędów dotyczących przestarzałych modułów aplikacji. (#14806)
* Wszystkie punkty rozszerzeń NVDA są teraz krótko opisane w nowym, dedykowanym rozdziale w Przewodniku dla programistów. (#14648)
* 'scons checkpot' nie będzie już sprawdzać podfolderu 'userConfig'. (#14820)
* Przetłumaczalne ciągi znaków mogą być teraz definiowane w liczbie pojedynczej i mnogiej za pomocą 'ngettext' i 'npgettext'. (#12445)

#### Przestarzałe

* Przekazywanie funkcji lambda do "hwIo.ioThread.IoThread.queueAsApc" jest przestarzałe.
Zamiast tego funkcje powinny mieć słabe odwołania. (#14627)
* Importowanie pliku "LPOVERLAPPED_COMPLETION_ROUTINE" z pliku "hwIo.base" jest przestarzałe.
Zamiast tego zaimportuj z 'hwIo.ioThread'. (#14627)
* Element "IoThread.autoDeleteApcReference" jest przestarzały.
Został wprowadzony w NVDA 2023.1 i nigdy nie miał być częścią publicznego API.
Dopóki nie zostanie usunięty, zachowuje się jak no-op, czyli menedżer kontekstu, który nic nie daje. (#14924)
* "Graficzny interfejs użytkownika. MainFrame.onAddonsManagerCommand" jest przestarzałe, użyj "gui". MainFrame.onAddonStoreCommand'. (#13985)
* Element "speechDictHandler.speechVars.speechDictsPath" jest przestarzały, zamiast niego należy użyć parametru "NVDAState.WritePaths.speechDictsDir". (#15021)
* Importowanie plików "voiceDictsPath" i "voiceDictsBackupPath" z pliku "speechDictHandler.dictFormatUpgrade" jest przestarzałe.
Zamiast tego użyj "WritePaths.voiceDictsDir" i "WritePaths.voiceDictsBackupDir" z "NVDAState". (#15048)
* Wartość "config.CONFIG_IN_LOCAL_APPDATA_SUBKEY" jest przestarzała.
Zamiast tego użyj 'config. RegistryKey.CONFIG_IN_LOCAL_APPDATA_SUBKEY". (#15049)

## 2023.1

Dodano nową opcję, "Styl akapitu" w "Nawigacji po dokumencie".
Można tego używać z edytorami tekstu, które nie obsługują natywnie nawigacji po akapitach, takimi jak Notatnik i Notepad++.

Pojawiło się nowe globalne polecenie informujące o miejscu docelowym łącza, odwzorowane na 'NVDA+k'.

Ulepszono obsługę zawartości sieci Web z adnotacjami (takiej jak komentarze i przypisy).
Naciśnij 'NVDA+d', aby przełączać się między podsumowaniami, gdy zgłaszane są adnotacje (np. "ma komentarz, ma przypis").

Monitory brajlowskie Tivomatic Caiku Albatross 46/80 są teraz obsługiwane.

Ulepszono obsługę wersji ARM64 i AMD64 systemu Windows.

Istnieje wiele poprawek błędów, w szczególności poprawki systemu Windows 11.

Zaktualizowano eSpeak, LibLouis, Sonic rate boost i Unicode CLDR.
Pojawiły się nowe tablice brajlowskie w językach gruzińskim, suahili (Kenia) i Chichewa (Malawi).

Uwaga:

* Ta wersja zapewnia zgodność z istniejącymi dodatkami.

### Nowe funkcje

* Microsoft Excel za pośrednictwem automatyzacji interfejsu użytkownika: Automatyczne raportowanie nagłówków kolumn i wierszy w tabelach. (#14228)
  * Uwaga: Odnosi się to do tabel sformatowanych za pomocą przycisku "Tabela" w okienku Wstawianie na Wstążce.
  "Pierwsza kolumna" i "Wiersz nagłówka" w "Opcjach stylu tabeli" odpowiadają odpowiednio nagłówkom kolumn i wierszy.
  * Nie odnosi się to do nagłówków specyficznych dla czytnika ekranu za pośrednictwem nazwanych zakresów, które obecnie nie są obsługiwane przez automatyzację interfejsu użytkownika.
* Dodano nieprzypisany skrypt do przełączania opóźnionych opisów postaci. (#14267)
* Dodano eksperymentalną opcję wykorzystującą obsługę powiadomień UIA w terminalu Windows do zgłaszania nowego lub zmienionego tekstu w terminalu, co skutkuje poprawą stabilności i responsywności. (#13781)
  * Zapoznaj się z podręcznikiem użytkownika, aby zapoznać się z ograniczeniami tej eksperymentalnej opcji.
* W systemie Windows 11 ARM64 tryb przeglądania jest teraz dostępny w aplikacjach AMD64, takich jak Firefox, Google Chrome i 1Password. (#14397)
* Dodano nową opcję, "Styl akapitu" w "Nawigacji po dokumencie".
Dodaje to obsługę nawigacji po akapitach z pojedynczym podziałem wiersza (normalnym) i wieloma podziałami wierszy (blok).
Można tego używać z edytorami tekstu, które nie obsługują natywnie nawigacji po akapitach, takimi jak Notatnik i Notepad++. (#13797)
* Obecność wielu adnotacji jest teraz zgłaszana.
'NVDA+d' teraz cyklicznie raportuje podsumowanie każdego celu adnotacji dla źródeł z wieloma celami adnotacji.
Na przykład, gdy z tekstem jest skojarzony komentarz i przypis dolny. (#14507, #14480)
* Dodano obsługę monitorów brajlowskich Tivomatic Caiku Albatross 46/80. (#13045)
* Nowe polecenie globalne: Miejsce docelowe łącza raportu ('NVDA+k').
Jednokrotne naciśnięcie spowoduje odczytanie/alfabet Braille'a miejsca docelowego łącza, które znajduje się w obiekcie nawigatora.
Dwukrotne naciśnięcie spowoduje wyświetlenie go w oknie, w celu bardziej szczegółowego przeglądu. (#14583)
* Nowe niezmapowane polecenie globalne (kategoria Narzędzia): Miejsce docelowe łącza raportu w oknie.
To samo, co dwukrotne naciśnięcie 'NVDA+k', ale może być bardziej przydatne dla użytkowników brajla. (#14583)

### Zmiany

* Zaktualizowano tłumacza brajlowskiego LibLouis do wersji [3.24.0](https://github.com/liblouis/liblouis/releases/tag/v3.24.0). (#14436)
  * Duże zmiany w węgierskim, UEB i chińskim bopomofo braille.
  * Obsługa duńskiego standardu Braille'a 2022.
  * Nowe tablice brajlowskie dla gruzińskiego alfabetu Braille'a, suahili (Kenia) i Chichewa (Malawi).
* Zaktualizowano bibliotekę Sonic Rate Boost, aby zatwierdziła '1d70513'. (#14180)
* CLDR został zaktualizowany do wersji 42.0. (#14273)
* eSpeak NG został zaktualizowany do wersji 1.52-dev commit 'f520fecb'. (#14281, #14675)
  * Poprawiono raportowanie dużych liczb. (#14241)
* Aplikacje Java z kontrolkami korzystającymi ze stanu wybieralnego będą teraz informować, kiedy element nie jest wybrany, a nie gdy element jest wybrany. (#14336)

### Poprawki błędów

* Poprawki systemu Windows 11:
  * NVDA ogłosi najważniejsze informacje wyszukiwania po otwarciu menu Start. (#13841)
  * W usłudze ARM aplikacje x64 nie są już identyfikowane jako aplikacje ARM64. (#14403)
  * Można uzyskać dostęp do elementów menu historii schowka, takich jak "element kodu PIN". (#14508)
  * W systemie Windows 11 22H2 i nowszych wersjach, od teraz znowu możliwa jest interakcja za pomocą myszy i klawiatury z elementami takie jak obszar powiadomień dodatkowych i okno dialogowe "otwórz za pomocą". (#14538, #14539)
* Sugestie są zgłaszane podczas wpisywania @mention w komentarzach programu Microsoft Excel. (#13764)
* Na pasku adresu Google Chrome elementy sterujące sugestiami (przełącz na kartę, usuń sugestię itp.) są teraz raportowane po wybraniu. (#13522)
* Podczas żądania informacji o formatowaniu kolory są teraz jawnie zgłaszane w programie Wordpad lub przeglądarce dzienników, a nie tylko w "Kolorze domyślnym". (#13959)
* W przeglądarce Firefox aktywacja przycisku "Pokaż opcje" na stronach problemów GitHub działa teraz niezawodnie. (#14269)
* Kontrolki selektora daty w oknie dialogowym wyszukiwania zaawansowanego programu Outlook 2016 / 365 teraz zgłaszają swoją etykietę i wartość. (#12726)
* Elementy sterujące przełącznikami ARIA są teraz raportowane jako przełączniki w przeglądarkach Firefox, Chrome i Edge, a nie pola wyboru. (#11310)
* NVDA automatycznie ogłosi stan sortowania w nagłówku kolumny tabeli HTML, gdy zostanie zmieniony przez naciśnięcie wewnętrznego przycisku. (#10890)
* Nazwa punktu orientacyjnego lub regionu jest zawsze automatycznie wypowiadana podczas przeskakiwania do środka z zewnątrz za pomocą szybkiej nawigacji lub ustawiania ostrości w trybie przeglądania. (#13307)
* Gdy opcje Odtwarzaj dźwięk, oraz lub wymawiaj 'duże' przed dużymi literami są włączone w kombinacji z opisami po nazwie liter, NVDA więcej nie odtworzy sygnał dźwiękowy lub odczyta 'duże' dwukrotnie. (#14239)
* Kontrolki w tabelach w aplikacjach Java będą teraz dokładniej ogłaszane przez NVDA. (#14347)
* Niektóre ustawienia nie będą się już nieoczekiwanie różnić w przypadku korzystania z wielu profili. (#14170)
  * Zajęto się następującymi ustawieniami:
    * Wcięcie wiersza w ustawieniach formatowania dokumentu.
    * Obramowania komórek w ustawieniach formatowania dokumentu
    * Pokazywanie wiadomości w ustawieniach brajla
    * Tether Braille w ustawieniach brajlowskich
  * W niektórych, rzadkich przypadkach, te ustawienia używane w profilach mogą zostać nieoczekiwanie zmodyfikowane podczas instalacji tej wersji NVDA.
  * Prosimy o sprawdzenie tych opcji w swoich profilach po aktualizacji NVDA do tej wersji.
* Emotikony powinny być teraz zgłaszane w większej liczbie języków. (#14433)
* W przypadku niektórych elementów w alfabecie Braille'a nie brakuje już adnotacji. (#13815)
* Naprawiono problem polegający na tym, że zmiany konfiguracji nie zapisywały się poprawnie po przełączeniu między opcją "Domyślna" a wartością opcji "Domyślna". (#14133)
* Podczas konfiguracji NVDA zawsze będzie istniał co najmniej jeden klucz zdefiniowany jako klucz NVDA. (#14527)
* Podczas uzyskiwania dostępu do menu NVDA poprzez obszar powiadomień, NVDA nie będzie już sugerować oczekującej aktualizacji, jeśli żadna aktualizacja nie jest dostępna. (#14523)
* Pozostały czas, który upłynął i całkowity jest teraz poprawnie raportowany dla plików audio w ciągu jednego dnia w foobar2000. (#14127)
* W przeglądarkach internetowych, takich jak Chrome i Firefox, alerty, takie jak pobranie plików, są wyświetlane w alfabecie Braille'a, a nie tylko są wypowiadane. (#14562)
* Naprawiono błąd podczas przechodzenia do pierwszej i ostatniej kolumny w tabeli w Firefoksie (#14554)
* Gdy NVDA zostanie uruchomiony z parametrem '--lang=Windows', ponownie możliwe jest otwarcie okna dialogowego ustawień ogólnych NVDA. (#14407)
* NVDA nie przerywa już kontynuowania czytania w Kindle na PC po przewróceniu strony. (#14390)

### Zmiany dla deweloperów

Uwaga: jest to wersja niezgodna z interfejsem API dodatku.
Dodatki będą musiały zostać ponownie przetestowane i mieć zaktualizowany manifest.
Zapoznaj się z [Przewodnikiem dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API), aby uzyskać informacje na temat procesu wycofywania i usuwania API NVDA.

* Testy systemowe powinny teraz zakończyć się powodzeniem, gdy są uruchamiane lokalnie w systemach innych niż angielski. (#13362)
* W systemie Windows 11 na usłudze ARM aplikacje x64 nie są już identyfikowane jako aplikacje ARM64. (#14403)
* Nie jest już konieczne używanie "SearchField" i "SuggestionListItem", "UIA", "NVDAObjects" w nowych scenariuszach automatyzacji interfejsu użytkownika, w których automatyczne raportowanie sugestii wyszukiwania i gdzie wpisywanie zostało uwidocznione za pośrednictwem automatyzacji interfejsu użytkownika ze wzorcem "controllerFor".
Ta funkcja jest teraz dostępna ogólnie za pośrednictwem "zachowań". EditableText" i podstawę "NVDAObject" odpowiednio. (#14222)
* Kategoria rejestrowania debugowania UIA, gdy jest włączona, generuje teraz znacznie więcej rejestrów dla programów obsługi zdarzeń UIA i narzędzi. (#14256)
* Zaktualizowano standardy kompilacji NVDAHelper. (#13072)
  * Teraz używa standardu C++20, był C++17.
  * Now uses the `/permissive-` compiler flag which disables permissive behaviors, and sets the `/Zc` compiler options for strict conformance.
* Niektóre obiekty wtyczek (np. sterowniki i dodatki) mają teraz bardziej informacyjny opis w konsoli NVDA Pythona. (#14463)
* NVDA can now be fully compiled with Visual Studio 2022, no longer requiring the Visual Studio 2019 build tools. (#14326)
* More detailed logging for NVDA freezes to aid debugging. (#14309)
* Singletonowa klasa 'braille._BgThread' została zastąpiona przez 'hwIo.ioThread.IoThread'. (#14130)
  * Pojedyncza instancja 'hwIo.bgThread' (w rdzeniu NVDA) tej klasy zapewnia tło i/o dla bezpiecznych wątkowo sterowników monitorów brajlowskich.
  * Ta nowa klasa nie jest singletonem z założenia, autorzy dodatków są zachęcani do używania własnej instancji podczas wykonywania sprzętowych operacji we/wy.
* Architekturę procesora dla komputera można sprawdzić z atrybutu "winVersion.WinVersion.processorArchitecture". (#14439)
* Dodano nowe punkty rozszerzeń. (#14503)
  * "inputCore.decide_executeGesture"
  * "tones.decide_beep"
  * "nvwave.decide_playWaveFile"
  * "braille.pre_writeCells"
  * "braille.filter_displaySize"
  * "braille.decide_enabled"
  * 'braille.displayZmieniono'
  * 'braille.displaySizeChanged'
* Możliwe jest ustawienie useConfig na False na obsługiwanych ustawieniach sterownika syntezatora. (#14601)

#### Zmiany powodujące niezgodność interfejsu API

Są to zmiany w interfejsie API powodujące niezgodność.
Otwórz problem z usługą GitHub, jeśli Twój dodatek ma problem z aktualizacją do nowego interfejsu API.

* Specyfikacja konfiguracji została zmieniona, klucze zostały usunięte lub zmodyfikowane:
  * W sekcji "[documentFormatting]" (#14233):
    * "reportLineIndentation" przechowuje wartość int (od 0 do 3) zamiast wartości logicznej
    * Usunięto element "reportLineIndentationWithTones".
    * Wartości "reportBorderStyle" i "reportBorderColor" zostały usunięte i zostały zastąpione przez "reportCellBorders".
  * W sekcji '[braille]' (#14233):
    * Wartość "noMessageTimeout" została usunięta i zastąpiona wartością wartości "showMessages".
    * Parametr "messageTimeout" nie może już przyjmować wartości 0, zastępowanej wartością parametru "showMessages".
    * Usunięto opcję 'autoTether'; 'tetherTo' może teraz przyjąć wartość "auto".
  * W sekcji "[klawiatura]" (#14528):
    * `useCapsLockAsNVDAModifierKey`, `useNumpadInsertAsNVDAModifierKey`, `useExtendedInsertAsNVDAModifierKey` have been removed.
    Są one zastępowane przez 'NVDAModifierKeys'.
* Klasa "NVDAHelper.RemoteLoader64" została usunięta bez zastępstwa. (#14449)
* Następujące funkcje w pliku "winAPI.sessionTracking" są usuwane bez zastępowania. (#14416, #14490)
  * "isWindowsLocked" (Jest zablokowany)
  * 'handleSessionChange' (zmiana sesji)
  * "Wyrejestruj się"
  * "Rejestr"
  * "isLockStateSuccessfullyTracked" (IsLockStateSuccessfullyTracked)
* Nie jest już możliwe włączenie/wyłączenie obsługi brajla poprzez ustawienie 'braille.handler.enabled'.
Aby programowo wyłączyć obsługę brajla, zarejestruj ją w pozycji "braille.handler.decide_enabled". (#14503)
* Nie jest już możliwe zaktualizowanie rozmiaru wyświetlacza modułu obsługi poprzez ustawienie 'braille.handler.displaySize'.
To update the displaySize programatically, register a handler to `braille.handler.filter_displaySize`.
Zapoznaj się z 'BrailleViewer', aby dowiedzieć się, jak to zrobić. (#14503)
* Wprowadzono zmiany w użyciu elementu "addonHandler.Addon.loadModule". (#14481)
  * "loadModule" oczekuje teraz kropki jako separatora, a nie ukośnika odwrotnego.
  Na przykład "lib.example" zamiast "lib\example".
  * "loadModule" zgłasza teraz wyjątek, gdy nie można załadować modułu lub występują błędy, zamiast dyskretnie zwracać wartość "None" bez podawania informacji o przyczynie.
* Następujące symbole zostały usunięte z pliku 'appModules.foobar2000' bez bezpośredniego zastąpienia. (#14570)
  * 'statusBarTimes' (Czasy statusBar)
  * "ParseIntervalToTimestamp"
  * 'getOutputFormat' (Format wyjściowy)
  * 'getParsingFormat' (Format analizy)
* Następujące elementy nie są już singletonami - ich metoda get została usunięta.
Użycie 'Example.get()' to teraz 'Example()'. (#14248)
  * "UIAHandler.customAnnotations.CustomAnnotationTypesCommon"
  * 'UIAHandler.customProps.CustomPropertiesCommon'
  * "NVDAObjects.UIA.excel.ExcelCustomProperties"
  * "NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes" (NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes)

#### Przestarzałe

* Plik "NVDAObjects.UIA.winConsoleUIA.WinTerminalUIA" jest przestarzały i jego użycie jest zabronione. (#14047)
* Plik "config.addConfigDirsToPythonPackagePath" został przeniesiony.
Zamiast tego użyj polecenia "addonHandler.packaging.addDirsToPythonPackagePath". (#14350)
* "Alfabet Braille'a. BrailleHandler.TETHER_*" są przestarzałe.
Zamiast tego użyj "configFlags.TetherTo.*.value". (#14233)
* Plik "utils.security.postSessionLockStateChanged" jest przestarzały.
Use `utils.security.post_sessionLockStateChanged` instead. (#14486)
* Elementy "NVDAObject.hasDetails", "NVDAObject.detailsSummary", "NVDAObject.detailsRole" zostały uznane za przestarzałe.
Zamiast tego użyj "NVDAObject.annotations". (#14507)
* Ciąg "keyboardHandler.SUPPORTED_NVDA_MODIFIER_KEYS" jest przestarzały i nie ma go bezpośrednio zastępować.
Zamiast tego rozważ użycie klasy "config.configFlags.NVDAKey". (#14528)
* "Graficzny interfejs użytkownika. MainFrame.evaluateUpdatePendingUpdateMenuItemCommand" jest przestarzałe.
Użyj 'gui. MainFrame.SysTrayIcon.evaluateUpdatePendingUpdateMenuItemCommand". (#14523)

## 2022.4

To wydanie zawiera kilka nowych poleceń klawiszowych, w tym polecenia table say all.
Sekcja "Skrócona instrukcja obsługi" została dodana do Podręcznika użytkownika.
Istnieje również kilka poprawek błędów.

eSpeak został zaktualizowany, a LibLouis został zaktualizowany.
Pojawiły się nowe tablice brajlowskie w językach chińskim, szwedzkim, luganda i kinyarwanda.

### Nowe funkcje

* Dodano sekcję "Skrócona instrukcja obsługi" do Podręcznika użytkownika. (#13934)
* Wprowadzono nowe polecenie sprawdzania skrótu klawiaturowego bieżącego fokusu. (#13960)
  * Pulpit: 'shift+klawiatura numeryczna2'.
  * Laptop: 'NVDA+ctrl+shift+.'.
* Wprowadzono nowe polecenia umożliwiające przesuwanie kursora recenzji według strony, na której jest to obsługiwane przez aplikację. (#14021)
  * Przejdź do poprzedniej strony:
    * Pulpit: 'NVDA+pageUp'.
    * Laptop: 'NVDA+shift+pageUp'.
  * Przejdź do następnej strony:
    * Pulpit: 'NVDA+pageDown'.
    * Laptop: 'NVDA+shift+pageDown'.
* Dodano następujące polecenia tabeli. (#14070)
  * Powiedz wszystko w kolumnie: 'NVDA+control+alt+strzałka w dół'
  * Powiedz wszystko w wierszu: 'NVDA+control+alt+rightArrow'
  * Przeczytaj całą kolumnę: 'NVDA+control+alt+strzałka w górę'
  * Przeczytaj cały wiersz: 'NVDA+control+alt+strzałka w lewo'
* Microsoft Excel za pośrednictwem automatyzacji interfejsu użytkownika: NVDA informuje teraz o wyjściu z tabeli w arkuszu kalkulacyjnym. (#14165)
* Nagłówki tabel raportowania można teraz konfigurować osobno dla wierszy i kolumn. (#14075)

### Zmiany

* eSpeak NG został zaktualizowany do wersji 1.52-dev commit '735ecdb8'. (#14060, #14079, #14118, #14203)
  * Poprawiono raportowanie znaków łacińskich podczas korzystania z języka mandaryńskiego. (#12952, #13572, #14197)
* Zaktualizowano tłumacza brajlowskiego LibLouis do wersji [3.23.0](https://github.com/liblouis/liblouis/releases/tag/v3.23.0). (#14112)
  * Dodano tabele brajlowskie:
    * Wspólny chiński alfabet Braille'a (uproszczone znaki chińskie)
    * Kinyarwanda brajl literacki
    * Luganda brajl literacki
    * Szwedzkie pismo podstawowe
    * Szwedzkie pismo pełne
    * Szwedzkie skróty
    * Chiński (Chiny, mandaryński) Aktualny system Braille'a (bez tonów) (#14138)
* NVDA zawiera teraz architekturę systemu operacyjnego w ramach śledzenia statystyk użytkowników. (#14019)

### Poprawki błędów

* Podczas aktualizowania NVDA za pomocą interfejsu wiersza polecenia Menedżera pakietów Windows (aka winget), wydana wersja NVDA nie jest już zawsze traktowana jako nowsza niż jakakolwiek zainstalowana wersja alfa. (#12469)
* NVDA będzie teraz poprawnie ogłaszać pola grup w aplikacjach Java. (#13962)
* Caret poprawnie podąża za tekstem mówionym podczas "powiedz wszystko" w aplikacjach takich jak Bookworm, WordPad lub przeglądarka dzienników NVDA. (#13420, #9179)
* W programach korzystających z UI Automation częściowo zaznaczone pola wyboru będą raportowane poprawnie. (#13975)
* Poprawiono wydajność i stabilność w programie Microsoft Visual Studio, terminalu Windows i innych aplikacjach opartych na automatyzacji interfejsu użytkownika. (#11077, #11209)
  * Te poprawki dotyczą systemu Windows 11 Sun Valley 2 (wersja 22H2) i nowszych.
  * Selektywna rejestracja zdarzeń i zmian właściwości automatyzacji interfejsu użytkownika jest teraz domyślnie włączona.
* Raportowanie tekstu, dane wyjściowe brajlem i pomijanie haseł działają teraz zgodnie z oczekiwaniami w osadzonej kontrolce terminala systemu Windows w programie Visual Studio 2022. (#14194)
* NVDA rozpoznaje teraz DPI podczas korzystania z wielu monitorów.
Istnieje kilka poprawek dotyczących korzystania z ustawienia DPI wyższego niż 100% o na wielu monitorach.
Problemy mogą nadal występować w wersjach systemu Windows starszych niż Windows 10 1809.
Aby te poprawki działały, aplikacje, z którymi NVDA wchodzi w interakcję, również muszą być świadome DPI.
Pamiętaj, że nadal występują znane problemy z Chrome i Edge. (#13254)
  * Wizualne ramki podświetlania powinny być teraz poprawnie rozmieszczone w większości aplikacji. (#13370, #3875, #12070)
  * Interakcja z ekranem dotykowym powinna być teraz dokładna dla większości aplikacji. (#7083)
  * Śledzenie myszy powinno teraz działać w większości aplikacji. (#6722)
* Zmiany orientacji (pozioma/pionowa) są teraz poprawnie ignorowane, gdy nie ma żadnych zmian (np. zmiany monitora). (#14035)
* NVDA ogłosi przeciąganie elementów na ekranie w miejscach takich jak zmiana kolejności kafelków menu Start systemu Windows 10 i wirtualnych pulpitów w systemie Windows 11. (#12271, #14081)
* W ustawieniach zaawansowanych opcja "Odtwórz dźwięk dla zarejestrowanych błędów" jest teraz poprawnie przywracana do wartości domyślnej po naciśnięciu przycisku "Przywróć domyślne". (#14149)
* NVDA może teraz zaznaczać tekst za pomocą skrótu klawiaturowego 'NVDA+f10' w aplikacjach Java. (#14163)
* NVDA nie będzie już zacinać się w menu podczas przechodzenia w górę i w dół wątków rozmów w Microsoft Teams. (#14355)

### Zmiany dla deweloperów

Zapoznaj się z [Przewodnikiem dla programistów](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API), aby uzyskać informacje na temat procesu wycofywania i usuwania API NVDA.

* Utworzono listę mailingową [NVDA API Announcement](https://groups.google.com/a/nvaccess.org/g/nvda-api/about). (#13999)
* NVDA nie przetwarza już zdarzeń 'textChange' dla większości aplikacji do automatyzacji interfejsu użytkownika ze względu na ich ekstremalnie negatywny wpływ na wydajność. (#11002, #14067)

#### Przestarzałe

* "core.post_windowMessageReceipt" jest przestarzałe, zamiast tego użyj "winAPI.messageWindow.pre_handleWindowMessage".
* Wartość "winKernel.SYSTEM_POWER_STATUS" jest przestarzała i odradza się jej używanie, została przeniesiona do wartości "winAPI._powerTracking.SystemPowerStatus".
* Stałe "winUser.SM_*" są przestarzałe, zamiast tego użyj "winAPI.winUser.constants.SystemMetrics".

## 2022.3.3

Jest to niewielka wersja, która rozwiązuje problemy z wersjami 2022.3.2, 2022.3.1 i 2022.3.
Rozwiązuje to również problem z zabezpieczeniami.

### Poprawki zabezpieczeń

* Uniemożliwia możliwy dostęp do systemu (np. konsoli NVDA Python) dla nieuwierzytelnionych użytkowników.
([GHSA-fpwc-2gxx-j9v7](https://github.com/nvaccess/nvda/security/advisories/GHSA-fpwc-2gxx-j9v7))

### Poprawki błędów

* Naprawiono błąd polegający na tym, że jeśli NVDA zawiesza się podczas blokowania, NVDA zezwala na dostęp do pulpitu użytkownika na ekranie blokady systemu Windows. (#14416)
* Naprawiono błąd, który powodował, że jeśli NVDA zawiesza się podczas blokowania, NVDA nie będzie zachowywać się poprawnie, tak jakby urządzenie było nadal zablokowane. (#14416)
* Rozwiązano problemy z ułatwieniami dostępu w procesie "zapomniałem kodu PIN" systemu Windows i aktualizacją/instalacją systemu Windows. (#14368)
* Naprawiono błąd podczas próby instalacji NVDA w niektórych środowiskach Windows, np. Windows Server. (#14379)

### Zmiany dla deweloperów

#### Przestarzałe

* Plik "utils.security.isObjectAboveLockScreen(obj)" jest przestarzały, zamiast tego należy użyć "obj.isBelowLockScreen". (#14416)
* Następujące funkcje w "winAPI.sessionTracking" są przestarzałe do usunięcia w 2023.1. (#14416)
  * "isWindowsLocked" (Jest zablokowany)
  * 'handleSessionChange' (zmiana sesji)
  * "Wyrejestruj się"
  * "Rejestr"
  * "isLockStateSuccessfullyTracked" (IsLockStateSuccessfullyTracked)

## 2022.3.2

Jest to niewielka wersja, która ma na celu naprawienie regresji w wersji 2022.3.1 i rozwiązanie problemu z zabezpieczeniami.

### Poprawki zabezpieczeń

* Uniemożliwia możliwy dostęp na poziomie systemu nieuwierzytelnionym użytkownikom.
([GHSA-3jj9-295f-h69w](https://github.com/nvaccess/nvda/security/advisories/GHSA-3jj9-295f-h69w))

### Poprawki błędów

* Naprawiono regresję z wersji 2022.3.1, w której niektóre funkcje były wyłączone na bezpiecznych ekranach. (#14286)
* Naprawiono regresję z 2022.3.1, w której niektóre funkcje były wyłączane po zalogowaniu, jeśli NVDA uruchamiał się na ekranie blokady. (#14301)

## 2022.3.1

Jest to niewielka wersja, która ma na celu rozwiązanie kilku problemów z zabezpieczeniami.
Prosimy o odpowiednie zgłoszenie incydentów bezpieczeństwa na adres <info@nvaccess.org>.

### Poprawki zabezpieczeń

* Naprawiono eksploit za pomocą którego można było podnieść uprawnienia z użytkownika do systemu.
([GHSA-q7c2-pgqm-vvw5](https://github.com/nvaccess/nvda/security/advisories/GHSA-q7c2-pgqm-vvw5))
* Naprawiono problem z zabezpieczeniami umożliwiający dostęp do konsoli Pythona na ekranie blokady poprzez warunek wyścigu dla uruchamiania NVDA.
([GHSA-72mj-mqhj-qh4w](https://github.com/nvaccess/nvda/security/advisories/GHSA-72mj-mqhj-qh4w))
* Rozwiązano problem polegający na tym, że tekst przeglądarki mowy był buforowany podczas blokowania systemu Windows.
([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

### Poprawki błędów

* Uniemożliwia nieuwierzytelnionemu użytkownikowi aktualizowanie ustawień przeglądarki mowy i alfabetu Braille'a na ekranie blokady. ([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

## 2022.3

Znaczna część tego wydania została wniesiona przez społeczność programistów NVDA.
Obejmuje to opóźnione opisy postaci i ulepszoną obsługę konsoli Windows.

To wydanie zawiera również kilka poprawek błędów.
Warto zauważyć, że aktualne wersje programu Adobe Acrobat/Reader nie będą się już zawieszać podczas odczytywania dokumentu PDF.

Zaktualizowano eSpeak, który wprowadza 3 nowe języki: białoruski, luksemburski i Totontepec Mixe.

### Nowe funkcje

* Na hoście konsoli systemu Windows używanym przez wiersz polecenia, program PowerShell i podsystem Windows dla systemu Linux w systemie Windows 11 w wersji 22H2 (Sun Valley 2) lub nowszej:
  * Znacznie poprawiona wydajność i stabilność. (#10964)
  * Po naciśnięciu "control+f" w celu znalezienia tekstu, pozycja kursora recenzji jest aktualizowana tak, aby podążała za znalezionym terminem. (#11172)
  * Raportowanie wpisanego tekstu, który nie pojawia się na ekranie (np. haseł), jest domyślnie wyłączone.
Można go ponownie włączyć w panelu ustawień zaawansowanych NVDA. (#11554)
  * Tekst, który został przewinięty poza ekran, można przeglądać bez przewijania okna konsoli. (#12669)
  * Dostępne są bardziej szczegółowe informacje na temat formatowania tekstu. ([microsoft/terminal PR 10336](https://github.com/microsoft/terminal/pull/10336))
* Dodano nową opcję Mowy, która umożliwia odczytywanie opisów postaci po pewnym czasie. (#13509)
* Dodano nową opcję Braille'a, która określa, czy przewijanie wyświetlacza do przodu/do tyłu powinno przerywać mowę. (#2124)

### Zmiany

* eSpeak NG został zaktualizowany do wersji 1.52-dev commit '9de65fcb'. (#13295)
  * Dodane języki:
    * Białoruski
    * luksemburski
    * Totontepec Mixe
* Podczas korzystania z automatyzacji interfejsu użytkownika w celu uzyskania dostępu do kontrolek arkusza kalkulacyjnego programu Microsoft Excel, NVDA może teraz raportować, kiedy komórka jest scalana. (#12843)
* Zamiast zgłaszania "zawiera szczegóły" w miarę możliwości uwzględnia się cel szczegółów, na przykład "zawiera komentarz". (#13649)
* Rozmiar instalacji NVDA jest teraz wyświetlany w sekcji Programy i funkcje systemu Windows. (#13909)

### Poprawki błędów

* 64-bitowy program Adobe Acrobat / Reader nie będzie się już zawieszał podczas odczytywania dokumentu PDF. (#12920)
  * Należy pamiętać, że aby uniknąć awarii, wymagana jest również najnowsza wersja programu Adobe Acrobat / Reader.
* Pomiary rozmiaru czcionki są teraz tłumaczalne w NVDA. (#13573)
* Ignoruj zdarzenia programu Java Access Bridge, w których nie można znaleźć uchwytu okna dla aplikacji Java.
Poprawi to wydajność niektórych aplikacji Java, w tym IntelliJ IDEA. (#13039)
* Ogłaszanie zaznaczonych komórek w programie LibreOffice Calc jest bardziej wydajne i nie powoduje już zawieszania się programu Calc, gdy zaznaczonych jest wiele komórek. (#13232)
* W przypadku uruchamiania przez innego użytkownika przeglądarka Microsoft Edge nie jest już niedostępna. (#13032)
* Gdy podwyżka kursu jest wyłączona, stawka eSpeak nie spada już między stawkami 99% a i 100%. (#13876)
* Naprawiono błąd, który pozwalał na otwarcie 2 okien dialogowych gestów wprowadzania. (#13854)

### Zmiany dla deweloperów

* Zaktualizowano komtypy do wersji 1.1.11. (#12953)
* In builds of Windows Console (`conhost.exe`) with an NVDA API level of 2 (`FORMATTED`) or greater, such as those included with Windows 11 version 22H2 (Sun Valley 2), UI Automation is now used by default. (#10964)
  * Można to zmienić, zmieniając ustawienie "Obsługa konsoli Windows" w panelu ustawień zaawansowanych NVDA.
  * Aby znaleźć poziom interfejsu API NVDA konsoli systemu Windows, ustaw opcję "Obsługa konsoli systemu Windows" na "UIA, gdy jest dostępna", a następnie sprawdź dziennik NVDA+F1 otwarty z uruchomionej instancji konsoli systemu Windows.
* Wirtualny bufor Chromium jest teraz ładowany nawet wtedy, gdy obiekt dokumentu ma "STATE_SYSTEM_BUSY" MSAA ujawnione za pośrednictwem IA2. (#13306)
* Typ specyfikacji konfiguracyjnej 'featureFlag' został stworzony do użytku z eksperymentalnymi funkcjami NVDA. Zobacz 'devDocs/featureFlag.md', aby uzyskać więcej informacji. (#13859)

#### Przestarzałe

W 2022 r. nie są proponowane żadne wycofania.3.

## 2022.2.4

Jest to poprawka mająca na celu rozwiązanie problemu z zabezpieczeniami.

### Poprawki błędów

* Naprawiono exploit, w którym można było otworzyć konsolę NVDA Pythona za pomocą przeglądarki dziennika na ekranie blokady.
([GHSA-585m-rpvv-93qg](https://github.com/nvaccess/nvda/security/advisories/GHSA-585m-rpvv-93qg))

## 2022.2.3

Jest to poprawka naprawiająca przypadkowe uszkodzenie interfejsu API wprowadzone w wersji 2022.2.1.

### Poprawki błędów

* Naprawiono błąd, który sprawiał, że NVDA nie ogłaszało "Bezpieczny pulpit" po wejściu na bezpieczny pulpit.
Powodowało to, że zdalny NVDA nie rozpoznawał bezpiecznych pulpitów. (#14094)

## 2022.2.2

Jest to poprawka naprawiająca błąd wprowadzony w 2022.2.1 dotyczący gestów wejściowych.

### Poprawki błędów

* Naprawiono błąd polegający na tym, że gesty wejściowe nie zawsze działały. (#14065)

## 2022.2.1

Jest to drobna wersja, która ma na celu rozwiązanie problemu z zabezpieczeniami.
Prosimy odpowiedzialnie zgłaszać problemy z bezpieczeństwem na adresie <info@nvaccess.org>.

### Poprawki zabezpieczeń

* Naprawiono exploit, w którym można było uruchomić konsolę Pythona z ekranu blokady. (GHSA-rmq3-vvhq-gp32)
* Naprawiono błąd, w wyniku którego można było uciec z ekranu blokady za pomocą nawigacji po obiektach. (GHSA-rmq3-vvhq-gp32)

### Zmiany dla deweloperów

#### Przestarzałe

Te wycofania nie są obecnie zaplanowane do usunięcia.
Przestarzałe aliasy pozostaną do odwołania.
Przetestuj nowy interfejs API i przekaż swoją opinię.
W przypadku autorów dodatków otwórz problem z usługą GitHub, jeśli te zmiany uniemożliwiają interfejsowi API spełnianie Twoich potrzeb.

* `appModules.lockapp.LockAppObject` should be replaced with `NVDAObjects.lockscreen.LockScreenObject`. (GHSA-rmq3-vvhq-gp32)
* Ciąg "appModules.lockapp.AppModule.SAFE_SCRIPTS" powinien zostać zastąpiony przez ciąg "utils.security.getSafeScripts()". (GHSA-rmq3-vvhq-gp32)

## 2022.2

To wydanie zawiera wiele poprawek błędów.
Warto zauważyć, że wprowadzono znaczące ulepszenia w aplikacjach opartych na Javie, monitorach brajlowskich i funkcjach systemu Windows.

Wprowadzono nowe polecenia nawigacji po tabelach.
Zaktualizowano standard Unicode CLDR.
Zaktualizowano bibliotekę LibLouis, która zawiera nową niemiecką tabelę brajlowską.

### Nowe funkcje

* Obsługa interakcji ze składnikami pętli Microsoft w produktach pakietu Microsoft Office. (#13617)
* Dodano nowe polecenia nawigacji po tabelach. (#957)
 * 'control+alt+home/end', aby przejść do pierwszej/ostatniej kolumny.
 * 'control+alt+pageUp/pageDown', aby przejść do pierwszego/ostatniego wiersza.
* Dodano nieprzypisany skrypt do przełączania między trybami przełączania języka i dialektu. (#10253)

### Zmiany

* NSIS został zaktualizowany do wersji 3.08. (#9134)
* CLDR został zaktualizowany do wersji 41.0. (#13582)
* Zaktualizowano tłumacza brajlowskiego LibLouis do wersji [3.22.0](https://github.com/liblouis/liblouis/releases/tag/v3.22.0). (#13775)
  * Nowa tablica brajlowska: niemiecka klasa 2 (szczegółowa)
* Dodano nową rolę dla elementów sterujących "wskaźnikiem zajętości". (#10644)
* NVDA informuje teraz, kiedy nie można wykonać akcji NVDA. (#13500)
  * Dotyczy to sytuacji, gdy:
    * Korzystanie z wersji NVDA Windows Store.
    * W bezpiecznym kontekście.
    * Oczekiwanie na odpowiedź na modalne okno dialogowe.

### Poprawki błędów

* Poprawki dla aplikacji opartych na Javie:
  * NVDA będzie teraz ogłaszać stan tylko do odczytu. (#13692)
  * NVDA będzie teraz poprawnie ogłaszać stan wyłączony/włączony. (#10993)
  * NVDA będzie teraz informować o skrótach funkcyjnych. (#13643)
  * NVDA może teraz emitować sygnał dźwiękowy lub mówić na paskach postępu. (#13594)
  * NVDA nie będzie już nieprawidłowo usuwać tekstu z widżetów podczas prezentacji dla użytkownika. (#13102)
  * NVDA ogłosi teraz stan przycisków przełączania. (#9728)
  * NVDA będzie teraz identyfikować okno w aplikacji Java z wieloma oknami. (#9184)
  * NVDA będzie teraz ogłaszać informacje o pozycji dla kontrolek zakładek. (#13744)
* Poprawki w alfabecie Braille'a:
  * Naprawiono wyjście brajlowskie podczas nawigowania po określonym tekście w elementach sterujących edycją Mozilli, takich jak redagowanie wiadomości w Thunderbirdzie. (#12542)
  * Gdy pismo Braille'a jest automatycznie podłączane na uwięzi, a mysz jest poruszana z włączonym śledzeniem myszy,
   Polecenia przeglądu tekstu aktualizują teraz monitor brajlowski o treść mówioną. (#11519)
  * Możliwe jest teraz przesuwanie monitora brajlowskiego przez zawartość po użyciu poleceń przeglądu tekstu. (#8682)
* Instalator NVDA może być teraz uruchamiany z katalogów ze znakami specjalnymi. (#13270)
* W Firefoksie NVDA nie zgłasza już elementów na stronach internetowych, gdy atrybuty aria-rowindex, aria-colindex, aria-rowcount lub aria-colcount są nieprawidłowe. (#13405)
* Kursor nie przełącza już wiersza ani kolumny podczas nawigacji po tabeli w celu nawigowania po scalonych komórkach. (#7278)
* Podczas odczytywania nieinterakcyjnych plików PDF w programie Adobe Reader typ i stan pól formularza (takich jak pola wyboru i przyciski radiowe) są teraz raportowane. (#13285)
* Opcja "Zresetuj konfigurację do ustawień fabrycznych" jest teraz dostępna w menu NVDA w trybie bezpiecznym. (#13547)
* Wszystkie zablokowane myszy zostaną odblokowane po wyjściu z NVDA, wcześniej przycisk myszy pozostawał zablokowany. (#13410)
* Program Visual Studio raportuje teraz numery wierszy. (#13604)
  * Zauważ, że aby raportowanie numerów wierszy działało, pokazywanie numerów wierszy musi być włączone w Visual Studio i NVDA.
* Program Visual Studio teraz poprawnie zgłasza wcięcia wierszy. (#13574)
* NVDA po raz kolejny ogłosi szczegóły wyników wyszukiwania w menu Start w najnowszych wersjach Windows 10 i 11. (#13544)
* W Kalkulatorze Windows 10 i 11 w wersji 10.1908 lub nowszej
NVDA ogłosi wyniki, gdy zostanie naciśniętych więcej poleceń, takich jak polecenia z trybu naukowego. (#13383)
* W systemie Windows 11 ponownie możliwa jest nawigacja i interakcja z elementami interfejsu użytkownika,
takie jak pasek zadań i widok zadań za pomocą myszy i interakcji dotykowej. (#13506)
* NVDA ogłosi zawartość paska stanu w Notatniku systemu Windows 11. (#13688)
* Podświetlenie obiektu Nawigatora pojawia się teraz natychmiast po aktywacji funkcji. (#13641)
* Naprawiono odczytywanie elementów widoku listy z pojedynczą kolumną. (#13659, #13735)
* Naprawiono automatyczne przełączanie języka eSpeak na angielski i francuski z powrotem na brytyjski angielski i francuski (Francja). (#13727)
* Napraw automatyczne przełączanie języka OneCore podczas próby przełączenia się na poprzednio zainstalowany język. (#13732)

### Zmiany dla deweloperów

* Kompilowanie zależności NVDA za pomocą programu Visual Studio 2022 (17.0) jest teraz obsługiwane.
W przypadku kompilacji deweloperskich i wydawniczych program Visual Studio 2019 jest nadal używany. (#13033)
* Podczas pobierania liczby wybranych dzieci za pomocą accSelection,
przypadek, w którym ujemny identyfikator podrzędny lub IDispatch jest zwracany przez "IAccessible::get_accSelection", jest teraz obsługiwany poprawnie. (#13277)
* Do modułu "appModuleHandler" dodano nowe funkcje "registerExecutableWithAppModule" i "unregisterExecutable".
Mogą być używane do korzystania z pojedynczego modułu aplikacji z wieloma plikami wykonywalnymi. (#13366)

#### Przestarzałe

Są to proponowane zmiany powodujące niezgodność interfejsu API.
Przestarzała część interfejsu API będzie nadal dostępna do określonej wersji.
Jeśli nie określono zwolnienia, oznacza to, że plan usunięcia nie został określony.
Pamiętaj, że plan usuwania jest "dołożony wszelkich starań" i może ulec zmianie.
Przetestuj nowy interfejs API i przekaż swoją opinię.
W przypadku autorów dodatków otwórz problem z usługą GitHub, jeśli te zmiany uniemożliwiają interfejsowi API spełnianie Twoich potrzeb.

* Parametr "appModuleHandler.NVDAProcessID" jest przestarzały, zamiast niego należy użyć parametru "globalVars.appPid". (#13646)
* 'gui.quit' jest przestarzały, użyj 'wx. CallAfter(mainFrame.onExitCommand, None)' zamiast. (#13498)
  -
* Niektóre aliasy appModules są oznaczone jako przestarzałe.
Kod, który importuje z jednego z nich, powinien zamiast tego zostać zaimportowany z modułu zastępczego.  (#13366)

| Usunięto nazwę modułu |Moduł zastępczy|
|---|---|
|AzureDataStudio |kod|
|AzureDataStudio-insiders |kod|
|Kalkulator | Kalkulator|
|code - niejawni testerzy |kod|
|commsapps |hxmail|
|dbeaver |zaćmienie|
|digitaleditionspreview |digitaleditions|
|esybraille |esysuite|
|hxoutlook |hxmail|
|miranda64 |miranda32 powiedział:|
|mpc-hc |mplayerc|
|mpc-hc64 |mplayerc powiedział:|
|notepad++ |notatnikPlusPlus|
|searchapp |searchui|
|searchhost |searchUI|
|springtoolsuite4 |zaćmienie|
|sts |zaćmienie|
|teamtalk3 |teamtalk4klasyczny|
|textinputhost |windowsinternal_composableshell_experiences_textinput_inputapp|
|totalcmd64 |totalcmd|
|win32calc |calc|
|Winmail |msimn powiedział:|
|zend-eclipse-php |zaćmienie|
|Zendstudio |Eclipse|

## 2022.1

To wydanie zawiera znaczące ulepszenia w obsłudze UIA z pakietem MS Office.
W przypadku pakietu Microsoft Office 16.0.15000 i nowszych w systemie Windows 11 NVDA domyślnie użyje automatyzacji interfejsu użytkownika w celu uzyskania dostępu do dokumentów Microsoft Word.
Zapewnia to znaczną poprawę wydajności w porównaniu ze starym dostępem do modelu obiektowego.

Wprowadzono ulepszenia sterowników monitorów brajlowskich, w tym Seika Notetaker, Papenmeier i HID Braille.
Istnieją również różne poprawki błędów systemu Windows 11 dla aplikacji takich jak Kalkulator, Konsola, Terminal, Poczta i Panel emotikonów.

eSpeak-NG i LibLouis zostały zaktualizowane, dodając nowe tabele japońskie, niemieckie i katalońskie.

Uwaga:

 * Ta wersja zapewnia zgodność z istniejącymi dodatkami.

### Nowe funkcje

* Obsługa raportowania notatek w MS Excel z włączoną automatyzacją interfejsu użytkownika w systemie Windows 11. (#12861)
* W ostatnich kompilacjach programu Microsoft Word za pośrednictwem automatyzacji interfejsu użytkownika w systemie Windows 11 istnienie zakładek, komentarzy roboczych i rozwiązanych komentarzy jest teraz zgłaszane zarówno w mowie, jak i w alfabecie Braille'a. (#12861)
* Nowy parametr wiersza poleceń '--lang' pozwala na nadpisanie skonfigurowanego języka NVDA. (#10044)
* NVDA ostrzega teraz o parametrach wiersza poleceń, które są nieznane i nie są używane przez żadne dodatki. (#12795)
* W programie Microsoft Word, do którego dostęp można uzyskać za pośrednictwem automatyzacji interfejsu użytkownika, NVDA będzie teraz korzystać z mathPlayer do odczytywania i nawigowania po równaniach matematycznych pakietu Office. (#12946)
  * Aby to zadziałało, musisz korzystać z programu Microsoft Word 365/2016 w kompilacji 14326 lub nowszej.
  * Równania MathType należy również ręcznie przekonwertować na program Office Math, zaznaczając każde z nich, otwierając menu kontekstowe, wybierając pozycję Opcje równania, Konwertuj na matematykę pakietu Office.
* Raportowanie "ma szczegóły" i powiązane polecenie podsumowujące relację szczegółów zostały zaktualizowane tak, aby działały w trybie koncentracji uwagi. (#13106)
* Seika Notetaker może być teraz automatycznie wykrywany po podłączeniu przez USB i Bluetooth. (#13191, #13142)
  * Dotyczy to następujących urządzeń: MiniSeika (16, 24 ogniwa), V6 i V6Pro (40 ogniw)
  * Obsługiwany jest również ręczny wybór portu COM bluetooth.
* Dodano polecenie przełączania przeglądarki brajla; Nie ma domyślnego skojarzonego gestu. (#13258)
* Dodano polecenia do jednoczesnego przełączania wielu modyfikatorów za pomocą monitora brajlowskiego (#13152)
* Okno dialogowe Słownik mowy zawiera teraz przycisk "Usuń wszystko", który pomaga wyczyścić cały słownik. (#11802)
* Dodano obsługę kalkulatora systemu Windows 11. (#13212)
* W programie Microsoft Word z włączoną automatyzacją interfejsu użytkownika w systemie Windows 11 można teraz raportować numery wierszy i numery sekcji. (#13283, #13515)
* W przypadku pakietu Microsoft Office 16.0.15000 i nowszych w systemie Windows 11 NVDA domyślnie użyje automatyzacji interfejsu użytkownika do uzyskiwania dostępu do dokumentów Microsoft Word, zapewniając znaczną poprawę wydajności w porównaniu ze starym dostępem do modelu obiektowego. (#13437)
 * Obejmuje to dokumenty w samym programie Microsoft Word, a także czytnik wiadomości i edytor w programie Microsoft Outlook.

### Zmiany

* Espeak-ng został zaktualizowany do wersji 1.51-dev commit '7e5457f91e10'. (#12950)
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji [3.21.0](https://github.com/liblouis/liblouis/releases/tag/v3.21.0). (#13141, #13438)
  * Dodano nową tabelę brajlowską: japoński (Kantenji) literacki alfabet Braille'a.
  * Dodano nową niemiecką tabelę brajlowską z 6 punktami.
  * Dodano katalońską tabelę brajlowską stopnia 1. (#13408)
* NVDA będzie raportować zaznaczenie i scalone komórki w LibreOffice Calc 7.3 i nowszych. (#9310, #6897)
* Zaktualizowano repozytorium danych ujednoliconych w standardzie ujednoliconym (CLDR) do wersji 40.0. (#12999)
* 'NVDA+Numpad Delete' domyślnie informuje o lokalizacji kursora lub obiektu aktywnego. (#13060)
* 'NVDA+Shift+Numpad Delete' informuje o położeniu kursora przeglądania. (#13060)
* Dodano domyślne powiązania do przełączania modyfikatorów na wyświetlaczach Freedom Scientific (#13152)
* "Linia bazowa" nie jest już raportowana za pomocą polecenia formatowania tekstu raportu ("NVDA+f"). (#11815)
* Aktywacja długiego opisu nie ma już przypisanego domyślnego gestu. (#13380)
* Podsumowanie szczegółów raportu ma teraz domyślny gest ('NVDA+d'). (#13380)
* NVDA musi zostać ponownie uruchomiony po zainstalowaniu MathPlayera. (#13486)

### Poprawki błędów

* Okienko menedżera schowka nie powinno już nieprawidłowo kraść fokusu podczas otwierania niektórych programów pakietu Office. (#12736)
* W systemie, w którym użytkownik zdecydował się zamienić główny przycisk myszy z lewej na prawą, NVDA nie będzie już przypadkowo wyświetlać menu kontekstowego zamiast aktywować element, w aplikacjach takich jak przeglądarki internetowe. (#12642)
* Podczas przesuwania kursora recenzji poza koniec kontrolek tekstu, na przykład w programie Microsoft Word z automatyzacją interfejsu użytkownika, w większej liczbie sytuacji "dół" jest poprawnie zgłaszany. (#12808)
* NVDA może raportować nazwę i wersję aplikacji dla plików binarnych umieszczonych w system32, gdy działa pod 64-bitową wersją systemu Windows. (#12943)
* Poprawiono spójność odczytu danych wyjściowych w programach terminalowych. (#12974)
  * Należy pamiętać, że w niektórych sytuacjach, podczas wstawiania lub usuwania znaków w środku wiersza, znaki po daszku mogą zostać ponownie odczytane.
* MS word z UIA: szybka nawigacja nagłówka w trybie przeglądania nie zacina się już na ostatnim nagłówku dokumentu, ani ten nagłówek nie jest wyświetlany dwukrotnie na liście elementów NVDA. (#9540)
* W systemie Windows 8 i nowszych pasek stanu Eksploratora plików można teraz pobrać za pomocą standardowego gestu NVDA+end (komputer stacjonarny) / NVDA+shift+end (laptop). (#12845)
* Wiadomości przychodzące na czacie programu Skype dla firm są ponownie zgłaszane. (#9295)
* NVDA może ponownie wyciszyć dźwięk podczas korzystania z syntezatora SAPI5 w systemie Windows 11. (#12913)
* W kalkulatorze systemu Windows 10 NVDA ogłosi etykiety dla elementów historii i listy pamięci. (#11858)
* Gesty, takie jak przewijanie i routing, ponownie działają z urządzeniami brajlowskimi HID. (#13228)
* Poczta systemu Windows 11: Po przełączeniu fokusu między aplikacjami, podczas czytania długiej wiadomości e-mail, NVDA nie zacina się już na wierszu wiadomości e-mail. (#13050)
* Pismo Braille'a HID: gesty akordowe (np. "spacja+punkt4") mogą być z powodzeniem wykonywane z monitora brajlowskiego. (#13326)
* Naprawiono problem polegający na tym, że można było otworzyć wiele okien dialogowych ustawień w tym samym czasie. (#12818)
* Naprawiono problem polegający na tym, że niektóre monitory brajlowskie Focus Blue przestawały działać po wybudzeniu komputera z trybu uśpienia. (#9830)
* "Linia bazowa" nie jest już fałszywie raportowana, gdy aktywna jest opcja "indeks górny i dolny raportu". (#11078)
* W systemie Windows 11 NVDA nie będzie już uniemożliwiać nawigacji w panelu emoji podczas wybierania emotikonów. (#13104)
* Zapobiega usterce powodującej podwójne raportowanie podczas korzystania z konsoli systemu Windows i terminala. (#13261)
* Rozwiązano kilka przypadków, w których elementy listy nie mogły być zgłaszane w aplikacjach 64-bitowych, takich jak REAPER. (#8175)
* W menedżerze pobierania Microsoft Edge, NVDA automatycznie przełączy się w tryb skupienia, gdy element listy z ostatnio pobranym plikiem stanie się aktywny. (#13221)
* NVDA nie powoduje już zawieszania się 64-bitowych wersji Notepad++ 8.3 i nowszych. (#13311)
* Program Adobe Reader nie ulega już awarii podczas uruchamiania, jeśli włączony jest tryb chroniony programu Adobe Reader. (#11568)
* Naprawiono błąd, który sprawiał, że wybranie sterownika monitora brajlowskiego Papenmeier powodowało awarię NVDA. (#13348)
* W programie Microsoft Word z interfejsem użytkownika: numer strony i inne formatowanie nie są już nieprawidłowo ogłaszane podczas przechodzenia z pustej komórki tabeli do komórki z treścią lub z końca dokumentu do istniejącej zawartości. (#13458, #13459)
* NVDA nie będzie już ignorować tytułu strony i automatycznie odczytywać, gdy strona ładuje się w Google Chrome 100. (#13571)
* NVDA nie ulega już awarii podczas resetowania konfiguracji NVDA do domyślnych ustawień fabrycznych, gdy włączone są poleceń mów. (#13634)

### Zmiany dla deweloperów

* Uwaga: jest to wersja niezgodna z interfejsem API dodatku. Dodatki będą musiały zostać ponownie przetestowane i mieć zaktualizowany manifest.
* Mimo że NVDA nadal wymaga programu Visual Studio 2019, kompilacje nie powinny już kończyć się niepowodzeniem, jeśli nowsza wersja programu Visual Studio (np. 2022) jest zainstalowana wraz z 2019 rokiem. (#13033, #13387)
* Zaktualizowano SCons do wersji 4.3.0. (#13033)
* Zaktualizowano py2exe do wersji 0.11.1.0. (#13510)
* Usunięto plik 'NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable'. Zamiast tego użyj "apiLevel". (#12955, #12660)
* Element "TVItemStruct" został usunięty z pliku "sysTreeView32". (#12935)
* Element "MessageItem" został usunięty z modułu aplikacji Outlook. (#12935)
* Stałe "audioDucking.AUDIODUCKINGMODE_*" są teraz "DisplayStringIntEnum". (#12926)
  * użycia powinny zostać zastąpione przez "AudioDuckingMode.*"
  * uzytkowniki 'audioDuckingModes' powinny zostac zamienione na 'AudioDuckingMode.*.displayString'
* Użycie stałych 'audioDucking.ANRUS_ducking_*' powinno zostać zastąpione przez 'ANRUSDucking.*'. (#12926)
* Zmiany w pliku "synthDrivers.sapi5" (#12927):
  * Użycia "SPAS_*" powinny zostać zastąpione przez "SPAudioState.*"
  * 'stałe. Użycie SVSF*" powinno zostać zastąpione przez "SpeechVoiceSpeakFlags.*"
    * Uwaga: "SVSFlagsAsync" należy zastąpić ciągiem "SpeechVoiceSpeakFlags.Async", a nie "SpeechVoiceSpeakFlags.lagsAsync"
  * 'stałe. Użycia SVE*" powinny zostać zastąpione przez "SpeechVoiceEvents.*"
* Moduł aplikacji 'soffice' ma następujące klasy i funkcje, usunięte 'JAB_OOTableCell', 'JAB_OOTable', 'gridCoordStringToNumbers'. (#12849)
* – Rdzeń. CallCancelled" to teraz "wyjątki". CallCancelled'. (#12940)
* Wszystkie stałe rozpoczynające się od RPC z "core" i "logHandler" są przenoszone do wyliczenia "RPCConstants.RPC". (#12940)
* Zaleca się, aby funkcje 'mouseHandler.doPrimaryClick' i 'mouseHandler.doSecondaryClick' były używane do klikania myszą w celu wykonania logicznej akcji, takiej jak aktywacja (podstawowa) lub pomocnicza (pokaż menu kontekstowe),
zamiast używać "executeMouseEvent" i określać konkretnie lewy lub prawy przycisk myszy.
Gwarantuje to, że kod będzie honorował ustawienie użytkownika systemu Windows dotyczące zamiany podstawowego przycisku myszy. (#12642)
* Plik "config.getSystemConfigPath" został usunięty — nie ma zamiennika. (#12943)
* 'shlobj. SHGetFolderPath' został usunięty - użyj 'shlobj. SHGetKnownFolderPath'. (#12943)
* Stałe 'shlobj' zostały usunięte. Utworzono nowe wyliczenie, 'shlobj. FolderId" do użycia z "SHGetKnownFolderPath". (#12943)
* "diffHandler.get_dmp_algo" i "diffHandler.get_difflib_algo" zastąpiono odpowiednio liczbami "diffHandler.prefer_dmp" i "diffHandler.prefer_difflib". (#12974)
* 'languageHandler.curLang' został usunięty - aby uzyskać aktualny język NVDA, użyj 'languageHandler.getLanguage()'. (#13082)
* Metoda 'getStatusBarText' może być zaimplementowana w appModule, aby dostosować sposób, w jaki NVDA pobiera tekst z paska stanu. (#12845)
* Plik "globalVars.appArgsExtra" został usunięty. (#13087)
  * Jeśli Twój dodatek musi przetworzyć dodatkowe argumenty wiersza poleceń, zapoznaj się z dokumentacją "addonHandler.isCLIParamKnown" i przewodnikiem dla programistów, aby uzyskać szczegółowe informacje.
* Moduł obsługi UIA i inne moduły wsparcia UIA są teraz częścią pakietu UIAHandler. (#10916)
  * "UIAUtils" to teraz "UIAHandler.utils"
  * "UIABrowseMode" to teraz "UIAHandler.browseMode"
  * "_UIAConstants" to teraz "UIAHandler.constants"
  * "_UIACustomProps" to teraz "UIAHandler.customProps"
  * "_UIACustomAnnotations" to teraz "UIAHandler.customAnnotations"
* Stałe "IAccessibleHandler" "IA2_RELATION_*" zostały zastąpione wyliczeniem "IAccessibleHandler.RelationType". (#13096)
  * Usunięto "IA2_RELATION_FLOWS_FROM"
  * Usunięto "IA2_RELATION_FLOWS_TO"
  * Usunięto "IA2_RELATION_CONTAINING_DOCUMENT"
* Wartości "LOCALE_SLANGUAGE", "LOCALE_SLIST" i "LOCALE_SLANGDISPLAYNAME" są usuwane z elementu "languageHandler" — zamiast tego należy użyć elementów członkowskich elementu "languageHandler.LOCALE". (#12753)
* Przełączono z Minhook na Microsoft Detours jako bibliotekę przechwytującą dla NVDA. Podpinanie za pomocą tej biblioteki służy głównie do wspomagania modelu wyświetlania. (#12964)
* Skreśla się "winVersion.WIN10_RELEASE_NAME_TO_BUILDS". (#13211)
* SCons ostrzega teraz o konieczności kompilacji z liczbą zadań równą liczbie procesorów logicznych w systemie.
Może to znacznie skrócić czas kompilacji w systemach wielordzeniowych. (#13226, #13371)
* Stałe 'characterProcessing.SYMLVL_*' są usuwane - zamiast tego użyj 'characterProcessing.SymbolLevel.*'. (#13248)
* Funkcje 'loadState' i 'saveState' są usuwane z addonHandler - zamiast tego użyj 'addonHandler.state.load' i 'addonHandler.state.save'. (#13245)
* Przeniesiono warstwę interakcji UWP/OneCore NVDAHelper [z C++/CX do C++/Winrt](https://docs.microsoft.com/en-us/windows/uwp/cpp-and-winrt-apis/move-to-winrt-from-cx). (#10662)
* Aby z niego korzystać, konieczne jest teraz użycie podklasy 'DictionaryDialog'. (#13268)
* 'config. RUN_REGKEY', 'config. NVDA_REGKEY' są przestarzałe, użyj 'config. RegistryKey.RUN', 'config. RegistryKey.NVDA'. Zostaną one usunięte w 2023 roku. (#13242)
* "easeOfAccess.ROOT_KEY", "easeOfAccess.APP_KEY_PATH" są przestarzałe, zamiast tego użyj "easeOfAccess.RegistryKey.ROOT", "easeOfAccess.RegistryKey.APP". Zostaną one usunięte w 2023 roku. (#13242)
* Parametr "easeOfAccess.APP_KEY_NAME" został uznany za przestarzały i ma zostać usunięty w 2023 roku. (#13242)
* Pliki "DictionaryDialog" i "DictionaryEntryDialog" zostały przeniesione z "gui.settingsDialogs" do "gui.speechDict". (#13294)
* Relacje IAccessible2 są teraz wyświetlane w informacjach dla programistów dla obiektów IAccessible2. (#13315)
* Usunięto ciąg "languageHandler.windowsPrimaryLCIDsToLocaleNames", zamiast tego należy użyć adresu "languageHandler.windowsLCIDToLocaleName" lub "winKernel.LCIDToLocaleName". (#13342)
* Właściwość "UIAAutomationId" dla obiektów UIA powinna być preferowana w stosunku do wartości "cachedAutomationId". (#13125, #11447)
  * Identyfikator "cachedAutomationId" może być używany, jeśli jest uzyskiwany bezpośrednio z elementu.
* Plik "NVDAObjects.window.scintilla.CharacterRangeStruct" został przeniesiony do pliku "NVDAObjects.window.scintilla.Scintilla.CharacterRangeStruct". (#13364)
* Wartość logiczna "gui.isInMessageBox" jest usuwana, zamiast tego użyj funkcji "gui.message.isModalMessageBoxActive". (#12984, #13376)
* Parametr 'controlTypes' został podzielony na różne podmoduły. (#12510, #13588)
  * "ROLE_*" i "STATE_*" zostały zastąpione przez "Rola.*" i "Państwo.*".
  * Mimo że nadal są dostępne, następujące elementy należy uznać za przestarzałe:
    * "ROLE_*" i "STATE_*", zamiast tego użyj "Role.*" i "State.*".
    * 'roleLabels', 'stateLabels' i 'negativeStateLabels', użycia takie jak 'roleLabels[ROLE_*]' powinny zostać zastąpione ich odpowiednikami "Role.*.displayString" lub "State.*.negativeDisplayString".
    * "processPositiveStates" i "processNegativeStates" powinny zamiast tego używać "processAndLabelStates".
* Stałe stanu komórki programu Excel ("NVSTATE_*") są teraz wartościami w wyliczeniu "NvCellState", dublowanymi w wyliczeniu "NvCellState" w "NVDAObjects/window/excel.py" i mapowanymi na "controlTypes.State" za pośrednictwem _nvCellStatesToStates. (#13465)
* Element członkowski struktury "EXCEL_CELLINFO" to teraz "nvCellStates".
* 'mathPres.ensureInit' został usunięty, MathPlayer jest teraz inicjowany po uruchomieniu NVDA. (#13486)

## 2021.3.5

Jest to drobna wersja, która ma na celu rozwiązanie problemu z zabezpieczeniami.
Prosimy o odpowiedzialne ujawnianie <info@nvaccess.org> problemów związanych z bezpieczeństwem.

### Poprawki zabezpieczeń

* Usunięto błąd w poradniku bezpieczeństwa "GHSA-xc5m-v23f-pgr7".
  * Okno dialogowe wymowy symboli jest teraz wyłączone w trybie bezpiecznym.

## 2021.3.4

Jest to niewielka wersja, która ma na celu naprawienie kilku zgłoszonych problemów z zabezpieczeniami.
Prosimy o odpowiedzialne ujawnianie <info@nvaccess.org> problemów związanych z bezpieczeństwem.

### Poprawki zabezpieczeń

* Usunięto błąd w poradniku zabezpieczeń "GHSA-354r-wr4v-cx28". (#13488)
  * Usunięto możliwość uruchamiania NVDA z włączonym rejestrowaniem debugowania, gdy NVDA działa w trybie bezpiecznym.
  * Usunięto możliwość aktualizacji NVDA, gdy NVDA działa w trybie bezpiecznym.
* Usunięto błąd w poradniku zabezpieczeń "GHSA-wg65-7r23-h6p9". (#13489)
  * Usuń możliwość otwierania okna dialogowego gestów wejściowych w trybie bezpiecznym.
  * Usunięto możliwość otwierania domyślnych, tymczasowych i głosowych okien dialogowych słownika w trybie bezpiecznym.
* Usunięto błąd w poradniku bezpieczeństwa "GHSA-mvc8-5rv9-w3hx". (#13487)
  * Narzędzie do inspekcji graficznego interfejsu użytkownika wx jest teraz wyłączone w trybie bezpiecznym.

## 2021.3.3

Ta wersja jest identyczna z wersją 2021.3.2.
W NVDA 2021.3.2 istniał błąd, w którym błędnie identyfikował się jako 2021.3.1.
Ta wersja poprawnie identyfikuje się jako 2021.3.3.

## 2021.3.2

Jest to niewielka wersja, która ma na celu naprawienie kilku zgłoszonych problemów z zabezpieczeniami.
Prosimy o odpowiedzialne ujawnianie <info@nvaccess.org> problemów związanych z bezpieczeństwem.

### Poprawki błędów

* Poprawka zabezpieczeń: Zapobiegaj nawigacji po obiektach poza ekranem blokady w systemach Windows 10 i Windows 11. (#13328)
* Poprawka bezpieczeństwa: Okno dialogowe menedżera dodatków jest teraz wyłączone na bezpiecznych ekranach. (#13059)
* Poprawka bezpieczeństwa: Pomoc kontekstowa NVDA nie jest już dostępna na bezpiecznych ekranach. (#13353)

## 2021.3.1

Jest to niewielka wersja, która ma na celu rozwiązanie kilku problemów w wersji 2021.3.

### Zmiany

* Nowy protokół brajlowski HID nie jest już preferowany, gdy można użyć innego sterownika monitora brajlowskiego. (#13153)
* Nowy protokół HID Braille można wyłączyć za pomocą ustawień w panelu ustawień zaawansowanych. (#13180)

### Poprawki błędów

* Punkt orientacyjny jest znowu skrócony na monitorze brajlowskim. #13158
* Naprawiono niestabilne automatyczne wykrywanie dla monitorów brajlowskich Humanware Brailliant i APH Mantis Q40, gdy używany jest bluetooth. (#13153)

## 2021.3

W tym wydaniu wprowadzono obsługę nowej specyfikacji HID Braille'a.
Specyfikacja ta ma na celu ujednolicenie obsługi monitorów brajlowskich bez konieczności stosowania indywidualnych sterowników.
Wprowadzono aktualizacje eSpeak-NG i LibLouis, w tym nowe tabele Russian i Tshivenda.
Dźwięki błędów można włączyć w stabilnych wersjach NVDA za pomocą nowej opcji ustawień zaawansowanych.
Opcja Powiedz wszystko w programie Word przewija teraz widok, aby bieżąca pozycja była widoczna.
Podczas korzystania z pakietu Office z interfejsem użytkownika wprowadzono wiele ulepszeń.
Jedną z poprawek UIA jest to, że program Outlook ignoruje teraz więcej typów tabel układu w wiadomościach.

Ważne notatki:

Ze względu na aktualizację naszego certyfikatu bezpieczeństwa, niewielka liczba użytkowników otrzymuje błąd, gdy NVDA 2021.2 sprawdza dostępność aktualizacji.
NVDA prosi teraz system Windows o aktualizację certyfikatów bezpieczeństwa, co zapobiegnie temu błędowi w przyszłości.
Użytkownicy, których dotyczy problem, będą musieli pobrać tę aktualizację ręcznie.

### Nowe funkcje

* Dodaje gest wejściowy do przełączania ustawień raportowania stylu obramowań komórek. (#10408)
* Obsługa nowej specyfikacji HID Braille'a, która ma na celu standaryzację obsługi monitorów brajlowskich. (#12523)
  * Urządzenia, które obsługują tę specyfikację, będą automatycznie wykrywane przez NVDA.
  * Szczegóły techniczne na temat implementacji tej specyfikacji przez NVDA można znaleźć w https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md
* Dodano obsługę urządzenia brajlowskiego VisioBraille Vario 4. (#12607)
* Powiadomienia o błędach mogą być włączone (ustawienia zaawansowane) podczas korzystania z dowolnej wersji NVDA. (#12672)
* W systemie Windows 10 i nowszych NVDA ogłosi liczbę sugestii podczas wprowadzania wyszukiwanych haseł w aplikacjach, takich jak Ustawienia i Microsoft Store. (#7330, #12758, #12790)
* Nawigacja po tabelach jest teraz obsługiwana w kontrolkach siatki utworzonych przy użyciu polecenia cmdlet Out-GridView w programie PowerShell. (#12928)

### Zmiany

* Espeak-ng został zaktualizowany do wersji 1.51-dev commit '74068b91bcd578bd7030a7a6cde2085114b79b44'. (#12665)
* NVDA domyślnie wybierze eSpeak, jeśli żaden z zainstalowanych głosów OneCore nie obsługuje preferowanego języka NVDA. (#10451)
* Jeśli głosy OneCore stale nie mówią, powróć do eSpeak jako syntezatora. (#11544)
* Podczas czytania paska stanu z 'NVDA+end', kursor przeglądania nie jest już przesuwany na swoje miejsce.
Jeśli potrzebujesz tej funkcjonalności, przypisz gest do odpowiedniego skryptu w kategorii Nawigacja po obiektach w oknie dialogowym Gesty wprowadzania. (#8600)
* Podczas otwierania okna dialogowego ustawień, które jest już otwarte, NVDA skupia się na istniejącym oknie dialogowym, zamiast zgłaszać błąd. (#5383)
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji [3.19.0](https://github.com/liblouis/liblouis/releases/tag/v3.19.0). (#12810)
  * Nowe tablice brajlowskie: rosyjski stopień 1, Tshivenda stopień 1, Tshivenda stopień 2
* Zamiast "oznaczona treść" lub "mrkd", "highlight" lub "hlght" będą ogłaszane odpowiednio dla mowy i alfabetu Braille'a. (#12892)
* NVDA nie będzie już próbowało wyjść, gdy okna dialogowe oczekują na wymagane działanie (np. Potwierdź/Anuluj). (#12984)

### Poprawki błędów

* Modyfikatory klawiatury śledzenia (takie jak Control lub Insert) są bardziej niezawodne, gdy watchdog jest odzyskiwany. (#12609)
* Po raz kolejny możliwe jest sprawdzenie dostępności aktualizacji NVDA w niektórych systemach; np. czyste instalacje systemu Windows. (#12729)
* NVDA poprawnie odczytuje puste komórki tabeli w programie Microsoft Word podczas korzystania z automatyzacji interfejsu użytkownika. (#11043)
* W komórkach siatki danych ARIA w Internecie Escape będzie teraz przekazywany do siatki i nie będzie już bezwarunkowo wyłączał trybu ostrości. (#12413)
* Podczas odczytywania komórki nagłówka tabeli w Chrome popraw dwukrotne ogłaszanie nazwy kolumny. (#10840)
* NVDA nie podaje już wartości liczbowej dla suwaków UIA, które mają zdefiniowaną tekstową reprezentację ich wartości. (UIA ValuePattern jest teraz preferowany w stosunku do RangeValuePattern). (#12724)
* NVDA nie traktuje już wartości suwaków UIA jako zawsze procentowej.
* Raportowanie lokalizacji komórki w programie Microsoft Excel po uzyskaniu dostępu za pośrednictwem automatyzacji interfejsu użytkownika ponownie działa poprawnie w systemie Windows 11. (#12782)
* NVDA nie ustawia już nieprawidłowych ustawień regionalnych Pythona. (#12753)
* Jeśli wyłączony dodatek zostanie odinstalowany, a następnie ponownie zainstalowany, zostanie ponownie włączony. (#12792)
* Naprawiono błędy związane z aktualizacją i usuwaniem dodatków, w których folder dodatków został zmieniony lub mają otwarte pliki. (#12792, #12629)
* Podczas korzystania z automatyzacji interfejsu użytkownika w celu uzyskania dostępu do kontrolek arkusza kalkulacyjnego programu Microsoft Excel, NVDA nie informuje już nadmiarowo, kiedy zaznaczona jest pojedyncza komórka. (#12530)
* Większa część tekstu okna dialogowego jest automatycznie odczytywana w programie LibreOffice Writer, na przykład w oknach dialogowych potwierdzenia. (#11687)
* Czytanie/nawigowanie w trybie przeglądania w programie Microsoft Word za pomocą automatyzacji interfejsu użytkownika zapewnia teraz, że dokument jest zawsze przewijany tak, aby bieżąca pozycja trybu przeglądania była widoczna, a pozycja kursora w trybie koncentracji uwagi poprawnie odzwierciedlała pozycję trybu przeglądania. (#9611)
* Podczas wykonywania czynności Powiedz wszystko w programie Microsoft Word za pomocą automatyzacji interfejsu użytkownika dokument jest teraz automatycznie przewijany, a pozycja karetki jest poprawnie aktualizowana. (#9611)
* Podczas czytania wiadomości e-mail w Outlooku, a NVDA uzyskuje dostęp do wiadomości za pomocą automatyzacji interfejsu użytkownika, niektóre tabele są teraz oznaczone jako tabele układu, co oznacza, że nie będą już domyślnie raportowane. (#11430)
* Naprawiono rzadki błąd występujący przy zmianie urządzeń audio. (#12620)
* Wprowadzanie danych z literackimi tabelami brajlowskimi powinno zachowywać się bardziej niezawodnie w polach edycji. (#12667)
* Podczas nawigacji po kalendarzu w zasobniku systemowym Windows, NVDA podaje teraz dzień tygodnia w całości. (#12757)
* W przypadku korzystania z chińskiej metody wprowadzania, takiej jak Tajwan - Microsoft Quick w programie Microsoft Word, przewijanie monitora brajlowskiego do przodu i do tyłu nie powoduje już nieprawidłowego powrotu do pierwotnej pozycji karetki higienicznej. (#12855)
* Podczas uzyskiwania dostępu do dokumentów Microsoft Word za pośrednictwem interfejsu użytkownika nawigacja według zdania (alt+strzałka w dół / alt+strzałka w górę) jest ponownie możliwa. (#9254)
* Podczas uzyskiwania dostępu do MS Word za pomocą UIA, wcięcia akapitów są teraz zgłaszane. (#12899)
* Podczas uzyskiwania dostępu do MS Word za pomocą UIA, polecenie śledzenia zmian i niektóre inne zlokalizowane polecenia są teraz zgłaszane w programie Word . (#12904)
* Poprawiono zduplikowanie brajla i mowy, gdy "opis" pasuje do "treści" lub "nazwy". (#12888)
* W programie MS Word z włączoną funkcją UIA dokładniejsze odtwarzanie błędów ortograficznych podczas pisania. (#12161)
* W systemie Windows 11 NVDA nie będzie już ogłaszać "okienka" po naciśnięciu Alt + Tab w celu przełączania między programami. (#12648)
* Nowy panel ścieżki bocznej Modern Comments jest teraz obsługiwany w MS Word, gdy nie uzyskujesz dostępu do dokumentu za pośrednictwem interfejsu użytkownika. Naciśnij alt+f12, aby przechodzić między bocznym panelem ścieżki a dokumentem. (#12982)

### Zmiany dla deweloperów

* Kompilowanie NVDA wymaga teraz programu Visual Studio 2019 16.10.4 lub nowszego.
Aby dopasować produkcyjne środowisko kompilacji, zaktualizuj program Visual Studio, aby zachować synchronizację z [bieżącą wersją używaną przez AppVeyor](https://www.appveyor.com/docs/windows-images-software/#visual-studio-2019). (#12728)
* Plik "NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable" został uznany za przestarzały do usunięcia w wersji 2022.1. (#12660)
  * Zamiast tego użyj 'apiLevel' (zobacz komentarze na '_UIAConstants.WinConsoleAPILevel', aby uzyskać szczegółowe informacje).
* Przezroczystość koloru tła tekstu pochodzącego z aplikacji GDI (za pośrednictwem modelu wyświetlania) jest teraz widoczna dla dodatków lub modułów aplikacji. (#12658)
* Wartości "LOCALE_SLANGUAGE", "LOCALE_SLIST" i "LOCALE_SLANGDISPLAYNAME" są przenoszone do wyliczenia "LOCALE" w languageHandler.
Są one nadal dostępne na poziomie modułu, ale są przestarzałe i mają zostać usunięte w NVDA 2022.1. (#12753)
* Użycie funkcji "addonHandler.loadState" i "addonHandler.saveState" powinno zostać zastąpione ich odpowiednikami "addonHandler.state.save" i "addonHandler.state.load" przed 2022.1. (#12792)
* Wyjście brajlowskie można teraz sprawdzić w testach systemowych. (#12917)

## 2021.2

W tej wersji wprowadzono wstępną obsługę systemu Windows 11.
Chociaż system Windows 11 nie został jeszcze wydany, ta wersja została przetestowana w wersjach zapoznawczych systemu Windows 11.
Obejmuje to ważną poprawkę dla kurtyny ekranowej (patrz ważne uwagi).
Narzędzie do naprawy rejestracji COM może teraz rozwiązać więcej problemów podczas korzystania z NVDA.
Wprowadzono aktualizacje syntezatora eSpeak i tłumacza brajlowskiego LibLouis.
Istnieją również różne poprawki błędów i ulepszenia, w szczególności dotyczące obsługi alfabetu Braille'a i terminali Windows, kalkulatora, panelu emoji i historii schowka.

### Ważne wskazówki

Ze względu na zmianę w interfejsie API powiększania systemu Windows kurtyna ekranowa musiała zostać zaktualizowana, aby obsługiwała najnowsze wersje systemu Windows.
Użyj NVDA 2021.2, aby aktywować kurtynę w systemie Windows 10 21H2 (10.0.19044) lub nowszym.
Obejmuje to niejawnych testerów systemu Windows 10 i systemu Windows 11.
Ze względów bezpieczeństwa w przypadku korzystania z nowej wersji systemu Windows należy uzyskać wizualne potwierdzenie, że kurtyna sprawia, że ekran jest całkowicie.

### Nowe funkcje

* Eksperymentalne wsparcie dla adnotacji ARIA:
  * Dodaje polecenie do odczytu podsumowania szczegółów obiektu za pomocą aria-details. (#12364)
  * Dodaje opcję w preferencjach zaawansowanych, aby raportować, czy obiekt ma szczegóły w trybie przeglądania. (#12439)
* W systemie Windows 10 w wersji 1909 i nowszych (w tym Windows 11) NVDA ogłosi liczbę sugestii podczas wyszukiwania w Eksploratorze plików. (#10341, #12628)
* W Microsoft Word, NVDA ogłasza teraz wynik skrótów do wcięć i zawieszania się po ich wykonaniu. (#6269)

### Zmiany

* Espeak-ng został zaktualizowany do wersji 1.51-dev commit 'ab11439b18238b7a08b965d1d5a6ef31cbb05cbb'. (#12449, #12202, #12280, #12568)
* Jeśli artykuł jest włączony w preferencjach użytkownika do formatowania dokumentu, NVDA ogłasza "article" po treści. (#11103)
* Zaktualizowano tłumacz brajlowski liblouis do wersji [3.18.0](https://github.com/liblouis/liblouis/releases/tag/v3.18.0). (#12526)
  * Nowe tablice brajlowskie: bułgarski 1, birmański 1, birmański 2, kazachski 1, khmerski 0, 1 stopień sepedi, 2 stopień sepedi, 1 stopień sesotho, 1 stopień sesotho, stopień 1 sesotho, stopień 2 w setswana, stopień 1 w setswanie, stopień 1 w języku tatarskim, stopień 1 w języku tatarskim, w języku wietnamskim 0, w języku wietnamskim 2, w stopniu 1 w Wietnamie Południowym, w stopniu 1 w języku Xhosa,  Xhosa stopień 2, jakucki stopień 1, zulu stopień 1, zulu stopień 2
* Nazwa OCR systemu Windows 10 została zmieniona na Windows OCR. (#12690)

### Poprawki błędów

* W Kalkulatorze Windows 10 NVDA ogłosi wyrażenia kalkulatora na monitorze brajlowskim. (#12268)
* W programach terminalowych w systemie Windows 10 w wersji 1607 lub nowszej podczas wstawiania lub usuwania znaków w środku wiersza znaki po prawej stronie karetki nie są już odczytywane. (#3200)
  * Poprawka Diff Match jest teraz domyślnie włączona. (#12485)
* Wprowadzanie brajlowskie działa poprawnie z następującymi tabelami skróconymi: arabski - ocena 2, hiszpański - ocena 2, urdu - ocena 2, chiński (Chiny, mandaryński) - ocena 2. (#12541)
* Narzędzie do naprawiania rejestracji COM rozwiązuje teraz więcej problemów, zwłaszcza w 64-bitowym systemie Windows. (#12560)
* Ulepszenia obsługi przycisków w urządzeniu Braille Seika Notetaker firmy Nippon Telesoft. (#12598)
* Ulepszenia ogłaszania panelu emotikonów systemu Windows i historii schowka. (#11485)
* Zaktualizowano opisy znaków w alfabecie bengalskim. (#12502)
* NVDA kończy się bezpiecznie, gdy uruchamiany jest nowy proces. (#12605)
* Ponowne wybranie sterownika monitora brajlowskiego Handy Tech w oknie dialogowym Wybierz monitor brajlowski nie powoduje już błędów. (#12618)
* System Windows w wersji 10.0.22000 lub nowszej jest rozpoznawany jako Windows 11, a nie Windows 10. (#12626)
* Obsługa kurtyn ekranowych została poprawiona i przetestowana dla wersji systemu Windows do 10.0.22000. (#12684)
* Jeśli podczas filtrowania gestów wejściowych nie są wyświetlane żadne wyniki, okno dialogowe konfiguracji gestów wejściowych będzie nadal działać zgodnie z oczekiwaniami. (#12673)
* Naprawiono błąd, który sprawiał, że pierwsza pozycja menu podmenu nie była ogłaszana w niektórych kontekstach. (#12624)

### Zmiany dla deweloperów

* Stałe "characterProcessing.SYMLVL_*" powinny zostać zastąpione ich odpowiednikiem "SymbolLevel.*" przed 2022 rokiem.1. (#11856, #12636)
* Parametr "controlTypes" został podzielony na różne podmoduły, symbole oznaczone jako przestarzałe muszą zostać zastąpione przed 2022 rokiem.1. (#12510)
  * Stałe "ROLE_*" i "STATE_*" powinny zostać zastąpione ich odpowiednikami "Rola.*" i "Stan.*".
  * Nazwy "roleLabels", "stateLabels" i "negativeStateLabels" zostały wycofane, a ich odpowiedniki takie jak "roleLabels[ROLE_*]" powinny zostać zastąpione ich odpowiednikami "Role.*.displayString" lub "State.*.negativeDisplayString".
  * Elementy "processPositiveStates" i "processNegativeStates" zostały uznane za przestarzałe do usunięcia.
* W systemie Windows 10 w wersji 1511 lub nowszej (w tym kompilacjach Insider Preview) bieżąca nazwa wydania aktualizacji funkcji systemu Windows jest uzyskiwana z rejestru systemu Windows. (#12509)
* Przestarzałe: "winVersion.WIN10_RELEASE_NAME_TO_BUILDS" zostanie usunięty w 2022 r.1, nie ma bezpośredniego zamiennika. (#12544)

## 2021.1

Ta wersja zawiera opcjonalną eksperymentalną obsługę UIA w przeglądarkach Excel i Chromium.
Wprowadzono poprawki dla kilku języków oraz dla dostępu do linków w alfabecie Braille'a.
Wprowadzono aktualizacje CLDR Unicode, symboli matematycznych i biblioteki LibLouis.
A także wiele poprawek błędów i ulepszeń, w tym w pakiecie Office, programie Visual Studio i kilku językach.

Uwaga:

 * Ta wersja zapewnia zgodność z istniejącymi dodatkami.
 * W tym wydaniu porzuca się również obsługę Adobe Flash.

### Nowe funkcje

* Wczesne wsparcie dla UIA w przeglądarkach opartych na Chromium (takich jak Edge). (#12025)
* Opcjonalna eksperymentalna obsługa programu Microsoft Excel za pośrednictwem automatyzacji interfejsu użytkownika. Zalecane tylko dla programu Microsoft Excel w wersji 16.0.13522.10000 lub nowszej. (#12210)
* Łatwiejsza nawigacja po danych wyjściowych w konsoli NVDA Python. (#9784)
  * Alt+góra/dół przeskakuje do poprzedniego/następnego wyniku wyjściowego (dodaj przesunięcie do wyboru).
  * Control+L czyści panel Wyjście.
* NVDA raportuje teraz kategorie przypisane do terminu w programie Microsoft Outlook, jeśli takie istnieją. (#11598)
* Obsługa monitora brajlowskiego Seika Notetaker firmy Nippon Telesoft. (#11514)

### Zmiany

* W trybie przeglądania elementy sterujące mogą być teraz aktywowane za pomocą przekierowywania kursora brajlowskiego na ich deskryptor (np. "lnk" dla linku). Jest to szczególnie przydatne do aktywacji np. pola wyboru bez etykiet. (#7447)
* NVDA uniemożliwia teraz użytkownikowi wykonanie OCR systemu Windows 10, jeśli włączona jest kurtyna ekranowa. (#11911)
* Zaktualizowano repozytorium danych ujednoliconych w standardzie CLDR (Common Locale Data Repository) do wersji 39.0. (#11943, #12314)
* Dodano więcej symboli matematycznych do słownika symboli. (#11467)
* Podręcznik użytkownika, plik zmian i lista poleceń klawiszowych mają teraz odświeżony wygląd. (#12027)
* "Nieobsługiwany" jest teraz zgłaszany przy próbie przełączenia układu ekranu w aplikacjach, które go nie obsługują, takich jak Microsoft Word. (#7297)
* Opcja "Próba anulowania mowy w przypadku wygasłych zdarzeń fokusu" w panelu ustawień zaawansowanych jest teraz domyślnie włączona. (#10885)
  * To zachowanie można wyłączyć, ustawiając tę opcję na "Nie".
  * Aplikacje internetowe (np. Gmail) nie odczytują już nieaktualnych informacji podczas szybkiego przełączania ostrości.
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji [3.17.0](https://github.com/liblouis/liblouis/releases/tag/v3.17.0). (#12137)
  * Nowe tablice brajlowskie: białoruski alfabet literacki, białoruski brajl komputerowy, urdu klasa 1, urdu klasa 2.
* Wsparcie dla treści Adobe Flash zostało usunięte z NVDA ze względu na aktywne odradzanie korzystania z Flasha przez firmę Adobe. (#11131)
* NVDA zakończy działanie nawet przy otwartych oknach, proces zamykania zamyka teraz wszystkie okna i okna dialogowe NVDA. (#1740)
* Przeglądarkę mowy można teraz zamknąć za pomocą "alt+F4" i ma standardowy przycisk zamykania ułatwiający interakcję z użytkownikami urządzeń wskazujących. (#12330)
* Przeglądarka Braille'a ma teraz standardowy przycisk zamykania, który ułatwia interakcję z użytkownikami urządzeń wskazujących. (#12328)
* W oknie dialogowym Lista elementów przyspieszenia na przycisku "Aktywuj" został usunięty w niektórych lokalizacjach, aby uniknąć kolizji z etykietą przycisku radiowego typu elementu. Jeśli jest dostępny, przycisk jest nadal domyślny w oknie dialogowym i jako taki może być nadal wywoływany, po prostu naciskając enter z samej listy elementów. (#6167)

### Poprawki błędów

* Lista wiadomości w programie Outlook 2010 jest ponownie czytelna. (#12241)
* W programach terminalowych w systemie Windows 10 w wersji 1607 lub nowszej podczas wstawiania lub usuwania znaków w środku wiersza znaki po prawej stronie karetki nie są już odczytywane. (#3200)
  * Ta eksperymentalna poprawka musi być ręcznie włączona w panelu ustawień zaawansowanych NVDA poprzez zmianę algorytmu różnicowania na Diff Match Patch.
* W MS Outlook niewłaściwe raportowanie odległości po przesunięciu shift+tab z treści wiadomości do pola tematu nie powinno już występować. (#10254)
* W konsoli Pythona wstawianie tabulatora w celu wcięcia na początku niepustego wiersza wejściowego i uzupełnianie tabulatora w środku wiersza wejściowego jest teraz obsługiwane. (#11532)
* Informacje o formatowaniu i inne wiadomości, które można przeglądać, nie zawierają już nieoczekiwanych pustych wierszy, gdy układ ekranu jest wyłączony. (#12004)
* Możliwe jest teraz czytanie komentarzy w MS Word z włączonym UIA. (#9285)
* Poprawiono wydajność podczas interakcji z programem Visual Studio. (#12171)
* Napraw błędy graficzne, takie jak brakujące elementy podczas korzystania z NVDA z układem od prawej do lewej. (#8859)
* Szanuj kierunek układu GUI oparty na języku NVDA, a nie na ustawieniach regionalnych systemu. (#638)
  * Znany problem dla języków pisanych od prawej do lewej: prawa krawędź grupowania klipów z etykietami/kontrolkami. (#12181)
* Ustawienia regionalne języka python są ustawione tak, aby odpowiadały językowi wybranemu w preferencjach i będą występować w przypadku korzystania z języka domyślnego. (#12214)
* TextInfo.getTextInChunks nie zawiesza się już po wywołaniu kontrolek Rich Edit, takich jak przeglądarka dziennika NVDA. (#11613)
* Po raz kolejny możliwe jest używanie NVDA w językach zawierających podkreślenia w nazwie ustawień regionalnych, takich jak de_CH w systemach Windows 10, 1803 i 1809. (#12250)
* W programie WordPad konfiguracja raportowania indeksu górnego/dolnego działa zgodnie z oczekiwaniami. (#12262)
* NVDA nie przerywa już ogłaszania nowo skoncentrowanej zawartości na stronie internetowej, jeśli stary fokus zniknie i zostanie zastąpiony nowym fokusem w tej samej pozycji. (#12147)
* Formatowanie przekreślenia, indeksu górnego i dolnego dla całych komórek programu Excel jest teraz raportowane, jeśli odpowiednia opcja jest włączona. (#12264)
* Naprawiono kopiowanie konfiguracji podczas instalacji z kopii przenośnej, gdy domyślny docelowy katalog konfiguracyjny jest pusty. (#12071, #12205)
* Naprawiono błędne ogłaszanie niektórych liter z akcentami lub znakami diakrytycznymi, gdy zaznaczona jest opcja "Powiedz wielką literę przed wielkimi literami". (#11948)
* Naprawiono błąd zmiany wysokości dźwięku w syntezatorze mowy SAPI4. (#12311)
* Instalator NVDA teraz honoruje również parametr wiersza poleceń '--minimal' i nie odtwarza dźwięku uruchamiania, postępując zgodnie z tym samym udokumentowanym zachowaniem, co zainstalowany lub przenośny plik wykonywalny NVDA. (#12289)
* W MS Word lub Outlook szybkiej nawigacji po tabeli może teraz przeskoczyć do tabeli układu, jeśli opcja "Uwzględnij tabele układu" jest włączona w ustawieniach trybu przeglądania. (#11899)
* NVDA nie będzie już ogłaszać "↑↑↑" dla emotikonów w poszczególnych językach. (#11963)
* Espeak ponownie obsługuje język kantoński i mandaryński. (#10418)
* W nowej przeglądarce Microsoft Edge opartej na Chromium pola tekstowe, takie jak pasek adresu, są teraz ogłaszane, gdy są puste. (#12474)
* Napraw sterownik Braille'a Seika. (#10787)

### Zmiany dla deweloperów

* Uwaga: jest to wersja niezgodna z interfejsem API dodatku. Dodatki będą musiały zostać ponownie przetestowane i mieć zaktualizowany manifest.
* System budowania NVDA pobiera teraz wszystkie zależności Pythona za pomocą i przechowuje je w wirtualnym środowisku Pythona. Wszystko to odbywa się w przejrzysty sposób.
  * Aby zbudować NVDA, SCony powinny być nadal używane w zwykły sposób. Np. wykonywanie scons.bat w katalogu głównym repozytorium. Uruchamianie 'py -m SCons' nie jest już obsługiwane, a 'scons.py' również zostało usunięte.
  * Aby uruchomić NVDA ze źródeł, zamiast bezpośrednio wykonywać 'source/nvda.pyw', programista powinien teraz użyć 'runnvda.bat' w katalogu głównym repozytorium. Jeśli spróbujesz uruchomić plik 'source/nvda.pyw', pojawi się komunikat informujący, że nie jest już obsługiwany.
  * Aby wykonać testy jednostkowe, wykonaj polecenie "rununittests.bat [<extra unittest discover options>]"</extra>
  * Aby przeprowadzić testy systemu: wykonaj polecenie "runsystemtests.bat [<extra robot options>]"</extra>
  * Aby wykonać linting, wykonaj polecenie 'runlint.bat <base branch>'
  * Więcej informacji można znaleźć w readme.md.
* Następujące zależności języka Python również zostały uaktualnione:
  * COMTYPES zaktualizowane do wersji 1.1.8.
  * pySerial zaktualizowany do wersji 3.5.
  * wxPython zaktualizowany do wersji 4.1.1.
  * Py2exe zaktualizowano do wersji 0.10.1.0.
* Usunięto "LiveText._getTextLines". (#11639)
  * Zamiast tego przesłoń ciąg "_getText", który zwraca ciąg całego tekstu w obiekcie.
* Obiekty "LiveText" mogą teraz obliczać różnice według znaków. (#11639)
  * Aby zmienić zachowanie różnic dla jakiegoś obiektu, nadpisz właściwość 'diffAlgo' (szczegóły w docstring).
* Podczas definiowania skryptu za pomocą dekoratora skryptu można określić argument logiczny "allowInSleepMode", aby kontrolować, czy skrypt jest dostępny w trybie uśpienia, czy nie. (#11979)
* Następujące funkcje są usuwane z modułu konfiguracyjnego. (#11935)
  * canStartOnSecureScreens — zamiast tego użyj pliku config.isInstalledCopy.
  * hasUiAccess i execElevated - użyj ich z modułu systemUtils.
  * getConfigDirs — zamiast tego użyj globalVars.appArgs.configPath.
* Stałe na poziomie modułu REASON_* są usuwane z controlTypes — zamiast tego należy użyć controlTypes.OutputReason. (#11969)
* REASON_QUICKNAV została usunięta z browseMode - zamiast tego użyj controlTypes.OutputReason.QUICKNAV. (#11969)
* Właściwość "isCurrent" "NVDAObject" (i pochodne) teraz ściśle zwraca klasę wyliczeniową "controlTypes.IsCurrent". (#11782)
  * Wartość "isCurrent" nie jest już opcjonalna, a zatem nie zwraca wartości None.
    * Gdy obiekt nie jest aktualny, zwracane jest "controlTypes.IsCurrent.NO".
* Mapowanie "controlTypes.isCurrentLabels" zostało usunięte. (#11782)
  * Zamiast tego użyj właściwości "displayString" dla wartości wyliczenia "controlTypes.IsCurrent".
    * Na przykład: "controlTypes.IsCurrent.YES.displayString".
* Plik 'winKernel.GetTimeFormat' został usunięty - zamiast niego użyj pliku 'winKernel.GetTimeFormatEx'. (#12139)
* Usunięto 'winKernel.GetDateFormat' - zamiast tego użyj 'winKernel.GetDateFormatEx'. (#12139)
* "Graficzny interfejs użytkownika. DriverSettingsMixin' został usunięty - użyj 'gui. Automatyczne ustawieniaMieszanie. (#12144)
* Usunięto "speech.getSpeechForSpelling" - użyj "speech.getSpellingSpeech". (#12145)
* Poleceń nie można bezpośrednio importować z mowy jako "importuj mowę; przemówienie. ExampleCommand()" lub "import speech.manager; speech.manager.ExampleCommand()' - zamiast tego użyj 'from speech.commands import ExampleCommand'. (#12126)
* 'speakTextInfo' nie będzie już wysyłać mowy przez 'speakWithoutPauses', jeśli powodem jest 'SAYALL', ponieważ 'SayAllHandler' robi to teraz ręcznie. (#12150)
* Moduł 'synthDriverHandler' nie jest już importowany do 'globalCommands' i 'gui.settingsDialogs' - zamiast tego użyj 'from synthDriverHandler import synthFunctionExample'. (#12172)
* Wartość "ROLE_EQUATION" została usunięta z controlTypes — zamiast tego użyj wartości "ROLE_MATH". (#12164)
* Klasy 'autoSettingsUtils.driverSetting' są usuwane z 'driverHandler' - użyj ich z 'autoSettingsUtils.driverSetting'. (#12168)
* Klasy 'autoSettingsUtils.utils' są usuwane z 'driverHandler' - proszę ich używać z 'autoSettingsUtils.utils'. (#12168)
* Obsługa "TextInfo", które nie dziedziczą po "contentRecog.BaseContentRecogTextInfo" jest usuwana. (#12157)
* 'speech.speakWithoutPauses' został usunięty - zamiast tego użyj 'speech.speechWithoutPauses.SpeechWithoutPauses(speakFunc=speech.speak).speakWithoutPauses'. (#12195, #12251)
* Znak "speech.re_last_pause" został usunięty - zamiast niego użyj "speech.speechWithoutPauses.SpeechWithoutPauses.re_last_pause". (#12195, #12251)
* 'WelcomeDialog', 'LauncherDialog' i 'AskAllowUsageStatsDialog' są przenoszone do 'gui.startupDialogs'. (#12105)
* Plik 'getDocFilePath' został przeniesiony z 'gui' do modułu 'documentationUtils'. (#12105)
* Moduł gui.accPropServer oraz klasy AccPropertyOverride i ListCtrlAccPropServer z modułu gui.nvdaControls zostały usunięte na rzecz natywnej obsługi WX dla nadpisywania właściwości ułatwień dostępu. Aby zwiększyć dostępność kontrolek WX, zaimplementuj wx. Zamiast tego dostępne. (#12215)
* Pliki w katalogu "source/comInterfaces/" są teraz łatwiej wykorzystywane przez narzędzia programistyczne, takie jak IDE. (#12201)
* Do modułu winVersion dodano wygodne metody i typy służące do pobierania i porównywania wersji systemu Windows. (#11909)
  * Usunięto funkcję isWin10 znajdującą się w module winVersion.
  * klasa winVersion.WinVersion jest porównywalnym i możliwym do uporządkowania typem hermetyzującym informacje o wersji systemu Windows.
  * Funkcja winVersion.getWinVer została dodana w celu uzyskania winVersion.WinVersion reprezentującego aktualnie uruchomiony system operacyjny.
  * Dla znanych wersji systemu Windows dodano stałe wygody, zobacz stałe winVersion.WIN*.
* IAccessibleHandler nie importuje już gwiazdą wszystkiego z interfejsów IAccessible i IA2 COM - użyj ich bezpośrednio. (#12232)
* Obiekty TextInfo mają teraz właściwości początkowe i końcowe, które można matematycznie porównywać z operatorami, takimi jak < <= == != >= >. (#11613)
  * Np. ti1.start <= ti2.end
  * To użycie jest teraz preferowane zamiast ti1.compareEndPoints(ti2,"startToEnd") <= 0
* Właściwości początkowe i końcowe TextInfo mogą być również ustawiane względem siebie. (#11613)
  * Np. ti1.start = ti2.end
  * To użycie jest preferowane zamiast ti1. SetEndPoint(ti2;"startToEnd")
* 'wx. CENTRE_ON_SCREEN" i "wx. CENTER_ON_SCREEN' są usuwane, użyj 'self'. CentreOnScreen()'. (#12309)
* Plik 'easeOfAccess.isSupported' został usunięty, NVDA obsługuje tylko wersje systemu Windows, w których wartość ta ma wartość "True". (#12222)
* Plik "sayAllHandler" został przeniesiony do pliku "speech.sayAll". (#12251)
  * 'speech.sayAll.SayAllHandler' udostępnia funkcje 'stop', 'isRunning', 'readObjects', 'readText', 'lastSayAllMode'.
  * "SayAllHandler.stop" resetuje również instancję "SpeechWithoutPauses" "SayAllHandler".
  * "CURSOR_REVIEW" i "CURSOR_CARET" zostały zastąpione przez "CURSOR. RECENZJA" i "KURSOR. CARET".
* – Mowa. SpeechWithoutPauses" został przeniesiony do "speech.speechWithoutPauses.SpeechWithoutPauses". (#12251)
* Nazwa 'speech.curWordChars' została zmieniona na 'speech._curWordChars'. (#12395)
* następujące elementy zostały usunięte z "speech" i można uzyskać do nich dostęp za pośrednictwem "speech.getState()". Są to teraz wartości tylko do odczytu. (#12395)
  * speechMode (tryb mowy)
  * speechMode_beeps_ms
  * beenCanceled (Anulowano)
  * isPaused (Wstrzymany)
* Aby zaktualizować "speech.speechMode", użyj "speech.setSpeechMode". (#12395)
* Następujące elementy zostały przeniesione do sekcji "Mowa. SpeechMode". (#12395)
  * "speech.speechMode_off" staje się "mową". SpeechMode.off'
  * "speech.speechMode_beeps" staje się "mową". SpeechMode.sygnały dźwiękowe"
  * "speech.speechMode_talk" staje się "mową". SpeechMode.talk"
* "IAccessibleHandler.IAccessibleObjectIdentifierType" to teraz "IAccessibleHandler.types.IAccessibleObjectIdentifierType". (#12367)
* Następujące elementy w pliku "NVDAObjects.UIA.WinConsoleUIA" zostały zmienione (#12094)
  * Nazwa "NVDAObjects.UIA.winConsoleUIA.is21H1Plus" została zmieniona na "NVDAObjects.UIA.winConsoleUIA.isImprovedTextRangeAvailable".
  * Nazwa 'NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfo' została zmieniona tak, aby nazwa klasy zaczynała się wielkimi literami.
  * Nazwa "NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfoPre21H1" została zmieniona na "NVDAObjects.UIA.winConsoleUIA.ConsoleUIATextInfoWorkaroundEndInclusive"
    * Implementacja działa wokół obu punktów końcowych, które są włącznie (w zakresach tekstu) przed [microsoft/terminal PR 4018](https://github.com/microsoft/terminal/pull/4018)
    * Obejścia dla opcji "rozwiń", "zwiń", "porównaj punkty końcowe", "ustaw punkt końcowy" itp

## 2020.4

To wydanie zawiera nowe metody wprowadzania w języku chińskim, aktualizację Liblouis, a lista elementów (NVDA+f7) działa teraz w trybie fokusu.
Pomoc kontekstowa jest teraz dostępna po naciśnięciu F1 w oknach dialogowych NVDA.
Ulepszenia reguł wymowy symboli, słownika mowy, wiadomości w alfabecie Braille'a i czytania poślizgowego.
Poprawki błędów i ulepszenia w programach Mail, Outlook, Teams, Visual Studio, Azure Data Studio, Foobar2000.
W sieci wprowadzono ulepszenia w Dokumentach Google i większą obsługę ARIA.
A także wiele innych ważnych poprawek błędów i ulepszeń.

### Nowe funkcje

* Od teraz naciśnięcie klawisza F1 w oknach dialogowych NVDA spowoduje otwarcie pomocy podręcznej dla obecnie podświetlonej sekcji.  (#7757)
* Dodano wsparcie dla technologii Intelli Sense w programach Microsoft SQL Server i Microsoft Visual Studio 2017 i nowszych. (#7504)
* Wymowa symboli: Dodano wsparcie dla grupowania referencji w zasadach zamiany. Powoduje to że zamiany są prostrze i bardziej funkcjonalne. (#11107)
* • Od teraz generowane jest powiadomienie przy próbie utworzenia wpisu słownika zawierającego błędne wyrażenia regularne. (#11407)
  * W szczególności dotyczy to błędów grupowania.
* Dodano wsparcie dla nowej metody wprowadzania języka Chińskiego uproszczonego i tradycyjnego w systemie Windows 10. (#11562)
* Nagłówki zakładek są od teraz traktowane jako pola formularzy podczas szybkiej nawigacji przy pomocy klawisza F. (#10432)
* Dodano polecenie przełączające odczytywanie oznaczonego tekstu. Wymagane jest ręczne przypisanie gestu. (#11807)
* Dodano parametr wiersza poleceń --copy-portable-config pozwalający na przeniesienie konfiguracji przenośnej do konta użytkownika podczas cichej instalacji NVDA. (#9676)
* Klawisz routing jest od teraz wspierany w podglądzie brajla dla użytkowników korzystających z myszy. Aby przenieść kursor do komórki, kliknij myszą w odpowiednie miejsce. (#11804)
* NVDA automatycznie wykrywa urządzenia Humanware Brailliant BI 40X i 20X zarówno przez USB, jak i przez bluetooth. (#11819)

### Zmiany

* Zaktualizowano Liblouis do wersji 3.16.1:
 * Naprawiono krytyczne błędy.
 * Dodano tablicę brajlowską dla baszkirskiego pisma pełnego.
 * Dodano ośmiopunktową tablicę brajlowską dla języka koptyjskiego.
 * Dodano tablice brajlowskie: Rosyjski Literacki i Rosyjski Literacki Szczegółowy.
 * Dodano tablicę brajlowską dla Afrykanerskich skrótów.
 * Usunięto tablicę brajlowską Rosyjski pismo pełne.
* Podczas czytania przy pomocy funkcji "czytaj wszystko" w trybie przeglądania, polecenia "znajdź następny" i "znajdź poprzedni" nie zatrzymują już czytania, gdy funkcja "zezwalaj na czytanie poglądowe" jest włączona. (#11563)
* Dla monitorów brajlowskich Hims F3 od teraz wywoływane jest przez naciśnięcie kombinacji klawiszy spacja +kropki 1, 4, 8. (#11710)
* Ulepszono prezentację opcji "Czas wyświetlania wiadomości brajlowskich" i "Pokazuj wiadomości brajlowskie w nieskończoność". (#11602)
* W przeglądarkach internetowych i innych aplikacjach wspierających tryb przeglądania, możliwe jest teraz wywołanie listy elementów (NVDA+F7) w trybie fokusu. (#10453)
* Zmiany w regionach ARIA nie są odczytywane, jeżeli ogłaszanie dynamicznych zmian treści jest wyłączone. (#9077)
* NVDA od teraz zgłasza status skopiowania przed skopiowanym tekstem. (#6757)
* Ulepszono prezentację widoku graficznego w menedżerze dysków systemu Windows. (#10048)
* Etykiety dla kontrolek są od teraz wyłączone (wyszarzone) kiedy kontrolka jest nieaktywna. (#11809)
* Zaktualizowano bazę danych Emoji CLDR do wersji 38. (#11817)
* Wbudowana funkcja "podświetlanie fokusu" zmieniła nazwę na "podświetlacz wizualny". (#11700)

### Poprawki błędów

* NVDA ponownie działa poprawnie w polach edycyjnych w programie Fast Log Entry. (#8996)
* Od teraz, jeżeli nie możliwe jest uzyskanie całkowitego czasu trwania pliku w programie Foobar 2000, ogłaszany jest teraz czas, który upłynął od rozpoczęcia odtwarzania. (#11337)
* NVDA od teraz wspiera atrybut aria-roledescription w polach edycyjnych na stronach internetowych. (#11607)
* NVDA nie ogłasza już słowa 'lista' dla każdej linii listy w Google Docs lub jakiejkolwiek innej edytowalnej treści w Google Chrome. (#7562)
* Podczas przechodzenia po znakach lub słowach z jednego elementu listy do drugiego, zmiana jest od teraz ogłaszana. (#11569)
* NVDA od teraz odczytuje poprawną linię jeżeli kursor ustawiony jest na końcu linku, który znajduje się na końcu elementu listy w Google Docs lub innych edytowalnych treściach internetowych. (#11606)
* Na Windows 7, otwarcie i zamknięcie menu start z pulpitu ustawia kursor w odpowiednim miejscu. (#10567)
* Kiedy opcja "Próba anulowania mowy dla wygasłych zdarzeń" jest włączona, tytuł karty jest wymawiany podczas przełączania kart w przeglądarce Mozilla firefox. (#11397)
* NVDA od teraz poprawnie odczytuje element listy wybrany poprzez używanie nawigacji literowej podczas korzystania z syntezatora mowy Ivona. (#11651)
* Ponownie możliwe jest korzystanie z trybu przeglądania w programie Poczta Dla Windows 10. 16005.13110 i późniejsze. (#11439)
* Podczas korzystania z głosów Ivona firmy Harpo Software, NVDA ponownie może zapisywać swoje ustawienia, dokonywać zmian syntezatora i uruchamiać się ponownie. (#11650)
* Od teraz możliwe jest wpisanie cyfry 6 w brajlu komputerowym z klawiatury brajlowskiej monitora brajlowskiego Hims. (#11710)
* Znaczne poprawki wydajności w programie Azure Data Studio. (#11533, #11715)
* Kiedy włączona jest opcja "Próba anulowania mowy dla wygasłych zdarzeń" tytuł okna wyszukiwania NVDA jest od teraz oznajmiany. (#11632)
* Naprawiono błąd powodujący zawieszanie się NVDA w sytuacji gdy po wybudzeniu komputera ze stanu uśpienia kursor lądował w dokumencie programu Microsoft Edge. (#11576)
* • Nie jest już wymagane wciśnięcie klawisza tab lub przesunięcie kursora po zamknięciu menu kontekstowego w przeglądarce Microsoft Edge, w celu przywrócenia poprawnego działania trybu przeglądania. (#11202)
* NVDA od teraz poprawnie odczytuje elementy list w 64-bitowych aplikacjach, takich jak Tortoise SVN. (#8175)
* Siatki aria są od teraz renderowane jak zwykłe tabele, zarówno w przeglądarce Google Chrome, jak i Mozilla Firefox. (#9715)
* Od teraz możliwe jest przeszukiwanie wstecz (NVDA+SHIFT+F3). (#11770)
* Skrypty NVDA nie są traktowane jako powtórzone, jeżeli pomiędzy ich gestami wykonany zostanie inny gest. (#11388)
* Tagi Strong i emphasis w przeglądarce Internet Explorer mogą być pominięte przy czytaniu przy wyłączeniu opcji zgłaszaj style w ustawieniach formatowania. (#11808)
* Występujące u niewielkiej liczby użytkowników kilkusekundowe zawieszanie się programu Microsoft Excel podczas nawigacji po komurkach nie powinno już występować. (#11818)
* W aplikacji Microsoft Teams, wersji 1.3.00.28xxx, NVDA ponownie poprawnie odczytuje wiadomości czatów prywatnych i grupowych. (#11821)
* Tekst oznaczony jako błąd gramatyczny i pisowni zarazem w Google Chrome, jest od teraz poprawnie ogłaszany przez NVDA. (#11787)
* Podczas korzystania z programu Microsoft Outlook w języku francuskim, skrót CTRL+SHIFT+R ponownie działa. (#11196)
* W programie Microsoft Visual Studio, dymki podpowiedzi funkcji Intellisense są wypowiadane tylko raz. (#11611)
* W kalkulatorze systemu Windows 10, NVDA nie ogłasza już postępu obliczeń gdy czytanie wpisywanych znaków jest wyłączone. (#9428)
* Przy wyświetlaniu adresów URL z NVDA ustawionym na tablicę brajlowską Angielski US skróty i włączoną opcją rozwiń słowo pod kursorem do brajla komputerowego, NVDA się już nie wysypuje. (#11754)
* Ponownie możliwe jest raportowanie informacji o formatowaniu dla aktywnej komórki programu Excel przy użyciu NVDA+F. (#11914)
* Wejście QWERTY na monitorach brajlowskich Papenmeier, które go obsługują, ponownie działa i nie powoduje już losowego zawieszania się NVDA. (#11944)
* W przeglądarkach opartych na Chromium rozwiązano kilka przypadków, w których nawigacja po tabelach nie działała, a NVDA nie zgłaszała liczby wierszy/kolumn tabeli. (#12359)

### Zmiany dla deweloperów

* Testy systemowe mogą teraz wysyłać klucze za pomocą spy.emulateKeyPress, który pobiera identyfikator klucza zgodny z własnymi nazwami kluczy NVDA i domyślnie blokuje również do momentu wykonania akcji. (#11581)
* NVDA nie wymaga już, aby bieżący katalog był katalogiem aplikacji NVDA, aby mógł działać. (#6491)
* Ustawienie grzeczności aria live dla aktywnych regionów można teraz znaleźć w obiektach NVDA za pomocą właściwości liveRegionPoliteness. (#11596)
* Teraz możliwe jest zdefiniowanie oddzielnych gestów dla dokumentu Outlook i Word. (#11196)

## 2020.3

To wydanie zawiera kilka dużych ulepszeń stabilności i wydajności, szczególnie w aplikacjach pakietu Microsoft Office. Dostępne są nowe ustawienia przełączania obsługi ekranu dotykowego i raportowania grafiki.
Istnienie oznaczonych (podświetlonych) treści można zgłaszać w przeglądarkach, a także pojawiły się nowe niemieckie tablice brajlowskie.

### Nowe funkcje

* Możesz teraz przełączać raportowanie grafiki z ustawień formatowania dokumentu NVDA. Zauważ, że wyłączenie tej opcji nadal będzie skutkowało odczytaniem alternatywnych tekstów grafik. (#4837)
* Możesz teraz przełączać obsługę ekranu dotykowego NVDA. Do panelu Interakcja dotykowa została dodana opcja ustawień NVDA. Domyślnym gestem jest NVDA+control+alt+t. (#9682)
* Dodano nowe niemieckie tabele brajlowskie. (#11268)
* NVDA wykrywa teraz tekstowe kontrolki UIA tylko do odczytu. (#10494)
* Istnienie oznaczonych (wyróżnionych) treści jest zgłaszane zarówno w mowie, jak i w alfabecie Braille'a we wszystkich przeglądarkach internetowych. (#11436)
 * Można to włączać i wyłączać za pomocą nowej opcji formatowania dokumentów NVDA do podświetlania.
* Nowe emulowane klawiatury systemowej mogą być dodawane z okna dialogowego Gesty wejściowe NVDA. (#6060)
  * Aby to zrobić, naciśnij przycisk dodawania po wybraniu kategorii Emulowane klawiatury systemowej.
* Obsługiwany jest teraz Handy Tech Active Braille z joystickiem. (#11655)
* Ustawienie "Tryb automatycznego ustawiania ostrości dla ruchu karetka" jest teraz kompatybilne z wyłączeniem opcji "Automatycznie ustaw ostrość na elementy, na których można ustawić ostrość". (#11663)

### Zmiany

* Skrypt formatowania raportu (NVDA+f) został teraz zmieniony tak, aby raportował formatowanie na daszku systemowym, a nie w pozycji kursora recenzji. Aby zgłosić formatowanie w pozycji kursora recenzji, teraz użyj NVDA+shift+f. (#9505)
* NVDA nie ustawia już automatycznie fokusu systemu na elementy, na których można ustawić ostrość w trybie przeglądania, co poprawia wydajność i stabilność. (#11190)
* CLDR zaktualizowano z wersji 36.1 do wersji 37. (#11303)
* Zaktualizowano eSpeak-NG do wersji 1.51-dev, commit 1fb68ffffea4
* Teraz można korzystać z nawigacji w tabelach w polach list z elementami listy do sprawdzenia, gdy dana lista ma wiele kolumn. (#8857)
* W menedżerze dodatków, po wyświetleniu monitu o potwierdzenie usunięcia dodatku, opcja "Nie" jest teraz domyślna. (#10015)
* W programie Microsoft Excel okno dialogowe Lista elementów przedstawia teraz formuły w ich zlokalizowanej formie. (#9144)
* NVDA podaje teraz poprawną terminologię dla notatek w MS Excel. (#11311)
* Podczas korzystania z polecenia "przesuń kursor recenzji do fokusu" w trybie przeglądania, kursor recenzji jest teraz ustawiony w pozycji wirtualnego karetki. (#9622)
* Informacje zgłaszane w trybie przeglądania, takie jak informacje o formatowaniu za pomocą NVDA+F, są teraz wyświetlane w nieco większym oknie wyśrodkowanym na ekranie. (#9910)

### Poprawki błędów

* NVDA teraz zawsze mówi, gdy nawigujesz za pomocą słowa i lądujesz na dowolnym pojedynczym symbolu, po którym następuje biała spacja, niezależnie od ustawień szczegółowości. (#5133)
* W aplikacjach korzystających z QT 5.11 lub nowszej opisy obiektów są ponownie raportowane. (#8604)
* Podczas usuwania słowa za pomocą control+delete, NVDA nie pozostaje już cicha. (#3298, #11029)
  * Teraz ogłaszane jest słowo po prawej stronie usuniętego słowa.
* W panelu ustawień ogólnych lista języków jest teraz posortowana poprawnie. (#10348)
* W oknie dialogowym Gesty wejściowe znacznie poprawiono wydajność podczas filtrowania. (#10307)
* Możesz teraz wysyłać znaki Unicode poza U+FFFF z monitora brajlowskiego. (#10796)
* NVDA ogłosi zawartość okna dialogowego Otwórz za pomocą w aktualizacji systemu Windows 10 z maja 2020 r. (#11335)
* Nowa opcja eksperymentalna w ustawieniach zaawansowanych (Włącz selektywną rejestrację dla zdarzeń automatyzacji interfejsu użytkownika i zmian właściwości) może zapewnić znaczną poprawę wydajności w programie Microsoft Visual Studio i innych aplikacjach opartych na UIAutomation, jeśli są włączone. (#11077, #11209)
* W przypadku elementów listy do sprawdzenia wybrany stan nie jest już anonsowany nadmiarowo, a jeśli ma to zastosowanie, zamiast tego jest ogłaszany stan niezaznaczony. (#8554)
* W aktualizacji systemu Windows 10 z maja 2020 r. NVDA wyświetla teraz Microsoft Sound Mapper podczas przeglądania urządzeń wyjściowych z okna dialogowego syntezatora. (#11349)
* W programie Internet Explorer numery są teraz poprawnie anonsowane dla list uporządkowanych, jeśli lista nie zaczyna się od 1. (#8438)
* W Google Chrome NVDA będzie teraz zgłaszać, że nie jest zaznaczone dla wszystkich możliwych do zaznaczenia elementów sterujących (nie tylko pól wyboru), które nie są obecnie zaznaczone. (#11377)
* Po raz kolejny możliwe jest poruszanie się po różnych kontrolkach, gdy język NVDA jest ustawiony na aragoński. (#11384)
* NVDA nie powinien już czasami zawieszać się w Microsoft Word podczas szybkiego przechodzenia w górę i w dół lub wpisywania znaków z włączonym alfabetem Braille'a. (#11431, #11425, #11414)
* NVDA nie dodaje już nieistniejącej spacji końcowej podczas kopiowania bieżącego obiektu nawigatora do schowka. (#11438)
* NVDA nie aktywuje już profilu Powiedz wszystko, jeśli nie ma nic do odczytania. (#10899, #9947)
* NVDA nie jest już w stanie odczytać listy funkcji w Menedżerze Internetowych usług informacyjnych (IIS). (#11468)
* NVDA utrzymuje teraz urządzenie audio w pozycji otwartej, poprawiając wydajność na niektórych kartach dźwiękowych (#5172, #10721)
* NVDA nie będzie się już zawieszać ani zamykać po przytrzymaniu Control+Shift+strzałka w dół w programie Microsoft Word. (#9463)
* Stan rozwinięty/zwinięty katalogów w widoku drzewa nawigacji na drive.google.com jest teraz zawsze raportowany przez NVDA. (#11520)
* NVDA automatycznie wykryje monitor brajlowski NLS eReader Humanware przez Bluetooth, ponieważ jego nazwa Bluetooth to teraz "NLS eReader Humanware". (#11561)
* Znaczne ulepszenia wydajności w Visual Studio Code. (#11533)

### Zmiany dla deweloperów

* Pomocnik GUI BoxSizerHelper.addDialogDismissButtons obsługuje nowy argument słowa kluczowego "oddzielony", służący do dodawania standardowego separatora poziomego do okien dialogowych (innych niż komunikaty i okna dialogowe z pojedynczym wejściem). (#6468)
* Do modułów aplikacji dodano dodatkowe właściwości, w tym ścieżkę do pliku wykonywalnego (appPath), aplikację ze Sklepu Windows (isWindowsStoreApp) i architekturę komputera dla aplikacji (appArchitecture). (#7894)
* Teraz można tworzyć moduły aplikacji dla aplikacji hostowanych w systemie wwahost.exe w systemie Windows 8 i nowszych. (#4569)
* Fragment dziennika może być teraz rozdzielony, a następnie skopiowany do schowka za pomocą NVDA+control+shift+F1. (#9280)
* Obiekty specyficzne dla NVDA, które są znajdowane przez cykliczny garbage collector Pythona, są teraz rejestrowane podczas usuwania przez kolektor, aby pomóc w usuwaniu cykli referencyjnych z NVDA. (#11499)
 * Większość klas NVDA jest śledzona, w tym NVDAObjects, appModules, GlobalPlugins, SynthDrivers i TreeInterceptors.
 * Klasa, która musi być śledzona, powinna dziedziczyć z garbageHandler.TrackedObject.
* Znaczące rejestrowanie debugowania dla zdarzeń MSAA można teraz włączyć w ustawieniach zaawansowanych NVDA. (#11521)
* Zdarzenia winEvents MSAA dla aktualnie uaktywnionego obiektu nie są już odfiltrowywane wraz z innymi zdarzeniami, jeśli liczba zdarzeń dla danego wątku zostanie przekroczona. (#11520)

## 2020.2

Najważniejsze cechy tego wydania to obsługa nowego monitora brajlowskiego firmy Nattiq, lepsza obsługa graficznego interfejsu użytkownika programu antywirusowego ESET i terminala Windows, ulepszenia wydajności w 1Password oraz syntezator Windows OneCore. A także wiele innych ważnych poprawek błędów i ulepszeń.

### Nowe funkcje

* Obsługa nowych monitorów brajlowskich:
  * Nattiq nBraille (#10778)
* Dodano skrypt otwierający katalog konfiguracyjny NVDA (brak domyślnego gestu). (#2214)
* Lepsza obsługa graficznego interfejsu użytkownika programu antywirusowego ESET. (#10894)
* Dodano obsługę terminala Windows. (#10305)
* Dodano polecenie zgłaszania aktywnego profilu konfiguracji (bez domyślnego gestu). (#9325)
* Dodano polecenie do przełączania raportowania indeksów dolnych i górnych (brak domyślnego gestu). (#10985)
* Aplikacje internetowe (np. Gmail) nie odczytują już nieaktualnych informacji podczas szybkiego przełączania ostrości. (#10885)
  * Tę eksperymentalną poprawkę należy włączyć ręcznie za pomocą opcji "Próba anulowania mowy w przypadku wygasłych zdarzeń fokusu" w panelu ustawień zaawansowanych.
* Do słownika symboli domyślnych dodano o wiele więcej symboli. (#11105)

### Zmiany

* Zaktualizowano tłumacza brajlowskiego liblouis z wersji 3.12 do [3.14.0](https://github.com/liblouis/liblouis/releases/tag/v3.14.0). (#10832, #11221)
* Raportowanie indeksów górnych i dolnych jest teraz kontrolowane oddzielnie od raportowania atrybutów czcionek. (#10919)
* Ze względu na zmiany wprowadzone w VS Code, NVDA nie wyłącza już domyślnie trybu przeglądania w Kodzie. (#10888)
* NVDA nie raportuje już komunikatów "góra" i "dół" podczas przesuwania kursora recenzji bezpośrednio do pierwszej lub ostatniej linii bieżącego obiektu nawigatora za pomocą skryptów kursora przeglądu przejścia na górę i przejścia na dół. (#9551)
* NVDA nie raportuje już komunikatów "w lewo" i "w prawo" podczas bezpośredniego przesuwania kursora recenzji do pierwszego lub ostatniego znaku wiersza dla bieżącego obiektu nawigatora z odpowiednio skryptami kursora przeglądu przejścia na początek wiersza i przejścia na koniec wiersza. (#9551)

### Poprawki błędów

* NVDA uruchamia się teraz poprawnie, gdy nie można utworzyć pliku dziennika. (#6330)
* W ostatnich wydaniach Microsoft Word 365, NVDA nie będzie już informować o "usuń wstecz słowo" po naciśnięciu Control+Backspace podczas edycji dokumentu. (#10851)
* W Winampie, NVDA po raz kolejny ogłosi stan przełączania odtwarzania losowego i powtarzania. (#10945)
* NVDA nie jest już ekstremalnie powolny podczas poruszania się po liście elementów w 1Password. (#10508)
* Syntezator mowy Windows OneCore nie pozostaje już w tyle między wypowiedziami. (#10721)
* NVDA nie zawiesza się już po otwarciu menu kontekstowego 1Password w obszarze powiadomień systemowych. (#11017)
* W pakiecie Office 2013 i starszych:
  * Wstążki są ogłaszane, gdy fokus zostanie na nie przeniesiony po raz pierwszy. (#4207)
  * Elementy menu kontekstowego są ponownie poprawnie raportowane. (#9252)
  * Sekcje wstążki są konsekwentnie ogłaszane podczas nawigowania za pomocą Control+strzałki. (#7067)
* W trybie przeglądania w przeglądarkach Mozilla Firefox i Google Chrome tekst nie jest już nieprawidłowo wyświetlany w osobnym wierszu, gdy zawartość internetowa korzysta z wyświetlania CSS: inline-flex. (#11075)
* W trybie przeglądania z wyłączoną opcją Automatycznie ustaw fokus systemu na elementy, na których można ustawić fokus, można teraz aktywować elementy, na których nie można ustawić fokusu.
* W trybie przeglądania z wyłączoną opcją Automatycznie ustaw fokus systemu na elementy, na których można ustawić fokus, można teraz aktywować elementy, do których można dotrzeć, naciskając Tab. (#8528)
* W trybie przeglądania, gdy opcja Automatycznie ustaw fokus systemu na elementy, na których można ustawić fokus, aktywacja niektórych elementów nie jest już klikana w niewłaściwym miejscu. (#9886)
* Dźwięki błędów NVDA nie są już słyszalne podczas uzyskiwania dostępu do kontrolek tekstowych DevExpress. (#10918)
* Podpowiedzi ikon w zasobniku systemowym nie są już raportowane podczas nawigacji za pomocą klawiatury, jeśli ich tekst jest równy nazwie ikon, aby uniknąć podwójnego ogłaszania. (#6656)
* W trybie przeglądania z wyłączoną opcją "Automatycznie ustaw fokus systemu na elementy z możliwością ustawiania ostrości", przełączenie do trybu ostrości z NVDA+spacja teraz skupia element pod karetką. (#11206)
* Po raz kolejny możliwe jest sprawdzenie dostępności aktualizacji NVDA w niektórych systemach; np. czyste instalacje systemu Windows. (#11253)
* Fokus nie jest przenoszony w aplikacji Java, gdy zaznaczenie jest zmieniane w nieuaktywnionym drzewie, tabeli lub liście. (#5989)

### Zmiany dla deweloperów

* execElevated i hasUiAccess zostały przeniesione z modułu konfiguracyjnego do modułu systemUtils. Użycie za pośrednictwem modułu konfiguracyjnego jest przestarzałe. (#10493)
* Zaktualizowano configobj do wersji 5.1.0dev commit f9a265c4. (#10939)
* Automatyczne testowanie NVDA z Chrome i próbką HTML jest teraz możliwe. (#10553)
* IAccessibleHandler został przekonwertowany na pakiet, OrderedWinEventLimiter został wyodrębniony do modułu i dodano testy jednostkowe (#10934)
* Zaktualizowano BrlApi do wersji 0.8 (BRLTTY 6.1). (#11065)
* Pobieranie paska stanu można teraz dostosować za pomocą modułu AppModule. (#2125, #4640)
* NVDA nie nasłuchuje już IAccessible EVENT_OBJECT_REORDER. (#11076)
* Uszkodzony obiekt ScriptableObject (taki jak GlobalPlugin, w którym brakuje wywołania metody init swojej klasy bazowej) nie przerywa już obsługi skryptów NVDA. (#5446)

## 2020.1

Najważniejsze cechy tego wydania obejmują obsługę kilku nowych monitorów brajlowskich od HumanWare i APH, a także wiele innych ważnych poprawek błędów, takich jak możliwość ponownego czytania matematyki w programie Microsoft Word za pomocą MathPlayer / MathType.

### Nowe funkcje

* Aktualnie zaznaczony element w listboxach jest ponownie prezentowany w trybie przeglądania w Chrome, podobnie jak w NVDA 2019.1. (#10713)
* Możesz teraz wykonywać kliknięcia prawym przyciskiem myszy na urządzeniach dotykowych, dotykając i przytrzymując jednym palcem. (#3886)
* Obsługa nowych monitorów brajlowskich: APH Chameleon 20, APH Mantis Q40, HumanWare BrailleOne, BrailleNote Touch v2 i NLS eReader. (#10830)

### Zmiany

* NVDA zapobiegnie blokowaniu się systemu lub przechodzeniu w stan uśpienia, gdy jest w środku, powiedzmy wszystkim. (#10643)
* Obsługa pozaprocesowych ramek iframe w przeglądarce Mozilla Firefox. (#10707)
* Zaktualizowano tłumacz brajlowski liblouis do wersji 3.12. (#10161)

### Poprawki błędów

* Naprawiono NVDA, który nie ogłaszał symbolu minus Unicode (U+2212). (#10633)
* Podczas instalowania dodatku z menedżera dodatków nazwy plików i folderów w oknie przeglądania nie są już raportowane dwukrotnie. (#10620, #2395)
* W Firefoksie, podczas ładowania Mastodona z włączonym zaawansowanym interfejsem internetowym, wszystkie osie czasu renderują się teraz poprawnie w trybie przeglądania. (#10776)
* W trybie przeglądania, NVDA zgłasza teraz "niezaznaczone" dla niezaznaczonych pól wyboru, w których czasami nie występowało wcześniej. (#10781)
* Elementy sterujące przełącznikiem ARIA nie wyświetlają już mylących informacji, takich jak "nie wciśnięto zaznaczone" lub "naciśnięto zaznaczone". (#9187)
* Głosy SAPI4 nie powinny już odmawiać wypowiadania określonego tekstu. (#10792)
* NVDA może ponownie odczytywać i wchodzić w interakcje z równaniami matematycznymi w programie Microsoft Word. (#10803)
* NVDA ponownie ogłosi odznaczenie tekstu w trybie przeglądania, jeśli naciśniesz strzałki, gdy tekst jest zaznaczony. (#10731).
* NVDA nie kończy się już, jeśli wystąpi błąd inicjalizacji eSpeak. (#10607)
* Błędy spowodowane przez Unicode w tłumaczeniach skrótów nie zatrzymują już instalatora, łagodzone przez powrót do tekstu w języku angielskim. (#5166, #6326)
* Strzałka w kierunku wyjścia i odejścia od list i tabel w sayAll z włączonym odczytem skimingowym nie informuje już w sposób ciągły o wyjściu z listy lub tabeli. (#10706)
* Napraw śledzenie myszy dla niektórych elementów MSHTML w programie Internet Explorer. (#10736)

### Zmiany dla deweloperów

* Dokumentacja programisty jest teraz tworzona przy użyciu sphinxa. (#9840)
* Kilka funkcji mowy zostało podzielonych na dwie części. (#10593)
  Wersja speakX pozostaje, ale teraz zależy od funkcji getXSpeech, która zwraca sekwencję mowy.
  * Funkcja speakObjectProperties korzysta teraz z funkcji getObjectPropertiesSpeech
  * speakObject opiera się teraz na getObjectSpeech
  * speakTextInfo opiera się teraz na getTextInfoSpeech
  * speakWithoutPauses został przekonwertowany na klasę i refaktoryzowany, ale nie powinien naruszyć zgodności.
  * getSpeechForSpelling jest przestarzały (choć nadal dostępny), zamiast tego użyj getSpellingSpeech.
  Prywatne zmiany, które nie powinny mieć wpływu na twórców dodatków:
  * _speakPlaceholderIfEmpty jest teraz _getPlaceholderSpeechIfTextEmpty
  * _speakTextInfo_addMath jest teraz _extendSpeechSequence_addMathForTextInfo
* Mowa "powód" został przekonwertowany na wyliczenie, zobacz controlTypes.OutputReason klasę. (#10703)
  * Stałe "REASON_*" na poziomie modułu są przestarzałe.
* Kompilowanie zależności NVDA wymaga teraz programu Visual Studio 2019 (16.2 lub nowszego). (#10169)
* Zaktualizowano SCons do wersji 3.1.1. (#10169)
* Ponownie zezwalaj behaviors._FakeTableCell na brak zdefiniowanej lokalizacji (#10864)

## 2019.3

NVDA 2019.3 to bardzo ważne wydanie zawierające wiele ukrytych zmian, w tym aktualizację Pythona 2 do Pythona 3 i poważne przepisanie podsystemu mowy NVDA.
Chociaż te zmiany zrywają kompatybilność ze starszymi dodatkami NVDA, aktualizacja do Pythona 3 jest konieczna ze względów bezpieczeństwa, a zmiany w mowie pozwalają na kilka ekscytujących innowacji w najbliższej przyszłości.
 Inne nowości w tym wydaniu to 64-bitowa obsługa maszyn wirtualnych Java, funkcja Screen Curtain i Focus Highlight, obsługa większej liczby monitorów brajlowskich i nowa przeglądarka Braille'a oraz wiele innych poprawek błędów.

### Nowe funkcje

* Poprawiono dokładność polecenia przenieś mysz do obiektu nawigatora w polach tekstowych w aplikacjach Java. (#10157)
* Dodano obsługę następujących monitorów brajlowskich Handy Tech (#8955):
 * Podstawowy alfabet Braille'a Plus 40
 * Podstawowy alfabet Braille'a Plus 32
 * Podłącz alfabet Braille'a
* Wszystkie gesty zdefiniowane przez użytkownika można teraz usunąć za pomocą nowego przycisku "Przywróć ustawienia fabryczne" w oknie dialogowym Gesty wprowadzania. (#10293)
* Raportowanie czcionek w programie Microsoft Word obejmuje teraz informacje o tym, czy tekst jest oznaczony jako ukryty. (#8713)
* Dodano polecenie przesunięcia kursora przeglądania do pozycji poprzednio ustawionej jako znacznik początkowy dla zaznaczenia lub kopiowania: NVDA+shift+F9. (#1969)
* W przeglądarkach Internet Explorer, Microsoft Edge oraz najnowszych wersjach przeglądarek Firefox i Chrome punkty orientacyjne są teraz raportowane w trybie koncentracji uwagi i nawigacji po obiektach. (#10101)
* W przeglądarkach Internet Explorer, Google Chrome i Mozilla Firefox można teraz nawigować według artykułów i grupować za pomocą skryptów szybkiej nawigacji. Skrypty te są domyślnie niepowiązane i można je przypisać w oknie dialogowym Gesty wprowadzania, gdy okno dialogowe jest otwierane z dokumentu w trybie przeglądania. (#9485, #9227)
 * Podano również dane liczbowe. Są one traktowane jako obiekty i dlatego można się po nich poruszać za pomocą szybkiej nawigacji.
* W przeglądarkach Internet Explorer, Google Chrome i Mozilla Firefox elementy artykułów są teraz raportowane podczas nawigacji po obiektach i opcjonalnie w trybie przeglądania, jeśli jest włączony w ustawieniach formatowania dokumentu. (#10424)
* Dodano kurtynę ekranu, która po włączeniu sprawia, że cały ekran jest w systemie Windows 8 i nowszych. (#7857)
 * Dodano skrypt włączający kurtynę ekranu (do następnego restartu za pomocą jednego naciśnięcia, lub zawsze, gdy NVDA jest uruchomiona za pomocą dwóch naciśnięć), nie jest przypisany żaden domyślny gest.
 * Może być włączony i skonfigurowany za pomocą kategorii "wizja" w oknie ustawień NVDA.
* Dodano funkcję podświetlania ekranu do NVDA. (#971, #9064)
 * Podświetlanie fokusu, obiektu nawigatora i pozycji karetki trybu przeglądania można włączyć i skonfigurować za pomocą kategorii "wizja" w oknie ustawień NVDA.
 * Uwaga: Ta funkcja jest niekompatybilna z dodatkiem Focus Highlight, jednak dodatek może być nadal używany, gdy wbudowany zakreślacz jest wyłączony.
* Dodano narzędzie Braille Viewer, które umożliwia przeglądanie danych brajlowskich za pomocą okna ekranowego. (#7788)

### Zmiany

* Podręcznik użytkownika opisuje teraz, jak korzystać z NVDA w konsoli systemu Windows. (#9957)
* Uruchomienie nvda.exe teraz domyślnie zastępuje już uruchomioną kopię NVDA. Parametr wiersza polecenia -r|--replace jest nadal akceptowany, ale ignorowany. (#8320)
* W systemie Windows 8 i nowszych NVDA będzie teraz raportować nazwę produktu i informacje o wersji dla hostowanych aplikacji, takich jak aplikacje pobrane ze sklepu Microsoft Store, korzystając z informacji dostarczonych przez aplikację. (#4259, #10108)
* Podczas włączania i wyłączania zmian ścieżki za pomocą klawiatury w programie Microsoft Word, NVDA ogłosi stan ustawienia. (#942)
* Numer wersji NVDA jest teraz rejestrowany jako pierwsza wiadomość w dzienniku. Dzieje się tak nawet wtedy, gdy rejestrowanie zostało wyłączone z poziomu graficznego interfejsu użytkownika. (#9803)
* Okno dialogowe ustawień nie pozwala już na zmianę skonfigurowanego poziomu dziennika, jeśli został on zastąpiony z wiersza poleceń. (#10209)
* W programie Microsoft Word NVDA ogłasza teraz stan wyświetlania znaków niedrukowalnych po naciśnięciu skrótu przełączającego Ctrl+Shift+8 . (#10241)
* Zaktualizowano tłumacza brajlowskiego Liblouis, aby zawierał wpis 58d67e63. (#10094)
* Gdy włączone jest raportowanie znaków CLDR (w tym emotikonów), są one ogłaszane na wszystkich poziomach interpunkcji. (#8826)
* Pakiety Pythona innych firm zawarte w NVDA, takie jak comtypes, teraz rejestrują swoje ostrzeżenia i błędy w dzienniku NVDA. (#10393)
* Zaktualizowano adnotacje emoji Unicode Common Locale Data Repository do wersji 36.0. (#10426)
* Podczas ustawiania fokusu grupy w trybie przeglądania opis jest teraz również odczytywany. (#10095)
* Mostek Java Access Bridge jest teraz dołączony do NVDA, aby umożliwić dostęp do aplikacji Java, w tym dla 64-bitowych maszyn wirtualnych Java. (#7724)
* Jeśli program Java Access Bridge nie jest włączony dla użytkownika, NVDA automatycznie włącza go podczas uruchamiania NVDA. (#7952)
* Zaktualizowano eSpeak-NG do wersji 1.51-dev, commit ca65812ac6019926f2fbd7f12c92d7edd3701e0c. (#10581)

### Poprawki błędów

* Emotikony i inne 32-bitowe znaki Unicode zajmują teraz mniej miejsca na monitorze brajlowskim, gdy są wyświetlane jako wartości szesnastkowe. (#6695)
* W systemie Windows 10 NVDA będzie ogłaszać podpowiedzi z aplikacji uniwersalnych, jeśli NVDA jest skonfigurowana do raportowania podpowiedzi w oknie dialogowym prezentacji obiektów. (#8118)
* W rocznicowej aktualizacji systemu Windows 10 i nowszych wpisany tekst jest teraz zgłaszany w Mintty. (#1348)
* W przypadku rocznicowej aktualizacji systemu Windows 10 i nowszych dane wyjściowe w konsoli systemu Windows, które pojawiają się w pobliżu karety, nie są już przeliterowane. (#513)
* Elementy sterujące w oknie dialogowym kompresora Audacitys są teraz odczytywane podczas poruszania się po oknie dialogowym. (#10103)
* NVDA nie traktuje już spacji jako słów w przeglądzie obiektów w edytorach opartych na Scintilla, takich jak Notepad++. (#8295)
* NVDA zapobiegnie przejściu systemu w tryb uśpienia podczas przewijania tekstu za pomocą gestów monitora brajlowskiego. (#9175)
* W systemie Windows 10 pismo Braille'a będzie teraz podążać za edycją zawartości komórek w programie Microsoft Excel i w innych kontrolkach tekstowych UIA, w których pozostawało w tyle. (#9749)
* NVDA po raz kolejny zgłosi sugestie w pasku adresu Microsoft Edge. (#7554)
* NVDA nie jest już cichy podczas skupiania nagłówka kontrolki karty HTML w Internet Explorerze. (#8898)
* W przeglądarce Microsoft Edge opartej na EdgeHTML, NVDA nie będzie już odtwarzać dźwięku sugestii wyszukiwania, gdy okno zostanie zmaksymalizowane. (#9110, #10002)
* Pola kombi ARIA 1.1 są teraz obsługiwane w przeglądarkach Mozilla Firefox i Google Chrome. (#9616)
* NVDA nie będzie już raportować zawartości wizualnie ukrytych kolumn dla elementów listy w kontrolkach SysListView32. (#8268)
* W oknie dialogowym ustawień nie jest już wyświetlane "info" jako bieżący poziom dziennika w trybie bezpiecznym. (#10209)
* W menu Start dla rocznicowej aktualizacji systemu Windows 10 i nowszych NVDA ogłosi szczegóły wyników wyszukiwania. (#10340)
* W trybie przeglądania, jeśli przesunięcie kursora lub użycie szybkiej nawigacji spowoduje zmianę dokumentu, NVDA nie będzie już w niektórych przypadkach odczytywać nieprawidłowej treści. (#8831, #10343)
* Poprawiono niektóre nazwy punktorów w programie Microsoft Word. (#10399)
* W aktualizacji systemu Windows 10 z maja 2019 r. i nowszych NVDA po raz kolejny ogłosi pierwszy wybrany emoji lub element schowka, gdy otworzy się odpowiednio panel emoji i historia schowka. (#9204)
* W Poedit po raz kolejny można zobaczyć niektóre tłumaczenia dla języków pisanych od prawej do lewej. (#9931)
* W aplikacji Ustawienia w aktualizacji systemu Windows 10 z kwietnia 2018 r. i nowszych, NVDA nie będzie już ogłaszać informacji o pasku postępu dla mierników głośności znajdujących się na stronie System/Dźwięk. (#10412)
* Niepoprawne wyrażenia regularne w słownikach mowy nie powodują już całkowitego uszkodzenia mowy w NVDA. (#10334)
* Podczas odczytywania elementów punktowanych w programie Microsoft Word z włączoną funkcją UIA punktor z następnego elementu listy nie jest już nieprawidłowo ogłaszany. (#9613)
* Rozwiązano kilka rzadkich problemów z tłumaczeniem brajlowskim i błędów związanych z liblouis. (#9982)
* Aplikacje Java uruchomione przed NVDA są teraz dostępne bez konieczności ponownego uruchamiania aplikacji Java. (#10296)
* W przeglądarce Mozilla Firefox, gdy element fokusu zostanie oznaczony jako bieżący (aria-current), ta zmiana nie będzie już wypowiadana wiele razy. (#8960)
* NVDA będzie teraz traktować niektóre złożone znaki Unicode, takie jak e-sharp, jako pojedynczy znak podczas poruszania się po tekście. (#10550)
* Pakiet narzędzi Spring Tool Suite w wersji 4 jest teraz obsługiwany. (#10001)
* Nie wymawiaj dwukrotnie imienia, gdy celem relacji jest aria nazwana przez cel relacji. (#10552)
* W systemie Windows 10 w wersji 1607 lub nowszej znaki wpisywane z klawiatur brajlowskich są wypowiadane w większej liczbie sytuacji. (#10569)
* Podczas zmiany urządzenia wyjściowego audio, dźwięki odtwarzane przez NVDA będą teraz odtwarzane przez nowo wybrane urządzenie. (#2167)
* W przeglądarce Mozilla Firefox przesuwanie fokusu w trybie przeglądania jest szybsze. Dzięki temu przesuwanie kursora w trybie przeglądania w wielu przypadkach jest bardziej responsywne. (#10584)

### Zmiany dla deweloperów

* Zaktualizowano język Python do wersji 3.7. (#7105)
* Zaktualizowano pySerial do wersji 3.4. (#8815)
* Zaktualizowano wxPython do wersji 4.0.3, aby obsługiwała język Python 3.5 i nowsze. (#9630)
* Zaktualizowano sześć do wersji 1.12.0. (#9630)
* Zaktualizowano py2exe do wersji 0.9.3.2 (w trakcie opracowywania, commit b372a8e z albertosottile/py2exe#13). (#9856)
* Zaktualizowano moduł UIAutomationCore.dll comtypes do wersji 10.0.18362. (#9829)
* Uzupełnianie tabulatora w konsoli języka Python sugeruje atrybuty rozpoczynające się od podkreślenia tylko wtedy, gdy podkreślenie jest wpisane po raz pierwszy. (#9918)
* Narzędzie do lintingu Flake8 zostało zintegrowane z SCons odzwierciedlając wymagania kodu dla Pull Requestów. (#5918)
* Ponieważ NVDA nie jest już zależna od pyWin32, moduły takie jak win32api i win32con nie są już dostępne dla dodatków. (#9639)
 * Wywołania Win32API można zastąpić bezpośrednimi wywołaniami funkcji DLL Win32 za pośrednictwem ctypes.
 * Stałe win32con powinny być zdefiniowane w twoich plikach.
* Nazwa argumentu "async" w pliku nvwave.playWaveFile została zmieniona na "asynchroniczny". (#8607)
* Metody speakText i speakCharacter w obiektach synthDriver nie są już obsługiwane.
 * Ta funkcja jest obsługiwana przez SynthDriver.speak.
* Klasy SynthSetting w synthDriverHandler zostały usunięte. Teraz zamiast tego użyj klas driverHandler.DriverSetting.
* Klasy SynthDriver nie powinny już uwidaczniać indeksu za pośrednictwem właściwości lastIndex.
 * Zamiast tego powinni powiadomić akcję synthDriverHandler.synthIndexReached o indeksie, gdy wszystkie poprzednie dźwięki zakończą odtwarzanie przed tym indeksem.
* Klasy SynthDriver muszą teraz powiadamiać akcję synthDriverHandler.synthDoneSpeaking po zakończeniu odtwarzania całego dźwięku z wywołania SynthDriver.speak.
* Klasy SynthDriver muszą obsługiwać mowę. PitchCommand w ich metodzie mówienia, ponieważ zmiany wysokości dźwięku dla pisowni mówienia zależą teraz od tej funkcjonalności.
* Nazwa funkcji mowy getSpeechTextForProperties została zmieniona na getPropertiesSpeech. (#10098)
* Nazwa funkcji brajlowskiej getBrailleTextForProperties została zmieniona na getPropertiesBraille. (#10469)
* Kilka funkcji mowy zostało zmienionych w celu zwrócenia sekwencji mowy. (#10098)
 * getControlFieldSpeech (Mowa w Polu)
 * getFormatFieldSpeech (Mowa w polie)
 * getSpeechTextForProperties nazywa się teraz getPropertiesSpeech
 * getIndentationSpeech (Mowa wcięcia)
 * getTableInfoSpeech
* Dodano moduł textUtils, aby uprościć różnice między ciągami Pythona 3 a ciągami Unicode systemu Windows. (#9545)
 * Zapoznaj się z dokumentacją modułu i modułem textInfos.offsets, aby zapoznać się z przykładowymi implementacjami.
* Usunięto przestarzałe funkcje. (#9548)
 * Usunięto AppModules:
  * Rejestrator dźwięku w systemie Windows XP.
  * Klango Player, który jest porzuconym oprogramowaniem.
 * Usunięto opakowanie configobj.validate.
  * Nowy kod powinien używać from configobj import validate zamiast import validate
 * textInfos.Point i textInfos.Rect zastąpione odpowiednio przez locationHelper.Point i locationHelper.RectLTRB.
 * Braille'a. BrailleHandler._get_tether i alfabet Braille'a. BrailleHandler.set_tether zostały usunięte.
 * config.getConfigDirs został usunięty.
 * konfiguracji. ConfigManager.getConfigValidationParameter został zastąpiony przez getConfigValidation
 * Właściwość inputCore.InputGesture.logIdentifier została usunięta.
   * Zamiast tego użyj _get_identifiers w inputCore.InputGesture.
 * synthDriverHandler.SynthDriver.speakText/speakCharacter zostały usunięte.
 * Usunięto kilka klas synthDriverHandler.SynthSetting.
   * Wcześniej zachowane w celu zapewnienia zgodności z poprzednimi wersjami (#8214), teraz uważane za przestarzałe.
   * Sterowniki, które korzystały z klas SynthSetting, powinny zostać zaktualizowane w celu korzystania z klas DriverSetting.
 * Część starszego kodu została usunięta, w szczególności:
  * Obsługa listy wiadomości programu Outlook sprzed 2003 roku.
  * Klasa nakładki dla klasycznego menu Start, dostępna tylko w systemie Windows Vista i wcześniejszych.
  * Porzucono wsparcie dla Skype 7, ponieważ zdecydowanie już nie działa.
* Dodano platformę do tworzenia dostawców poprawiających wizję; moduły, które mogą zmieniać zawartość ekranu, opcjonalnie na podstawie danych wejściowych z NVDA o lokalizacjach obiektów. (#9064)
 * Dodatki mogą łączyć własnych dostawców w folderze visionEnhancementProviders.
 * Zapoznaj się z modułami vision i visionEnhancementProviders, aby zapoznać się z implementacją struktury i przykładami.
 * Dostawcy ulepszeń wzroku są włączani i konfigurowani za pomocą kategorii "wizja" w oknie dialogowym ustawień NVDA.
* Właściwości klasy abstrakcyjnej są teraz obsługiwane w obiektach, które dziedziczą po baseObject.AutoPropertyObject (np. NVDAObjects i TextInfos). (#10102)
* Wprowadzono displayModel.UNIT_DISPLAYCHUNK jako stałą jednostki textInfos specyficzną dla DisplayModelTextInfo. (#10165)
 * Ta nowa stała umożliwia przechodzenie po tekście w elemencie DisplayModelTextInfo w sposób, który bardziej przypomina sposób zapisywania fragmentów tekstu w modelu bazowym.
* displayModel.getCaretRect zwraca teraz instancję klasy locationHelper.RectLTRB. (#10233)
* Stałe UNIT_CONTROLFIELD i UNIT_FORMATFIELD zostały przeniesione z virtualBuffers.VirtualBufferTextInfo do pakietu textInfos. (#10396)
* Dla każdego wpisu w dzienniku NVDA dołączona jest teraz informacja o wątku, z którego pochodzi. (#10259)
* Obiekty UIA TextInfo mogą być teraz przenoszone/rozwijane za pomocą jednostek tekstowych page, story i formatField. (#10396)
* Moduły zewnętrzne (appModules i globalPlugins) są teraz mniej podatne na przerwanie tworzenia NVDAObjects.
 * Wyjątki spowodowane przez metody "chooseNVDAObjectOverlayClasses" i "event_NVDAObject_init" są teraz poprawnie przechwytywane i rejestrowane.
* Nazwa słownika aria.htmlNodeNameToAriaLandmarkRoles została zmieniona na aria.htmlNodeNameToAriaRoles. Teraz zawiera również role, które nie są punktami orientacyjnymi.
* scriptHandler.isCurrentScript został usunięty z powodu braku użycia. Nie ma zamiennika. (#8677)

## 2019.2.1

Jest to niewielka wersja, która naprawia kilka awarii występujących w wersji 2019.2. Poprawki obejmują:

* Rozwiązano kilka problemów z zawieszaniem się gry Gmail zarówno w Firefoksie, jak i Chrome podczas interakcji z określonymi menu podręcznymi, np. podczas tworzenia filtrów lub zmieniania niektórych ustawień Gmaila. (#10175, #9402, #8924)
* W systemie Windows 7 NVDA nie powoduje już awarii Eksploratora Windows, gdy mysz jest używana w menu Start. (#9435)
* Eksplorator Windows w systemie Windows 7 nie ulega już awarii podczas uzyskiwania dostępu do pól edycji metadanych. (#5337)
* NVDA nie zawiesza się już podczas interakcji z obrazami z identyfikatorem URI base64 w przeglądarce Mozilla Firefox lub Google Chrome. (#10227)

## 2019.2

Najważniejsze cechy tego wydania obejmują automatyczne wykrywanie monitorów brajlowskich Freedom Scientific, eksperymentalne ustawienie w panelu Zaawansowane, aby zatrzymać automatyczne przesuwanie ostrości w trybie przeglądania (co może zapewnić poprawę wydajności), opcję zwiększania szybkości dla syntezatora Windows OneCore w celu osiągnięcia bardzo szybkich szybkości i wiele innych poprawek błędów.

### Nowe funkcje

* Obsługa NVDA Miranda NG działa z nowszymi wersjami klienta. (#9053)
* Możesz teraz domyślnie wyłączyć tryb przeglądania, wyłączając nową opcję "Włącz tryb przeglądania podczas ładowania strony" w ustawieniach trybu przeglądania NVDA. (#8716)
 * Zauważ, że gdy ta opcja jest wyłączona, nadal możesz włączyć tryb przeglądania ręcznie, naciskając NVDA+spacja.
* Możesz teraz filtrować symbole w oknie dialogowym wymowy znaków interpunkcyjnych/symboli, podobnie jak działa filtrowanie w oknie dialogowym listy elementów i gestów wejściowych. (#5761)
* Dodano polecenie zmiany rozdzielczości jednostki tekstu myszy (ile tekstu zostanie wypowiedziane podczas ruchu myszy), nie przypisano mu domyślnego gestu. (#9056)
* Syntezator OneCore dla systemu Windows ma teraz opcję zwiększania szybkości, co pozwala na znacznie szybszą mowę. (#7498)
* Opcja Rate Boost jest teraz konfigurowalna z poziomu pierścienia ustawień syntezatora dla obsługiwanych syntezatorów mowy. (Obecnie eSpeak-NG i Windows OneCore). (#8934)
* Profile konfiguracyjne można teraz aktywować ręcznie za pomocą gestów. (#4209)
 * Gest należy skonfigurować w oknie dialogowym "Gesty wprowadzania".
* W środowisku Eclipse dodano obsługę autouzupełniania w edytorze kodu. (#5667)
 * Dodatkowo, informacje Javadoc mogą być odczytywane z edytora, gdy są obecne, za pomocą NVDA+d.
* Do panelu Ustawienia zaawansowane dodano opcję eksperymentalną, która pozwala zatrzymać fokus systemu przed podążaniem za kursorem trybu przeglądania (Automatycznie ustaw fokus systemu na elementy, na których można ustawić fokus). (#2039) Chociaż wyłączenie tego może nie być odpowiednie dla wszystkich witryn, może to rozwiązać:
 * Efekt gumki: NVDA sporadycznie cofa ostatnie naciśnięcie w trybie przeglądania, przeskakując do poprzedniej lokalizacji.
 * Pola edycji kradną fokus systemu podczas przechodzenia przez nie strzałką w dół na niektórych stronach internetowych.
 * Naciśnięcia w trybie przeglądania reagują powoli.
* W przypadku sterowników monitorów brajlowskich, które go obsługują, ustawienia sterownika można teraz zmienić z kategorii ustawień brajla w oknie ustawień NVDA. (#7452)
* Monitory brajlowskie Freedom Scientific są teraz obsługiwane przez automatyczne wykrywanie monitorów brajlowskich. (#7727)
* Dodano polecenie pokazujące zamiennik symbolu pod kursorem recenzji. (#9286)
* Dodano eksperymentalną opcję do panelu Ustawienia zaawansowane, która pozwala wypróbować nową, trwającą nad pracami przeróbkę obsługi konsoli Windows NVDA przy użyciu interfejsu API automatyzacji interfejsu użytkownika firmy Microsoft. (#9614)
* W konsoli języka Python pole wejściowe obsługuje teraz wklejanie wielu wierszy ze schowka. (#9776)

### Zmiany

* Głośność syntezatora jest teraz zwiększana i zmniejszana o 5 zamiast o 10 podczas korzystania z pierścienia ustawień. (#6754)
* Poprawiono tekst w menedżerze dodatków, gdy NVDA jest uruchamiany z flagą --disable-addons. (#9473)
* Zaktualizowano adnotacje emoji Unicode Common Locale Data Repository do wersji 35.0. (#9445)
* Skrót klawiszowy dla pola filtru na liście elementów w trybie przeglądania został zmieniony na alt+y. (#8728)
* Gdy automatycznie wykrywany monitor brajlowski jest podłączony przez Bluetooth, NVDA będzie nadal szukać wyświetlaczy USB obsługiwanych przez ten sam sterownik i przełączy się na połączenie USB, jeśli stanie się ono dostępne. (#8853)
* Zaktualizowano eSpeak-NG do zatwierdzenia 67324cc.
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji 3.10.0. (#9439, #9678)
* NVDA będzie teraz zgłaszać słowo "wybrane" po zgłoszeniu tekstu, który użytkownik właśnie wybrał. (#9028, #9909)
* W Microsoft Visual Studio Code NVDA jest domyślnie w trybie koncentracji uwagi. (#9828)

### Poprawki błędów

* NVDA nie ulega już awarii, gdy katalog dodatków jest pusty. (#7686)
* Znaki LTR i RTL nie są już raportowane w alfabecie Braille'a ani w mowie na znak podczas uzyskiwania dostępu do okna właściwości. (#8361)
* Podczas przechodzenia do pól formularzy za pomocą szybkiej nawigacji w trybie przeglądania ogłaszane jest teraz całe pole formularza, a nie tylko pierwszy wiersz. (#9388)
* NVDA nie będzie już cichnąć po zamknięciu aplikacji Poczta systemu Windows 10. (#9341)
* NVDA nie uruchamia się już bez uruchamiania, gdy ustawienia regionalne użytkownika są ustawione na ustawienia regionalne nieznane NVDA, takie jak angielski (Holandia). (#8726)
* Gdy tryb przeglądania jest włączony w programie Microsoft Excel i przełączysz się do przeglądarki w trybie koncentracji uwagi lub odwrotnie, stan trybu przeglądania jest teraz odpowiednio raportowany. (#8846)
* NVDA teraz poprawnie raportuje linię przy kursorze myszy w Notepad++ i innych edytorach opartych na Scintilla. (#5450)
* W Dokumentach Google (i innych edytorach internetowych) w alfabecie Braille'a nie jest już czasami błędnie wyświetlany napis "lst end" przed kursorem w środku elementu listy. (#9477)
* W aktualizacji systemu Windows 10 z maja 2019 r. NVDA nie wyświetla już wielu powiadomień o głośności, jeśli zmienia głośność za pomocą przycisków sprzętowych, gdy Eksplorator plików ma fokus. (#9466)
* Wczytywanie okna dialogowego wymowy znaków interpunkcyjnych/symboli jest teraz znacznie szybsze w przypadku korzystania ze słowników symboli zawierających ponad 1000 haseł. (#8790)
* W kontrolkach Scintilla, takich jak Notepad++, NVDA może odczytać poprawną linię, gdy włączone jest zawijanie słów. (#9424)
* W programie Microsoft Excel lokalizacja komórki jest ogłaszana po jej zmianie w wyniku gestów shift+enter lub shift+numpadEnter. (#9499)
* W programie Visual Studio 2017 lub nowszym w oknie Eksplorator obiektów wybrany element w drzewie obiektów lub drzewie elementów członkowskich z kategoriami jest teraz poprawnie zgłaszany. (#9311)
* Dodatki o nazwach, które różnią się tylko wielkością liter, nie są już traktowane jako osobne dodatki. (#9334)
* W przypadku głosów systemu Windows OneCore szybkość ustawiona w NVDA nie ma już wpływu na szybkość ustawioną w ustawieniach mowy systemu Windows 10. (#7498)
* Dziennik można teraz otworzyć za pomocą NVDA+F1, gdy nie ma informacji o programiście dla bieżącego obiektu nawigatora. (#8613)
* Ponownie możliwe jest korzystanie z poleceń nawigacji po tabelach NVDA w Google Docs, Firefoksie i Chrome. (#9494)
* bumpera działają teraz poprawnie na monitorach brajlowskich Freedom Scientific. (#8849)
* Podczas odczytywania pierwszego znaku dokumentu w Notepad++ 7.7 X64, NVDA nie zawiesza się już na maksymalnie dziesięć sekund. (#9609)
* HTCom może być teraz używany z monitorem brajlowskim Handy Tech w połączeniu z NVDA. (#9691)
* W przeglądarce Mozilla Firefox aktualizacje regionu dynamicznego nie są już zgłaszane, jeśli region aktywny znajduje się na karcie w tle. (#1318)
* Okno dialogowe wyszukiwania NVDA w trybie przeglądania nie przestaje działać, jeśli okno dialogowe NVDA About jest aktualnie otwarte w tle. (#8566)

### Zmiany dla deweloperów

* Teraz możesz ustawić właściwość "disableBrowseModeByDefault" w modułach aplikacji, aby domyślnie wyłączyć tryb przeglądania. (#8846)
* Rozszerzony styl okna okna jest teraz uwidoczniany za pomocą właściwości "extendedWindowStyle" w obiektach Window i ich pochodnych. (#9136)
* Zaktualizowano pakiet comtypes do wersji 1.1.7. (#9440, #8522)
* W przypadku korzystania z polecenia info modułu raportu kolejność informacji została zmieniona, aby moduł był prezentowany jako pierwszy. (#7338)
* Dodano przykład, aby zademonstrować użycie nvdaControllerClient.dll z języka C#. (#9600)
* Dodano nową funkcję isWin10 do modułu winVersion, która zwraca informację, czy ta kopia NVDA jest uruchomiona na (przynajmniej) dostarczonej wersji systemu Windows 10 (takiej jak 1903). (#9761)
* Konsola NVDA Python zawiera teraz więcej użytecznych modułów w swojej przestrzeni nazw (takich jak appModules, globalPlugins, config i textInfos). (#9789)
* Wynik ostatniego wykonanego polecenia w konsoli NVDA Pythona jest teraz dostępny ze zmiennej _ (line). (#9782)
 * Zauważ, że zasłania to funkcję tłumaczenia gettext, zwaną również "_". Aby uzyskać dostęp do funkcji tłumaczenia: del _

## 2019.1.1

W tym wydaniu punktowym naprawiono następujące błędy:

* NVDA nie powoduje już awarii programu Excel 2007 ani nie odmawia raportowania, jeśli komórka zawiera formułę. (#9431)
* Google Chrome nie ulega już awarii podczas interakcji z niektórymi listami. (#9364)
* Rozwiązano problem, który uniemożliwiał kopiowanie konfiguracji użytkownika do profilu konfiguracji systemu. (#9448)
* W programie Microsoft Excel NVDA ponownie używa zlokalizowanej wiadomości podczas raportowania lokalizacji scalonych komórek. (#9471)

## 2019.1

Najważniejsze cechy tej wersji obejmują poprawę wydajności podczas uzyskiwania dostępu zarówno do programu Microsoft Word, jak i Excel, ulepszenia stabilności i zabezpieczeń, takie jak obsługa dodatków z informacjami o zgodności wersji oraz wiele innych poprawek błędów.

Należy pamiętać, że począwszy od tego wydania NVDA, niestandardowe appModules, globalPlugins, sterowniki monitorów brajlowskich i sterowniki syntezatorów nie będą już automatycznie ładowane z katalogu konfiguracyjnego użytkownika NVDA.
Powinny one być raczej instalowane jako część dodatku NVDA. Dla tych, którzy tworzą kod do dodatku, kod do testowania może być umieszczony w nowym katalogu dewelopera w katalogu konfiguracji użytkownika NVDA, jeśli opcja Szkicownik programisty jest włączona w nowym panelu ustawień zaawansowanych NVDA.
Te zmiany są konieczne, aby lepiej zapewnić kompatybilność niestandardowego kodu, tak aby NVDA nie uległa awarii, gdy ten kod stanie się niekompatybilny z nowszymi wersjami.
Zapoznaj się z poniższą listą zmian, aby uzyskać więcej informacji na ten temat oraz dowiedzieć się, w jaki sposób dodatki są teraz lepiej wersjonowane.

### Nowe funkcje

* Nowe tablice brajlowskie: afrikaans, arabski 8-punktowy komputerowy alfabet Braille'a, arabski ocena 2, hiszpański klasa 2. (#4435, #9186)
* Dodano opcję do ustawień myszy NVDA, aby NVDA obsługiwała sytuacje, w których mysz jest kontrolowana przez inną aplikację. (#8452)
 * Umożliwi to NVDA śledzenie myszy, gdy system jest sterowany zdalnie za pomocą TeamViewer lub innego oprogramowania do zdalnego sterowania.
* Dodano parametr wiersza poleceń '--enable-start-on-logon', aby umożliwić skonfigurowanie, czy ciche instalacje NVDA ustawiają NVDA tak, aby uruchamiało się przy logowaniu do systemu Windows, czy nie. Określ wartość true, aby rozpocząć logowanie, lub false, aby nie rozpoczynać się przy logowaniu. Jeśli argument --enable-start-on-logon nie jest w ogóle podany, NVDA domyślnie uruchomi się przy logowaniu, chyba że został już skonfigurowany tak, aby nie był już skonfigurowany przez poprzednią instalację. (#8574)
* Możliwe jest wyłączenie funkcji logowania NVDA poprzez ustawienie poziomu logowania na "wyłączony" w panelu ustawień ogólnych. (#8516)
* Obecność formuł w arkuszach kalkulacyjnych LibreOffice i Apache OpenOffice jest teraz zgłaszana. (#860)
* W przeglądarkach Mozilla Firefox i Google Chrome tryb przeglądania wyświetla teraz zaznaczony element w listach i drzewach.
 * Działa to w Firefoksie 66 i nowszych.
 * Nie działa to w przypadku niektórych pól listy (kontrolek wyboru HTML) w Chrome.
* Wczesne wsparcie dla aplikacji, takich jak Mozilla Firefox, na komputerach z procesorami ARM64 (np. Qualcomm Snapdragon). (#9216)
* Nowa kategoria Ustawienia zaawansowane została dodana do okna dialogowego Ustawienia NVDA, w tym opcja wypróbowania nowego wsparcia NVDA dla Microsoft Word za pośrednictwem Microsoft UI Automation API. (#9200)
* Dodano obsługę widoku graficznego w przystawce Zarządzanie dyskami systemu Windows. (#1486)
* Dodano obsługę alfabetów Braille'a Handy Tech Connect i Basic Braille 84. (#9249)

### Zmiany

* Zaktualizowano tłumacza brajlowskiego liblouis do wersji 3.8.0. (#9013)
* Autorzy dodatków mogą teraz wymusić minimalną wymaganą wersję NVDA dla swoich dodatków. NVDA odmówi instalacji lub załadowania dodatku, którego minimalna wymagana wersja NVDA jest wyższa niż bieżąca wersja NVDA. (#6275)
* Autorzy dodatków mogą teraz określić ostatnią wersję NVDA, na której dodatek został przetestowany. Jeśli dodatek został przetestowany tylko z wersją NVDA niższą niż bieżąca, NVDA odmówi instalacji lub załadowania dodatku. (#6275)
* Ta wersja NVDA pozwoli na instalację i ładowanie dodatków, które nie zawierają jeszcze informacji o minimalnej i ostatnio testowanej wersji NVDA, ale aktualizacja do przyszłych wersji NVDA (np. 2019.2) może automatycznie spowodować wyłączenie tych starszych dodatków.
* Polecenie przeniesienia myszy do obiektu nawigatora jest teraz dostępne w programie Microsoft Word, a także w kontrolkach interfejsu użytkownika, w szczególności w przeglądarce Microsoft Edge. (#7916, #8371)
* Ulepszono raportowanie tekstu pod myszą w przeglądarce Microsoft Edge i innych aplikacjach UIA. (#8370)
* Gdy NVDA jest uruchamiany z parametrem wiersza poleceń '--portable-path', podana ścieżka jest automatycznie wypełniana podczas próby utworzenia przenośnej kopii NVDA za pomocą menu NVDA. (#8623)
* Zaktualizowano ścieżkę do norweskiej tabeli brajlowskiej, aby odzwierciedlić standard z roku 2015. (#9170)
* Podczas nawigacji za pomocą akapitu (control+strzałki w górę lub w dół) lub za pomocą komórki tabeli (control+alt+strzałki), istnienie błędów ortograficznych nie będzie już ogłaszane, nawet jeśli NVDA jest skonfigurowane do ogłaszania ich automatycznie. Dzieje się tak, ponieważ akapity i komórki tabel mogą być dość duże, a wykrywanie błędów ortograficznych w niektórych aplikacjach może być bardzo kosztowne. (#9217)
* NVDA nie ładuje już automatycznie niestandardowych modułów aplikacji, globalPluginów oraz sterowników brajla i syntezatora z katalogu konfiguracyjnego użytkownika NVDA. Ten kod powinien być zamiast tego spakowany jako dodatek z poprawnymi informacjami o wersji, zapewniając, że niekompatybilny kod nie zostanie uruchomiony z aktualnymi wersjami NVDA. (#9238)
 * Dla programistów, którzy muszą testować kod w trakcie jego tworzenia, włącz katalog szkicownika NVDA w kategorii Zaawansowane ustawień NVDA i umieść swój kod w katalogu "scratchpad" znajdującym się w katalogu konfiguracji użytkownika NVDA, gdy ta opcja jest włączona.

### Poprawki błędów

* W przypadku korzystania z syntezatora mowy OneCore w systemie Windows 10 z aktualizacją z kwietnia 2018 r. i nowszych duże fragmenty ciszy nie są już wstawiane między wypowiedziami mowy. (#8985)
* Podczas przechodzenia według znaku w kontrolkach zwykłego tekstu (takich jak Notatnik) lub w trybie przeglądania, 32-bitowe znaki emoji składające się z dwóch punktów kodowych UTF-16 (takich jak 🤦 ) będą teraz odczytywane poprawnie. (#8782)
* Ulepszono okno dialogowe potwierdzenia restartu po zmianie języka interfejsu NVDA. Tekst i etykiety przycisków są teraz bardziej zwięzłe i mniej mylące. (#6416)
* Jeśli nie uda się załadować syntezatora mowy innej firmy, NVDA powróci do syntezatora mowy Windows OneCore w systemie Windows 10, a nie do espeak. (#9025)
* Usunięto wpis "Okno dialogowe powitania" w menu NVDA na bezpiecznych ekranach. (#8520)
* Podczas korzystania z Tab lub szybkiej nawigacji w trybie przeglądania legendy na panelach kart są teraz wyświetlane w bardziej spójny sposób. (#709)
* NVDA będzie teraz informować o zmianach wyboru dla niektórych selektorów czasu, takich jak w aplikacji Alarmy i Zegar w systemie Windows 10. (#5231)
* W Centrum akcji systemu Windows 10 NVDA ogłosi komunikaty o stanie podczas przełączania szybkich działań, takich jak jasność i wspomaganie ostrości. (#8954)
* W Centrum akcji w aktualizacji systemu Windows 10 z października 2018 r. i wcześniejszych, NVDA rozpozna kontrolkę szybkiej akcji jasności jako przycisk, a nie przycisk przełączania. (#8845)
* NVDA ponownie będzie śledzić kursor i informować o usuniętych znakach w programie Microsoft Excel, przechodząc do pól edycji i je znajdując. (#9042)
* Naprawiono rzadką awarię trybu przeglądania w Firefoksie. (#9152)
* NVDA nie zgłasza już błędnego zgłaszania fokusu dla niektórych kontrolek na wstążce pakietu Microsoft Office 2016 po zwinięciu.
* NVDA nie zgłasza już sugerowanego kontaktu podczas wprowadzania adresów w nowych wiadomościach w programie Outlook 2016. (#8502)
* Kilka ostatnich przywoływania kursora na 80-komórkowych monitorach eurobrajlowskich nie kieruje już kursora do pozycji na początku lub tuż po początku linii brajlowskiej. (#9160)
* Poprawiono nawigację po tabeli w widoku wątków w Mozilla Thunderbird. (#8396)
* W przeglądarkach Mozilla Firefox i Google Chrome przełączanie w tryb ostrości działa teraz poprawnie dla niektórych pól listy i drzew (gdzie pole/drzewo listy nie jest samo w sobie zogniskowane, ale jego elementy są). (#3573, #9157)
* Tryb przeglądania jest teraz poprawnie włączony domyślnie podczas czytania wiadomości w programie Outlook 2016/365, jeśli korzystasz z eksperymentalnej obsługi automatyzacji interfejsu użytkownika NVDA dla dokumentów programu Word. (#9188)
* NVDA jest teraz mniej podatny na zawieszanie się w taki sposób, że jedynym sposobem na ucieczkę jest wylogowanie się z bieżącej sesji systemu Windows. (#6291)
* W aktualizacji systemu Windows 10 z października 2018 r. i nowszych, podczas otwierania historii schowka w chmurze z pustym schowkiem, NVDA ogłosi stan schowka. (#9103)
* W aktualizacji systemu Windows 10 z października 2018 r. i nowszych, podczas wyszukiwania emotikonów w panelu emotikonów, NVDA ogłosi najlepszy wynik wyszukiwania. (#9105)
* NVDA nie zawiesza się już w głównym oknie Oracle VirtualBox 5.2 i nowszych. (#9202)
* Responsywność programu Microsoft Word podczas nawigacji po wierszu, akapicie lub komórce tabeli może zostać znacznie poprawiona w niektórych dokumentach. Przypomnienie, że aby uzyskać najlepszą wydajność, po otwarciu dokumentu należy ustawić program Microsoft Word na widok roboczy za pomocą alt+w,e. (#9217)
* W przeglądarkach Mozilla Firefox i Google Chrome puste alerty nie są już zgłaszane. (#5657)
* Znaczna poprawa wydajności podczas nawigowania po komórkach w programie Microsoft Excel, szczególnie gdy arkusz kalkulacyjny zawiera komentarze i/lub listy rozwijane walidacji. (#7348)
* Nie powinno być już konieczne wyłączanie edycji w komórce w opcjach programu Microsoft Excel, aby uzyskać dostęp do kontrolki edycji komórki za pomocą NVDA w programie Excel 2016/365. (#8146).
* Naprawiono zawieszanie się przeglądarki Firefox, które czasami pojawiało się podczas szybkiej nawigacji po punktach orientacyjnych, jeśli używany był dodatek Enhanced Aria. (#8980)

### Zmiany dla deweloperów

* NVDA można teraz budować ze wszystkimi edycjami programu Microsoft Visual Studio 2017 (nie tylko z edycją Community). (#8939)
* Możesz teraz dołączyć dane wyjściowe dziennika z liblouis do dziennika NVDA, ustawiając flagę boolean louis w sekcji debugLogging konfiguracji NVDA. (#4554)
* Autorzy dodatków mogą teraz podawać informacje o zgodności wersji NVDA w manifestach dodatków. (#6275, #9055)
 * minimumNVDAVersion: Minimalna wymagana wersja NVDA, aby dodatek działał poprawnie.
 * lastTestedNVDAVersion: Ostatnia wersja NVDA, z którą został przetestowany dodatek.
* Obiekty OffsetsTextInfo mogą teraz implementować metodę _getBoundingRectFromOffset, aby umożliwić pobieranie prostokątów ograniczających na znaki, a nie punkty. (#8572)
* Dodano właściwość boundingRect do obiektów TextInfo w celu pobrania prostokąta ograniczającego zakresu tekstu. (#8371)
* Właściwości i metody w klasach mogą być teraz oznaczone jako abstrakcyjne w NVDA. Te klasy zgłoszą błąd, jeśli zostanie utworzone wystąpienie. (#8294, #8652, #8658)
* NVDA może rejestrować czas od wprowadzenia tekstu, co pomaga w pomiarze odczuwalnej responsywności. Można to włączyć, ustawiając ustawienie timeSinceInput na True w sekcji debugLog konfiguracji NVDA. (#9167)

## 2018.4.1

To wydanie naprawia awarię podczas uruchamiania, jeśli język interfejsu użytkownika NVDA jest ustawiony na aragoński. (#9089)

## 2018.4

Najważniejsze cechy tego wydania to poprawa wydajności w najnowszych wersjach przeglądarki Mozilla Firefox, ogłoszenie emotikonów ze wszystkimi syntezatorami, raportowanie statusu odpowiedzi/przesłanych dalej w Outlooku, raportowanie odległości kursora od krawędzi strony Microsoft Word i wiele poprawek błędów.

### Nowe funkcje

* Nowe tablice brajlowskie: chiński (Chiny, mandaryński) ocena 1 i klasa 2. (#5553)
* Stan Udzielono odpowiedzi / Przesłano dalej jest teraz raportowany dla elementów poczty na liście wiadomości programu Microsoft Outlook. (#6911)
* NVDA jest teraz w stanie odczytywać opisy emoji, a także innych znaków, które są częścią repozytorium danych Unicode Common Locale Data Repository. (#6523)
* W programie Microsoft Word odległość kursora od górnej i lewej krawędzi strony można podać, naciskając NVDA+numpadDelete. (#1939)
* W Arkuszach Google z włączonym trybem brajla NVDA nie ogłasza już "wybrane" w każdej komórce podczas przenoszenia fokusu między komórkami. (#8879)
* Dodano obsługę programów Foxit Reader i Foxit Phantom PDF. (#8944)
* Dodano obsługę narzędzia bazy danych DBeaver. (#8905)

### Zmiany

* Nazwa "Dymki pomocy raportu" w oknie dialogowym Prezentacje obiektów została zmieniona na "Powiadomienia raportu", aby uwzględnić raportowanie wyskakujących powiadomień w systemie Windows 8 i nowszych. (#5789)
* W ustawieniach klawiatury NVDA, pola wyboru do włączania lub wyłączania modyfikujących NVDA są teraz wyświetlane na liście, a nie jako osobne pola wyboru.
* NVDA nie będzie już wyświetlać nadmiarowych informacji podczas odczytywania zasobnika systemowego zegara w niektórych wersjach systemu Windows. (#4364)
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji 3.7.0. (#8697)
* Zaktualizowano eSpeak-NG w celu zatwierdzenia 919f3240cbb.

### Poprawki błędów

* W programie Outlook 2016/365 kategoria i stan flagi są raportowane dla wiadomości. (#8603)
* Gdy NVDA jest ustawione na języki takie jak kirgiski, mongolski lub macedoński, nie wyświetla już okna dialogowego podczas uruchamiania z ostrzeżeniem, że język nie jest obsługiwany przez system operacyjny. (#8064)
* Przesunięcie myszy na obiekt nawigatora spowoduje teraz znacznie dokładniejsze przesunięcie myszy do pozycji trybu przeglądania w przeglądarkach Mozilla Firefox, Google Chrome i Acrobat Reader DC. (#6460)
* Ulepszono interakcję z polami kombi w Internecie w przeglądarkach Firefox, Chrome i Internet Explorer. (#8664)
* Jeśli działa na japońskiej wersji systemu Windows XP lub Vista, NVDA wyświetla teraz komunikat o wymaganiach dotyczących wersji systemu operacyjnego zgodnie z oczekiwaniami. (#8771)
* Poprawiono wydajność podczas nawigacji po dużych stronach z wieloma dynamicznymi zmianami w przeglądarce Mozilla Firefox. (#8678)
* W alfabecie Braille'a atrybuty czcionki nie są już wyświetlane, jeśli zostały one wyłączone w ustawieniach formatowania dokumentu. (#7615)
* NVDA nie zawodzi już w śledzeniu fokusu w Eksploratorze plików i innych aplikacjach korzystających z automatyzacji interfejsu użytkownika, gdy inna aplikacja jest zajęta (np. przetwarzanie wsadowe dźwięku). (#7345)
* W menu ARIA w Internecie Escape będzie teraz przekazywany do menu i nie będzie już bezwarunkowo wyłączał trybu ostrości. (#3215)
* W nowym interfejsie internetowym Gmaila, podczas korzystania z szybkiej nawigacji w wiadomościach podczas ich czytania, cała treść wiadomości nie jest już raportowana po elemencie, do którego właśnie przeszedłeś. (#8887)
* Po zaktualizowaniu NVDA przeglądarki takie jak Firefox i Google Chrome nie powinny się już zawieszać, a tryb przeglądania powinien nadal poprawnie odzwierciedlać aktualizacje wszystkich aktualnie załadowanych dokumentów. (#7641)
* NVDA nie zgłasza już klikania wiele razy z rzędu podczas nawigowania po klikalnej zawartości w trybie przeglądania. (#7430)
* Gesty wykonywane na monitorach brajlowskich baum Vario 40 nie będą już przerywać się wykonywaniu. (#8894)
* W Google Slides z Mozilla Firefox NVDA nie raportuje już zaznaczonego tekstu w każdym formancie, na którym znajduje się fokus. (#8964)

### Zmiany dla deweloperów

* gui.nvdaControls zawiera teraz dwie klasy do tworzenia list z ułatwieniami dostępu z polami wyboru. (#7325)
 * CustomCheckListBox jest dostępną podklasą wx. Pole wyboru.
 * AutoWidthColumnCheckListCtrl dodaje dostępne pola wyboru do AutoWidthColumnListCtrl, który sam jest oparty na wx. ListCtrl.
* Jeśli chcesz udostępnić widżet wx, który jeszcze tego nie zrobił, możesz to zrobić za pomocą instancji gui.accPropServer.IAccPropServer_impl. (#7491)
 * Aby uzyskać więcej informacji, zobacz implementację gui.nvdaControls.ListCtrlAccPropServer.
* Zaktualizowano configobj do wersji 5.1.0dev commit 5b5de48a. (#4470)
* Akcja config.post_configProfileSwitch przyjmuje teraz opcjonalny argument słowa kluczowego prevConf, co pozwala programom obsługi na podejmowanie działań na podstawie różnic między konfiguracją przed i po przełączeniu profilu. (#8758)

## 2018.3.2

Jest to drobna wersja, która ma na celu obejście awarii przeglądarki Google Chrome podczas nawigowania po tweettach w systemie [www.twitter.com](http://www.twitter.com). (#8777)

## 2018.3.1

Jest to drobne wydanie mające na celu naprawienie krytycznego błędu w NVDA, który powodował awarię 32-bitowych wersji przeglądarki Mozilla Firefox. (#8759)

## 2018.3

Najważniejsze cechy tej wersji to automatyczne wykrywanie wielu monitorów brajlowskich, obsługa nowych funkcji systemu Windows 10, w tym panelu wprowadzania emotikonów systemu Windows 10, oraz wiele innych poprawek błędów.

### Nowe funkcje

* NVDA będzie zgłaszać błędy gramatyczne, gdy zostaną odpowiednio ujawnione przez strony internetowe w przeglądarkach Mozilla Firefox i Google Chrome. (#8280)
* Treści oznaczone jako wstawione lub usunięte na stronach internetowych są teraz zgłaszane w przeglądarce Google Chrome. (#8558)
* Dodano obsługę BrailleNote QT i kółka przewijania Apex BT, gdy BrailleNote jest używany jako monitor brajlowski z NVDA. (#5992, #5993)
* Dodano skrypty do raportowania upływającego czasu i całkowitego czasu bieżącej ścieżki w Foobar2000. (#6596)
* Symbol poleceń Maca (⌘) jest teraz odczytywany podczas czytania tekstu za pomocą dowolnego syntezatora. (#8366)
* Niestandardowe role za pomocą atrybutu aria-roledescription są teraz obsługiwane we wszystkich przeglądarkach internetowych. (#8448)
* Nowe tablice brajlowskie: czeski 8 punktów, środkowokurdyjski, esperanto, węgierski, szwedzki 8-punktowy komputerowy brajl braille'a. (#8226, #8437)
* Dodano obsługę automatycznego wykrywania monitorów brajlowskich w tle. (#1271)
 * Obecnie obsługiwane są monitory ALVA, Baum/HumanWare/APH/Orbit, Eurobraille, Handy Tech, Hims, SuperBraille i HumanWare BrailleNote oraz Brailliant BI/B.
 * Możesz włączyć tę funkcję, wybierając opcję automatyczną z listy monitorów brajlowskich w oknie dialogowym wyboru monitora brajlowskiego NVDA.
 * Aby uzyskać dodatkowe informacje, zapoznaj się z dokumentacją.
* Dodano obsługę różnych nowoczesnych funkcji wprowadzania danych wprowadzonych w najnowszych wersjach systemu Windows 10. Należą do nich panel emoji (Fall Creators Update), dyktowanie (Fall Creators Update), sugestie wprowadzania danych z klawiatury sprzętowej (aktualizacja z kwietnia 2018 r.) i wklejanie schowka w chmurze (aktualizacja z października 2018 r.). (#7273)
* Treść oznaczona jako cytat blokowy za pomocą ARIA (role blockquote) jest teraz obsługiwana w przeglądarce Mozilla Firefox 63. (#8577)

### Zmiany

* Lista dostępnych języków w Ustawieniach Ogólnych NVDA jest teraz sortowana na podstawie nazw języków, a nie kodów ISO 639. (#7284)
* Dodano domyślne gesty dla Alt+Shift+Tab i Windows+Tab dla wszystkich obsługiwanych monitorów brajlowskich Freedom Scientific. (#7387)
* W przypadku wyświetlaczy ALVA BC680 i konwerterów protokołów możliwe jest teraz przypisanie różnych funkcji do lewego i prawego inteligentnego pada, kciuka i eTouch. (#8230)
* W przypadku wyświetlaczy ALVA BC6 kombinacja sp2+sp3 będzie teraz ogłaszać aktualną datę i godzinę, podczas gdy sp1+sp2 emuluje Windows. (#8230)
* Użytkownik jest pytany raz po uruchomieniu NVDA, czy jest zadowolony z wysyłania statystyk użytkowania do NV Access podczas sprawdzania dostępności aktualizacji NVDA. (#8217)
* Podczas sprawdzania dostępności aktualizacji, jeśli użytkownik wyraził zgodę na wysyłanie statystyk użycia do NV Access, NVDA wyśle teraz nazwę aktualnie używanego sterownika syntezatora i monitora brajlowskiego, aby pomóc w lepszym ustaleniu priorytetów dla przyszłych prac nad tymi sterownikami. (#8217)
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji 3.6.0. (#8365)
* Zaktualizowano ścieżkę do poprawnej rosyjskiej tabeli brajlowskiej z ośmioma kropkami. (#8446)
* Zaktualizowano eSpeak-ng do wersji 1.49.3dev commit 910f4c2. (#8561)

### Poprawki błędów

* Etykiety z ułatwieniami dostępu dla kontrolek w przeglądarce Google Chrome są teraz łatwiej zgłaszane w trybie przeglądania, gdy etykieta sama w sobie nie jest wyświetlana. (#4773)
* Powiadomienia są teraz obsługiwane w Zoom. Obejmuje to na przykład stan wyciszenia/wyłączenia wyciszenia i wiadomości przychodzące. (#7754)
* Przełączenie prezentacji kontekstu brajlowskiego w trybie przeglądania nie powoduje już, że wyjście brajlowskie przestaje podążać za kursorem w trybie przeglądania. (#7741)
* Monitory brajlowskie ALVA BC680 nie mają już sporadycznych problemów z inicjalizacją. (#8106)
* Domyślnie wyświetlacze ALVA BC6 nie będą już wykonywać emulowanych klawiatury systemowej po naciśnięciu kombinacji obejmujących sp2+sp3 w celu uruchomienia funkcji wewnętrznej. (#8230)
* Naciśnięcie sp2 na wyświetlaczu ALVA BC6 w celu emulacji alt działa teraz zgodnie z reklamą. (#8360)
* NVDA nie ogłasza już nadmiarowych zmian w układzie klawiatury. (#7383, #8419)
* Śledzenie myszy jest teraz znacznie dokładniejsze w Notatniku i innych kontrolkach edycji zwykłego tekstu, gdy znajduje się w dokumencie zawierającym więcej niż 65535 znaków. (#8397)
* NVDA rozpozna więcej okien dialogowych w systemie Windows 10 i innych nowoczesnych aplikacjach. (#8405)
* W systemie Windows 10 z października 2018 r. oraz Server 2019 i nowszych NVDA nie zawodzi już w śledzeniu fokusu systemu, gdy aplikacja zawiesza się lub zalewa system zdarzeniami. (#7345, #8535)
* Użytkownicy są teraz informowani o próbie odczytania lub skopiowania pustego paska stanu. (#7789)
* Rozwiązano problem polegający na tym, że stan "niesprawdzony" w kontrolkach nie jest zgłaszany w mowie, jeśli kontrolka została wcześniej sprawdzona w połowie. (#6946)
* Na liście języków w Ustawieniach Ogólnych NVDA, nazwa języka birmańskiego jest wyświetlana poprawnie w systemie Windows 7. (#8544)
* W Microsoft Edge NVDA ogłosi powiadomienia, takie jak dostępność widoku do odczytu i postęp ładowania strony. (#8423)
* Podczas przechodzenia do listy w sieci, NVDA będzie teraz zgłaszać jej etykietę, jeśli autor strony ją podał. (#7652)
* Podczas ręcznego przypisywania funkcji do gestów na konkretnym monitorze brajlowskim, gesty te są teraz zawsze wyświetlane jako przypisane do tego monitora. Wcześniej były one wyświetlane tak, jakby były przypisane do aktualnie aktywnego ekranu. (#8108)
* Obsługiwana jest teraz 64-bitowa wersja programu Media Player Classic. (#6066)
* Kilka ulepszeń obsługi alfabetu Braille'a w programie Microsoft Word z włączoną automatyzacją interfejsu użytkownika:
 * Podobnie jak w przypadku innych wielowierszowych pól tekstowych, po umieszczeniu na początku dokumentu w alfabecie Braille'a ekran jest teraz przesuwany w taki sposób, że pierwszy znak dokumentu znajduje się na początku ekranu. (#8406)
 * Zmniejszono zbyt szczegółową prezentację fokusu zarówno w mowie, jak i alfabecie Braille'a podczas koncentracji fokusu na dokumencie programu Word. (#8407)
 * Routing kursora w alfabecie Braille'a działa teraz poprawnie na liście w dokumencie programu Word. (#7971)
 * Nowo wstawione punktory/numery w dokumencie programu Word są poprawnie zgłaszane zarówno w mowie, jak i w alfabecie Braille'a. (#7970)
* W systemie Windows 10 1803 i nowszych można teraz instalować dodatki, jeśli włączona jest funkcja "Użyj Unicode UTF-8 do obsługi języków na całym świecie". (#8599)
* NVDA nie będzie już sprawiać, że iTunes 12.9 i nowsze będą całkowicie bezużyteczne do interakcji. (#8744)

### Zmiany dla deweloperów

* Dodano scriptHandler.script, który może funkcjonować jako dekorator skryptów na obiektach skryptowalnych. (#6266)
* Wprowadzono ramy testowania systemu dla NVDA. (#708)
* Wprowadzono pewne zmiany w module hwPortUtils: (#1271)
 * listUsbDevices zwraca teraz słowniki z informacjami o urządzeniu, w tym hardwareID i devicePath.
 * Słowniki dostarczane przez listComPorts zawierają teraz również wpis usbID dla portów COM z informacjami USB VID/PID w ich identyfikatorze sprzętowym.
* Zaktualizowano wxPython do wersji 4.0.3. (#7077)
* Ponieważ NVDA obsługuje teraz tylko Windows 7 SP1 i nowsze, klucz "minWindowsVersion" używany do sprawdzania, czy UIA powinien być włączony dla określonej wersji systemu Windows, został usunięty. (#8422)
* Możesz teraz zarejestrować się, aby otrzymywać powiadomienia o akcjach zapisywania/resetowania konfiguracji za pośrednictwem nowych akcji config.pre_configSave, config.post_configSave, config.pre_configReset i config.post_configReset. (#7598)
 * config.pre_configSave jest używany do powiadamiania, gdy konfiguracja NVDA ma zostać zapisana, a config.post_configSave jest wywoływany po zapisaniu konfiguracji.
 * config.pre_configReset i config.post_configReset zawiera flagę ustawień fabrycznych, która określa, czy ustawienia mają być ponownie ładowane z dysku (false), czy resetowane do domyślnych (true).
* Nazwa config.configProfileSwitch została zmieniona na config.post_configProfileSwitch, aby odzwierciedlić fakt, że ta akcja jest wywoływana po przełączeniu profilu. (#7598)
* Interfejsy automatyzacji interfejsu użytkownika zaktualizowane do aktualizacji systemu Windows 10 z października 2018 r. i serwera 2019 (IUIAutomation6 / IUIAutomationElement9). (#8473)

## 2018.2.1

To wydanie zawiera aktualizacje tłumaczeń spowodowane usunięciem w ostatniej chwili funkcji, która powodowała problemy.

## 2018.2

Najważniejsze cechy tego wydania to obsługa tabel w Kindle dla komputerów PC, obsługa monitorów brajlowskich HumanWare BrailleNote Touch i BI14, ulepszenia syntezatorów mowy Onecore i Sapi5, ulepszenia w programie Microsoft Outlook i wiele innych.

### Nowe funkcje

* Rozpiętość wierszy i kolumn dla komórek tabeli jest teraz podawana w mowie i alfabecie Braille'a. (#2642)
* Polecenia nawigacji po tabelach NVDA są teraz obsługiwane w Google Docs (z włączonym trybem Braille'a). (#7946)
* Dodano możliwość czytania i nawigowania po tabelach w Kindle na PC. (#7977)
* Obsługa monitorów brajlowskich HumanWare BrailleNote touch i Brailliant BI 14 zarówno przez USB, jak i Bluetooth. (#6524)
* W systemie Windows 10 Fall Creators Update i nowszych NVDA może ogłaszać powiadomienia z aplikacji takich jak Kalkulator i Windows Store. (#7984)
* Nowe tabele tłumaczeń brajlowskich: litewski 8 punktów, ukraiński, mongolski klasa 2. (#7839)
* Dodano skrypt do raportowania informacji o formatowaniu tekstu w określonej komórce brajlowskiej. (#7106)
* Podczas aktualizacji NVDA możliwe jest teraz odłożenie instalacji aktualizacji na późniejszy moment. (#4263)
* Nowe języki: mongolski, szwajcarski niemiecki.
* Możesz teraz przełączać się między Control, Shift, Alt, Windows i NVDA za pomocą klawiatury brajlowskiej i łączyć te modyfikatory z wprowadzaniem brajlowskim (np. naciśnij control+s). (#7306)
 * Te nowe przełączniki modyfikatorów można przypisać za pomocą poleceń znajdujących się w sekcji Emulowane klawiatury systemowej w oknie dialogowym Gesty wprowadzania.
* Przywrócono obsługę wyświetlaczy Handy Tech Braillino i Modular (ze starym oprogramowaniem). (#8016)
* Data i godzina dla obsługiwanych urządzeń Handy Tech (takich jak Active Braille i Active Star) będą teraz automatycznie synchronizowane przez NVDA, gdy brak synchronizacji będzie trwały dłużej niż pięć sekund. (#8016)
* Można przypisać gest wejściowy, aby tymczasowo wyłączyć wszystkie wyzwalacze profilu konfiguracji. (#4935)

### Zmiany

* Kolumna stanu w menedżerze dodatków została zmieniona, aby wskazać, czy dodatek jest włączony czy wyłączony, a nie uruchomiony lub zawieszony. (#7929)
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji 3.5.0. (#7839)
* Nazwa litewskiej tablicy brajlowskiej została zmieniona na litewską z 6 kropkami, aby uniknąć pomyłek z nową tabelą z 8 kropkami. (#7839)
* Francuskie (Kanada) tabele oceny 1 i klasy 2 zostały usunięte. Zamiast tego zostaną użyte odpowiednio francuskie (ujednolicone) 6-punktowe tabele komputerowe w alfabecie Braille'a i Grade 2. (#7839)
* Dodatkowe przyciski przywoływania w monitorach brajlowskich Alva BC6, EuroBraille i Papenmeier teraz informują o formatowaniu tekstu pod komórką brajlowską tego przycisku. (#7106)
* Tabele brajlowskie z kontrakcjami automatycznie powrócą do trybu bez kontrakcji w przypadkach nieedytowalnych (np. kontrolki, w których nie ma kursora lub w trybie przeglądania). (#7306)
* NVDA jest teraz mniej szczegółowy, gdy termin lub przedział czasowy w kalendarzu Outlooka obejmuje cały dzień. (#7949)
* Wszystkie preferencje NVDA można teraz znaleźć w jednym oknie ustawień w menu NVDA -> Preferencje -> Ustawienia, zamiast rozsiane po wielu oknach dialogowych. (#577)
* Domyślny syntezator mowy podczas działania w systemie Windows 10 to teraz jedenPodstawowa mowa zamiast eSpeak. (#8176)

### Poprawki błędów

* NVDA nie czyta już aktywnych elementów sterujących na ekranie logowania do konta Microsoft w Ustawieniach po wprowadzeniu adresu e-mail. (#7997)
* NVDA nie czyta już strony po powrocie do poprzedniej strony w Microsoft Edge. (#7997)
* NVDA nie będzie już nieprawidłowo ogłaszać końcowego znaku kodu PIN logowania do systemu Windows 10 podczas odblokowywania komputera. (#7908)
* Etykiety pól wyboru i przycisków radiowych w przeglądarkach Chrome i Firefox nie są już zgłaszane dwukrotnie podczas wciskania Tab lub korzystania z szybkiej nawigacji w trybie przeglądania. (#7960)
* aria-current o wartości false zostanie ogłoszona jako "false" zamiast "true". (#7892).
* Funkcja Głosy OneCore systemu Windows nie ładuje się już, jeśli skonfigurowany głos został odinstalowany. (#7553)
* Zmiana głosów w Windows OneCore Voices jest teraz znacznie szybsza. (#7999)
* Poprawiono zniekształcone dane wyjściowe brajla dla kilku tabel brajlowskich, w tym wielkie znaki w duńskim brajlu z 8 kropkami. (#7526, #7693)
* NVDA może teraz zgłaszać więcej typów punktorów w programie Microsoft Word. (#6778)
* Naciśnięcie skryptu formatowania raportu nie powoduje już niepoprawnego przesuwania elementu reviewPosition, a zatem wielokrotne naciśnięcie go nie daje już różnych wyników. (#7869)
* Wprowadzanie brajlem nie pozwala już na używanie brajla z kontrakcjami w przypadkach, gdy nie jest on obsługiwany (np. całe słowa nie będą już wysyłane do systemu poza treścią tekstową i w trybie przeglądania). (#7306)
* Rozwiązano problemy ze stabilnością połączenia dla monitorów Braille'a Handy Tech Easy i Braille Wave. (#8016)
* W systemie Windows 8 i nowszych, NVDA nie będzie już informować o "nieznanym" po otwarciu menu szybkiego łącza (Windows + X) i wybraniu pozycji z tego menu. (#8137)
* Specyficzne dla modelu gesty do przycisków na wyświetlaczach Hims działają teraz zgodnie z reklamą w podręczniku użytkownika. (#8096)
* NVDA będzie teraz próbowało rozwiązać problemy z rejestracją COM systemu, powodując, że programy takie jak Firefox i Internet Explorer stają się niedostępne i zgłaszają "Nieznany" przez NVDA. (#2807)
* Usunięto błąd w Menedżerze zadań, który powodował, że NVDA nie pozwalała użytkownikom na dostęp do zawartości określonych szczegółów dotyczących procesów. (#8147)
* Nowsze głosy Microsoft SAPI5 nie powodują już opóźnień na końcu mowy, dzięki czemu nawigacja za pomocą tych głosów jest znacznie bardziej wydajna. (#8174)
* NVDA nie raportuje już (znaczników LTR i RTL) w alfabecie Braille'a ani mowy na znak podczas uzyskiwania dostępu do zegara w najnowszych wersjach systemu Windows. (#5729)
* Wykrywanie przewijania na wyświetlaczach Hims Smart Beetle po raz kolejny nie jest już zawodne. (#6086)
* W niektórych kontrolkach tekstowych, szczególnie w aplikacjach Delphi, informacje o edycji i nawigacji są teraz znacznie bardziej niezawodne. (#636, #8102)
* W systemie Windows 10 RS5 NVDA nie zgłasza już dodatkowych nadmiarowych informacji podczas przełączania zadań za pomocą alt+tab. (#8258)

### Zmiany dla deweloperów

* Informacje dla programistów dla obiektów UIA zawierają teraz listę dostępnych wzorców UIA. (#5712)
* Moduły aplikacji mogą teraz wymusić na niektórych oknach, aby zawsze korzystały z UIA, implementując metodę isGoodUIAWindow. (#7961)
* Ukryta flaga logiczna "outputPass1Only" w sekcji brajlowskiej konfiguracji została ponownie usunięta. Liblouis nie obsługuje już danych wyjściowych tylko z przepustką 1. (#7839)

## 2018.1.1

Jest to specjalna wersja NVDA, która usuwa błąd w sterowniku syntezatora mowy Onecore Windows Speech, który powodował, że mówił on z wyższym tonem i szybkością w systemie Windows 10 Redstone 4 (1803). (#8082)

## 2018.1

Najważniejsze cechy tego wydania to obsługa wykresów w programach Microsoft Word i PowerPoint, obsługa nowych monitorów brajlowskich, w tym Eurobraille i konwerter protokołu Optelec, ulepszona obsługa monitorów brajlowskich Hims i Optelec, poprawa wydajności przeglądarki Mozilla Firefox 58 i nowszych oraz wiele innych.

### Nowe funkcje

* Teraz możliwa jest interakcja z wykresami w programach Microsoft Word i Microsoft PowerPoint, podobnie jak w przypadku istniejącej obsługi wykresów w programie Microsoft Excel. (#7046)
 * W programie Microsoft Word: W trybie przeglądania przesuń kursor na osadzony wykres i naciśnij Enter, aby wejść z nim w interakcję.
 * W programie Microsoft PowerPoint podczas edytowania slajdu: przejdź Tab do obiektu wykresu i naciśnij Enter lub spację, aby wejść w interakcję z wykresem.
 * Aby zatrzymać interakcję z wykresem, naciśnij Escape.
* Nowy język: kirgiski.
* Dodano obsługę półki na książki VitalSource. (#7155)
* Dodano obsługę konwertera protokołu Optelec, urządzenia pozwalającego na korzystanie z monitorów Braille Voyager i Satellite za pomocą protokołu komunikacyjnego ALVA BC6. (#6731)
* Teraz możliwe jest korzystanie z wejścia brajlowskiego z monitorem brajlowskim ALVA 640 Comfort. (#7733)
 * Funkcja wprowadzania brajlowskiego NVDA może być używana z tymi, jak również innymi monitorami BC6 z oprogramowaniem układowym 3.0.0 i nowszym.
* Wczesne wsparcie dla Arkuszy Google z włączonym trybem Braille'a. (#7935)
* Obsługa monitorów brajlowskich Eurobraille Esys, Esytime i Iris. (#7488)

### Zmiany

* Sterowniki monitorów brajlowskich HIMS Braille Sense/Braille EDGE/Smart Beetle i Hims Sync zostały zastąpione jednym sterownikiem. Nowy sterownik zostanie automatycznie aktywowany dla byłych użytkowników sterownika syncBraille. (#7459)
 * Niektóre, w szczególności przewijania, zostały ponownie przypisane, aby były zgodne z konwencjami używanymi przez produkty Hims. Zapoznaj się z instrukcją obsługi, aby uzyskać więcej informacji.
* Podczas pisania za pomocą klawiatury ekranowej za pomocą interakcji dotykowej domyślnie musisz teraz dwukrotnie nacisnąć każdy w taki sam sposób, w jaki aktywujesz każdy inny element sterujący. (#7309)
 * Aby skorzystać z istniejącego trybu "pisania dotykowego", w którym wystarczy oderwać palec od, aby go aktywować, włącz tę opcję w nowym oknie dialogowym ustawień interakcji dotykowej, które znajduje się w menu Preferencje.
* Nie jest już konieczne wyraźne wiązanie brajla w celu skupienia lub przeglądania, ponieważ domyślnie dzieje się to automatycznie. (#2385)
 * Należy pamiętać, że automatyczne tethering z recenzją będzie miał miejsce tylko w przypadku korzystania z kursora recenzji lub polecenia nawigacji po obiektach. Przewijanie nie aktywuje tego nowego zachowania.

### Poprawki błędów

* Komunikaty, które można przeglądać, takie jak wyświetlanie bieżącego formatowania po dwukrotnym szybkim naciśnięciu NVDA+f, nie kończą się już niepowodzeniem, gdy NVDA jest zainstalowany na ścieżce ze znakami spoza ASCII. (#7474)
* Fokus jest teraz ponownie poprawnie przywracany po powrocie do Spotify z innej aplikacji. (#7689)
* W aktualizacji Windows 10 Fall Creaters Update NVDA nie aktualizuje się już, gdy kontrolowany dostęp do folderów jest włączony z Windows Defender Security Center. (#7696)
* Wykrywanie przewijania na wyświetlaczach Hims Smart Beetle nie jest już zawodne. (#6086)
* Nieznaczna poprawa wydajności podczas renderowania dużych ilości treści w przeglądarce Mozilla Firefox 58 i nowszych. (#7719)
* W programie Microsoft Outlook czytanie wiadomości e-mail zawierających tabele nie powoduje już błędów. (#6827)
* Gesty monitora brajlowskiego, które emulują modyfikatory klawiatury systemowej, mogą być teraz łączone z innymi emulowanymi klawiatury systemowej, jeśli jeden lub więcej z nich jest specyficznych dla modelu. (#7783)
* W przeglądarce Mozilla Firefox tryb przeglądania działa teraz poprawnie w wyskakujących okienkach utworzonych przez rozszerzenia takie jak LastPass i bitwarden. (#7809)
* NVDA nie zawiesza się już czasami przy każdej zmianie fokusu, jeśli Firefox lub Chrome przestały odpowiadać, na przykład z powodu zawieszenia lub awarii. (#7818)
* W klientach Twittera, takich jak Chicken Nugget, NVDA nie będzie już ignorować ostatnich 20 znaków z 280-znakowych tweetów podczas ich czytania. (#7828)
* NVDA używa teraz poprawnego języka podczas ogłaszania symboli, gdy zaznaczony jest tekst. (#7687)
* W najnowszych wersjach usługi Office 365 ponownie możliwe jest poruszanie się po wykresach programu Excel za pomocą strzałek. (#7046)
* W przypadku mowy i wyjścia brajlowskiego stany kontrolne będą teraz zawsze podawane w tej samej kolejności, niezależnie od tego, czy są dodatnie, czy negatywne. (#7076)
* W aplikacjach takich jak Windows 10 Mail, NVDA nie będzie już zawodzić w ogłaszaniu usuniętych znaków po naciśnięciu Backspace. (#7456)
* Wszystkie w monitorach Hims Braille Sense Polaris działają teraz zgodnie z oczekiwaniami. (#7865)
* NVDA nie uruchamia się już w systemie Windows 7, skarżąc się na wewnętrzną bibliotekę dll api-ms, gdy określona wersja pakietów redystrybucyjnych Visual Studio 2017 została zainstalowana przez inną aplikację. (#7975)

### Zmiany dla deweloperów

* Dodano ukrytą flagę logiczną do sekcji brajlowskiej w konfiguracji: "outputPass1Only". (#7301, #7693, #7702)
 * Ta flaga ma wartość domyślną true. Jeśli wartość jest fałszywa, do wyprowadzania alfabetu Braille'a zostaną użyte reguły wieloprzebiegowe liblouis.
* Nowy słownik (brajl. RENAMED_DRIVERS) został dodany, aby umożliwić płynne przejście dla użytkowników korzystających ze sterowników, które zostały zastąpione przez inne. (#7459)
* Zaktualizowano pakiet comtypes do wersji 1.1.3. (#7831)
* Zaimplementowano ogólny system w alfabecie Braille'a. BrailleDisplayDriver do obsługi monitorów, które wysyłają pakiety potwierdzenia/potwierdzenia. Zobacz sterownik monitora brajlowskiego handyTech jako przykład. (#7590, #7721)
* Nowa zmienna "isAppX" w module konfiguracyjnym może być używana do wykrywania, czy NVDA jest uruchomiona jako aplikacja Windows Desktop Bridge Store. (#7851)
* W przypadku implementacji dokumentów, takich jak NVDAObjects lub browseMode, które mają textInfo, istnieje teraz nowa klasa documentBase.documentWithTableNavigation, z której można dziedziczyć w celu uzyskania standardowych skryptów nawigacji po tabelach. Zapoznaj się z tą klasą, aby zobaczyć, które metody pomocnicze muszą być dostarczone przez implementację, aby nawigacja po tabelach działała. (#7849)
* Plik wsadowy scons radzi sobie teraz lepiej, gdy zainstalowany jest również Python 3, wykorzystując program uruchamiający do uruchamiania Pythona 2.7 32-bitowego. (#7541)
* hwIo.Hid pobiera teraz dodatkowy parametr wyłączny, który domyślnie ma wartość True. Jeśli ustawiona jest wartość False, inne aplikacje mogą komunikować się z urządzeniem, gdy jest ono podłączone do NVDA. (#7859)

## 2017.4

Najważniejsze cechy tej wersji obejmują wiele poprawek i ulepszeń obsługi sieci Web, w tym domyślny tryb przeglądania dla okien dialogowych sieci Web, lepsze raportowanie etykiet grup pól w trybie przeglądania, obsługę nowych technologii systemu Windows 10, takich jak Windows Defender Application Guard i Windows 10 na ARM64 oraz automatyczne raportowanie orientacji ekranu i stanu baterii.
Należy pamiętać, że ta wersja NVDA nie obsługuje już systemu Windows XP ani Windows Vista. Minimalnym wymaganiem dla NVDA jest teraz Windows 7 z dodatkiem Service Pack 1.

### Nowe funkcje

* W trybie przeglądania można teraz przeskakiwać obok/do początku punktów orientacyjnych za pomocą poleceń przeskocz do końca/początku kontenera (przecinek/shift+przecinek). (#5482)
* W przeglądarkach Firefox, Chrome i Internet Explorer szybka nawigacja do edycji pól i pól formularzy obejmuje teraz edytowalną zawartość tekstu sformatowanego (tj. contentEditable). (#5534)
* W przeglądarkach internetowych Lista elementów może teraz zawierać listę pól formularzy i przycisków. (#588)
* Początkowa obsługa systemu Windows 10 w architekturze ARM64. (#7508)
* Wczesne wsparcie dla czytania i interaktywnej nawigacji po zawartości matematycznej dla książek Kindle z ułatwieniami dostępu do matematyki. (#7536)
* Dodano obsługę czytnika e-booków Azardi. (#5848)
* Informacje o wersji dodatków są teraz raportowane podczas aktualizacji. (#5324)
* Dodano nowe parametry wiersza poleceń, aby utworzyć przenośną kopię NVDA. (#6329)
* Obsługa przeglądarki Microsoft Edge działającej w ramach funkcji Windows Defender Application Guard w aktualizacji Windows 10 Fall Creators Update. (#7600)
* Jeśli działa na laptopie lub tablecie, NVDA będzie teraz raportować, kiedy ładowarka jest podłączona/odłączona i kiedy zmieni się orientacja ekranu. (#4574, #4612)
* Nowy język: macedoński.
* Nowe tabele tłumaczeń brajlowskich: chorwacki 1., wietnamski 1. (#7518, #7565)
* Dodano obsługę monitora brajlowskiego Actilino firmy Handy Tech. (#7590)
* Obsługiwane jest teraz wprowadzanie brajlowskie dla monitorów brajlowskich Handy Tech. (#7590)

### Zmiany

* Minimalnym obsługiwanym systemem operacyjnym dla NVDA jest teraz Windows 7 Service Pack 1 lub Windows Server 2008 R2 Service Pack 1. (#7546)
* Okna dialogowe w przeglądarkach Firefox i Chrome teraz automatycznie korzystają z trybu przeglądania, chyba że znajdują się w aplikacji internetowej. (#4493)
* W trybie przeglądania wciskanie Tab i przechodzenie za pomocą poleceń szybkiej nawigacji nie informuje już o wyskakiwaniu z kontenerów, takich jak listy i tabele, co sprawia, że nawigacja jest bardziej wydajna. (#2591)
* W trybie przeglądania w przeglądarkach Firefox i Chrome nazwy grup pól formularzy są teraz ogłaszane podczas przechodzenia do nich za pomocą szybkiej nawigacji lub podczas korzystania z Tab. (#3321)
* W trybie przeglądania polecenie szybkiej nawigacji dla obiektów osadzonych (o i shift+o) zawiera teraz elementy audio i wideo, a także elementy z aplikacją ról arii i oknem dialogowym. (#7239)
* Espeak-ng został zaktualizowany do wersji 1.49.2, rozwiązując niektóre problemy z tworzeniem kompilacji wydań. (#7385, #7583)
* Przy trzeciej aktywacji polecenia 'odczyt paska stanu' jego zawartość jest kopiowana do schowka. (#1785)
* Przypisując gesty do na monitorze Baum, można je ograniczyć do modelu używanego monitora brajlowskiego (np. VarioUltra lub Pronto). (#7517)
* Skrót klawiszowy dla pola filtru na liście elementów w trybie przeglądania został zmieniony z alt+f na alt+e. (#7569)
* Dodano niepowiązane polecenie dla trybu przeglądania, aby przełączać dołączanie tabel układu w locie. To polecenie można znaleźć w kategorii Tryb przeglądania w oknie dialogowym Gesty wprowadzania. (#7634)
* Zaktualizowano translator brajlowski liblouis do wersji 3.3.0. (#7565)
* Skrót klawiszowy przycisku radiowego wyrażenia regularnego w oknie dialogowym słownika został zmieniony z alt+r na alt+e. (#6782)
* Pliki słowników głosowych są teraz wersjonowane i zostały przeniesione do katalogu "speechDicts/voiceDicts.v1". (#7592)
* Modyfikacje wersjonowanych plików (konfiguracja użytkownika, słowniki głosowe) nie są już zapisywane, gdy NVDA jest uruchamiany z programu uruchamiającego. (#7688)
* Monitory brajlowskie Braillino, Bookworm i Modular (ze starym oprogramowaniem) firmy Handy Tech nie są już obsługiwane po wyjęciu z pudełka. Zainstaluj uniwersalny sterownik Handy Tech i dodatek NVDA, aby korzystać z tych wyświetlaczy. (#7590)

### Poprawki błędów

* Łącza są teraz oznaczone alfabetem Braille'a w aplikacjach takich jak Microsoft Word. (#6780)
* NVDA nie staje się już zauważalnie wolniejsza, gdy otwartych jest wiele kart w przeglądarkach Firefox lub Chrome. (#3138)
* Routing kursora dla monitora brajlowskiego MDV Lilli nie przesuwa już nieprawidłowo jednej komórki brajlowskiej przed miejscem, w którym powinna się znajdować. (#7469)
* W programie Internet Explorer i innych dokumentach MSHTML atrybut HTML5 required jest teraz obsługiwany w celu wskazania wymaganego stanu pola formularza. (#7321)
* Monitory brajlowskie są teraz aktualizowane podczas wpisywania znaków arabskich w dokumencie WordPad wyrównanym do lewej. (#511)
* Dostępne etykiety kontrolek w przeglądarce Mozilla Firefox są teraz łatwiej zgłaszane w trybie przeglądania, gdy etykieta sama w sobie nie jest wyświetlana. (#4773)
* W systemie Windows 10 Creaters Update, NVDA może ponownie uzyskać dostęp do Firefoksa po ponownym uruchomieniu NVDA. (#7269)
* Po ponownym uruchomieniu NVDA z fokusem Mozilla Firefox, tryb przeglądania będzie ponownie dostępny, chociaż może być konieczne naciśnięcie Alt+Tab i z powrotem. (#5758)
* Teraz można uzyskać dostęp do treści matematycznych w Google Chrome w systemie bez zainstalowanej przeglądarki Mozilla Firefox. (#7308)
* System operacyjny i inne aplikacje powinny być bardziej stabilne bezpośrednio po zainstalowaniu NVDA przed ponownym uruchomieniem, w porównaniu z instalacjami poprzednich wersji NVDA. (#7563)
* Podczas korzystania z polecenia rozpoznawania treści (np. NVDA+r), NVDA zgłasza teraz komunikat o błędzie zamiast nic, jeśli obiekt nawigatora zniknął. (#7567)
* Poprawiono funkcję przewijania do tyłu dla monitorów brajlowskich Freedom Scientific zawierających lewy bumper barwy. (#7713)

### Zmiany dla deweloperów

* "Scons tests" sprawdza teraz, czy ciągi znaków do przetłumaczenia mają komentarze tłumacza. Możesz również uruchomić to samodzielnie za pomocą "scons checkPot". (#7492)
* Dostępny jest teraz nowy moduł extensionPoints, który zapewnia ogólną strukturę umożliwiającą rozszerzalność kodu w określonych punktach kodu. Dzięki temu zainteresowane strony mogą zarejestrować się, aby otrzymywać powiadomienia o wystąpieniu jakiejś akcji (extensionPoints.Action), modyfikować określony rodzaj danych (extensionPoints.Filter) lub uczestniczyć w podejmowaniu decyzji, czy coś zostanie zrobione (extensionPoints.Decider). (#3393)
* Teraz możesz zarejestrować się, aby otrzymywać powiadomienia o przełącznikach profilu konfiguracji za pośrednictwem config.configProfileSwitched Action. (#3393)
* Gesty monitora brajlowskiego, które emulują modyfikatory klawiatury systemowej (takie jak control i alt), mogą być teraz łączone z innymi emulowanymi klawiatury systemowej bez wyraźnej definicji. (#6213)
 * Na przykład, jeśli masz na wyświetlaczu powiązany z alt, a inny wyświetlacza z downArrow, połączenie tych spowoduje emulację alt+downArrow.
* Alfabet Braille'a. Klasa BrailleDisplayGesture ma teraz dodatkową właściwość modelu. Jeśli jest dostępny, naciśnięcie spowoduje wygenerowanie dodatkowego, specyficznego dla modelu identyfikatora gestu. Dzięki temu użytkownik może wiązać gesty ograniczone do określonego modelu monitora brajlowskiego.
 * Zobacz sterownik baum jako przykład tej nowej funkcji.
* NVDA jest teraz skompilowany przy użyciu programu Visual Studio 2017 i zestawu Windows 10 SDK. (#7568)

## 2017.3

Najważniejsze cechy tego wydania obejmują wprowadzanie kontrowanych głosów Braille'a, obsługę nowych głosów Windows OneCore dostępnych w systemie Windows 10, wbudowaną obsługę OCR systemu Windows 10 oraz wiele istotnych ulepszeń dotyczących alfabetu Braille'a i Internetu.

### Nowe funkcje

* Dodano ustawienie brajlowskie "pokazuj wiadomości w nieskończoność". (#6669)
* Na listach wiadomości programu Microsoft Outlook, NVDA informuje teraz, czy wiadomość jest oflagowana. (#6374)
* W programie Microsoft PowerPoint podczas edycji slajdu podawany jest teraz dokładny typ kształtu (np. trójkąt, okrąg, wideo lub strzałka), a nie tylko "kształt". (#7111)
* Treści matematyczne (dostarczane jako MathML) są teraz obsługiwane w przeglądarce Google Chrome. (#7184)
* NVDA może teraz mówić przy użyciu nowych głosów Windows OneCore (znanych również jako głosy Microsoft Mobile) zawartych w systemie Windows 10. Dostęp do nich można uzyskać, wybierając głosy Windows OneCore w oknie dialogowym syntezatora NVDA. (#6159)
* Pliki konfiguracyjne użytkownika NVDA mogą być teraz przechowywane w lokalnym folderze danych aplikacji użytkownika. Jest to możliwe za pomocą ustawienia w rejestrze. Aby uzyskać więcej informacji, zobacz "Parametry całego systemu" w Podręczniku użytkownika. (#6812)
* W przeglądarkach internetowych, NVDA raportuje teraz wartości symboli zastępczych dla pól (w szczególności aria-placeholder jest teraz obsługiwany). (#7004)
* W trybie przeglądania w programie Microsoft Word można teraz przechodzić do błędów pisowni za pomocą szybkiej nawigacji (w i shift+w). (#6942)
* Dodano obsługę kontrolki Selektor daty, która znajduje się w oknach dialogowych terminów programu Microsoft Outlook. (#7217)
* Aktualnie wybrana sugestia jest teraz raportowana w polach Poczta do/cc systemu Windows 10 i w polu wyszukiwania Ustawienia systemu Windows 10. (#6241)
* Odtwarzany jest teraz dźwięk wskazujący pojawienie się sugestii w niektórych polach wyszukiwania w systemie Windows 10 (np. ekran startowy, wyszukiwanie ustawień, pola poczty do/DW systemu Windows 10). (#6241)
* NVDA teraz automatycznie raportuje powiadomienia w programie Skype dla firm Desktop, na przykład gdy ktoś rozpoczyna z Tobą rozmowę. (#7281)
* NVDA teraz automatycznie raportuje przychodzące wiadomości czatu podczas konwersacji w programie Skype dla firm. (#7286)
* NVDA teraz automatycznie zgłasza powiadomienia w Microsoft Edge, na przykład o rozpoczęciu pobierania. (#7281)
* Możesz teraz pisać zarówno z kontrakcjami, jak i bez nich na monitorze brajlowskim z klawiaturą brajlowską. Szczegółowe informacje można znaleźć w rozdziale Wprowadzanie brajlowskie w Podręczniku użytkownika. (#2439)
* Możesz teraz wprowadzać znaki brajlowskie Unicode z klawiatury brajlowskiej na monitorze brajlowskim, wybierając opcję Braille Unicode jako tabelę wejściową w ustawieniach brajla. (#6449)
* Dodano obsługę monitora brajlowskiego SuperBraille używanego na Tajwanie. (#7352)
* Nowe tabele tłumaczeń brajlowskich: duński 8-punktowy komputerowy brajl, litewski, perski 8-punktowy alfabet komputerowy Braille'a, perski stopień 1, słoweński 8-punktowy komputerowy brajl komputerowy. (#6188, #6550, #6773, #7367)
* Ulepszono komputerową tabelę brajlowską w języku angielskim (USA) z 8 punktami, w tym obsługę punktorów, znaku euro i liter akcentowanych. (#6836)
* NVDA może teraz korzystać z funkcji OCR zawartej w systemie Windows 10 do rozpoznawania tekstu obrazów lub niedostępnych aplikacji. (#7361)
 * Język można ustawić w nowym oknie dialogowym OCR systemu Windows 10 w preferencjach NVDA.
 * Aby rozpoznać zawartość bieżącego obiektu nawigatora, naciśnij NVDA+r.
 * Więcej informacji można znaleźć w sekcji Rozpoznawanie zawartości w Podręczniku użytkownika.
* Możesz teraz wybrać, jakie informacje kontekstowe mają być wyświetlane na monitorze brajlowskim, gdy obiekt jest aktywny, korzystając z nowego ustawienia "Prezentacja kontekstu ostrości" w oknie dialogowym Ustawienia brajla. (#217)
 * Na przykład opcje "Wypełnij ekran w celu zmiany kontekstu" i "Tylko podczas przewijania do tyłu" mogą sprawić, że praca z listami i menu będzie bardziej wydajna, ponieważ elementy nie będą stale zmieniać swojego położenia na wyświetlaczu.
 * Więcej informacji i przykładów można znaleźć w sekcji dotyczącej ustawienia "Prezentacja kontekstowa ostrości" w Podręczniku użytkownika.
* W Firefoksie i Chrome, NVDA obsługuje teraz złożone dynamiczne siatki, takie jak arkusze kalkulacyjne, w których tylko część treści może być załadowana lub wyświetlona (w szczególności atrybuty aria-rowcount, aria-colcount, aria-rowindex i aria-colindex wprowadzone w ARIA 1.1). (#7410)

### Zmiany

* Dodano nieprzypisane polecenie, aby ponownie uruchomić NVDA na żądanie. Można go znaleźć w kategorii Różne w oknie dialogowym Gesty wprowadzania. (#6396)
* Układ klawiatury można teraz ustawić w oknie dialogowym NVDA Welcome. (#6863)
* Wiele innych typów i stanów kontrolnych zostało skróconych do alfabetu Braille'a. Skrócono również punkty orientacyjne. Pełna lista znajduje się w sekcji "Typ kontrolki, stan i skróty punktów orientacyjnych" w alfabecie Braille'a w Podręczniku użytkownika. (#7188, #3975)
* Zaktualizowano eSpeak NG do wersji 1.49.1. (#7280)
* Listy tabel wyjściowych i wejściowych w oknie dialogowym Ustawienia brajla są teraz posortowane alfabetycznie. (#6113)
* Zaktualizowano tłumacza brajlowskiego liblouis do wersji 3.2.0. (#6935)
* Domyślna tabela brajlowska to teraz Unified English Braille Code grade 1. (#6952)
* Domyślnie, NVDA pokazuje teraz tylko te części informacji kontekstowej, które uległy zmianie na monitorze brajlowskim, gdy obiekt staje się aktywny. (#217)
 * Wcześniej zawsze pokazywał jak najwięcej informacji kontekstowych, niezależnie od tego, czy wcześniej widziałeś te same informacje kontekstowe.
 * Możesz powrócić do starego zachowania, zmieniając nowe ustawienie "Prezentacja kontekstowa ostrości" w oknie dialogowym Ustawienia Braille'a na "Zawsze wypełniaj ekran".
* W przypadku korzystania z alfabetu Braille'a kursor może być skonfigurowany tak, aby miał inny kształt, gdy jest podłączony do fokusu lub recenzji. (#7122)
* Logo NVDA zostało zaktualizowane. Zaktualizowane logo NVDA to stylizowane połączenie liter NVDA w kolorze białym, na jednolitym fioletowym tle. Dzięki temu będzie widoczny na każdym kolorowym tle i wykorzystuje fiolet z logo NV Access. (#7446)

### Poprawki błędów

* Edytowalne elementy div w Chrome nie mają już etykiety zgłaszanej jako wartość w trybie przeglądania. (#7153)
* Naciśnięcie przycisku End w trybie przeglądania pustego dokumentu programu Microsoft Word nie powoduje już błędu w czasie wykonywania. (#7009)
* Tryb przeglądania jest teraz poprawnie obsługiwany w przeglądarce Microsoft Edge, w której dokumentowi przypisano określoną rolę ARIA dokumentu. (#6998)
* W trybie przeglądania można teraz zaznaczyć lub odznaczyć do końca wiersza za pomocą shift+end, nawet jeśli daszek znajduje się na ostatnim znaku wiersza. (#7157)
* Jeśli okno dialogowe zawiera pasek postępu, tekst okna dialogowego jest teraz aktualizowany w alfabecie Braille'a, gdy pasek postępu ulega zmianie. Oznacza to na przykład, że pozostały czas można teraz odczytać w oknie dialogowym NVDA "Pobieranie aktualizacji". (#6862)
* NVDA ogłosi teraz zmiany wyboru dla niektórych pól kombi systemu Windows 10, takich jak Autoodtwarzanie w Ustawieniach. (#6337).
* Bezsensowne informacje nie są już ogłaszane podczas przechodzenia do okien dialogowych tworzenia spotkania/terminu w programie Microsoft Outlook. (#7216)
* Sygnał dźwiękowy dla nieokreślonych okien dialogowych paska postępu, takich jak sprawdzanie aktualizacji, tylko wtedy, gdy dane wyjściowe paska postępu są skonfigurowane tak, aby zawierały sygnały dźwiękowe. (#6759)
* W programach Microsoft Excel 2003 i 2007 komórki są ponownie raportowane podczas umieszczania strzałek w arkuszu. (#7243)
* W aktualizacji Windows 10 Creators Update i nowszych tryb przeglądania jest ponownie automatycznie włączany podczas czytania wiadomości e-mail w programie Poczta systemu Windows 10. (#7289)
* Na większości monitorów brajlowskich z klawiaturą brajlowską punkt 7 wymazuje ostatnio wprowadzoną komórkę lub znak brajlowski, a punkt 8 naciska Enter. (#6054)
* W edytowalnym tekście, podczas przesuwania kursora (np. za pomocą kursora lub Backspace), głosowe sprzężenie zwrotne NVDA jest teraz w wielu przypadkach dokładniejsze, szczególnie w Chrome i aplikacjach terminalowych. (#6424)
* Zawartość edytora podpisów w programie Microsoft Outlook 2016 można teraz odczytać. (#7253)
* W aplikacjach Java Swing NVDA nie powoduje już czasami awarii aplikacji podczas nawigowania po tabelach. (#6992)
* W aktualizacji Windows 10 Creators Update NVDA nie będzie już wielokrotnie ogłaszać wyskakujących powiadomień. (#7128)
* W menu Start w systemie Windows 10 naciśnięcie Enter w celu zamknięcia menu Start po tym, jak wyszukiwanie nie powoduje już, że NVDA ogłasza tekst wyszukiwania. (#7370)
* Szybka nawigacja do nagłówków w przeglądarce Microsoft Edge jest teraz znacznie szybsza. (#7343)
* W przeglądarce Microsoft Edge nawigacja w trybie przeglądania nie pomija już dużych części niektórych stron internetowych, takich jak motyw Wordpress 2015. (#7143)
* W przeglądarce Microsoft Edge punkty orientacyjne są poprawnie zlokalizowane w językach innych niż angielski. (#7328)
* Pismo Braille'a teraz poprawnie podąża za zaznaczeniem podczas zaznaczania tekstu poza szerokością wyświetlacza. Na przykład, jeśli zaznaczysz wiele wierszy za pomocą shift+strzałka w dół, pismo Braille'a pokaże teraz ostatnią zaznaczoną linię. (#5770)
* W Firefoksie, NVDA nie zgłasza już kilka razy fałszywie "section" podczas otwierania szczegółów tweeta na twitter.com. (#5741)
* Polecenia nawigacji po tabelach układu nie są już dostępne dla tabel układu w trybie przeglądania, chyba że jest włączone raportowanie tabel układu. (#7382)
* W przeglądarkach Firefox i Chrome polecenia nawigacji po tabelach w trybie przeglądania pomijają teraz ukryte komórki tabeli. (#6652, #5655)

### Zmiany dla deweloperów

* Sygnatury czasowe w dzienniku obejmują teraz milisekundy. (#7163)
* NVDA musi być teraz skompilowany za pomocą programu Visual Studio Community 2015. Program Visual Studio Express nie jest już obsługiwany. (#7110)
 * Narzędzia systemu Windows 10 i zestaw SDK są teraz również wymagane, które można włączyć podczas instalowania programu Visual Studio.
 * Aby uzyskać dodatkowe informacje, zobacz sekcję Zainstalowane zależności w pliku readme.
* Obsługa aparatów rozpoznawania treści, takich jak OCR i narzędzia do opisu obrazów, może być łatwo zaimplementowana za pomocą nowego pakietu contentRecog. (#7361)
* Pakiet json języka Python jest teraz dołączany do kompilacji binarnych NVDA. (#3050)

## 2017.2

Najważniejsze cechy tej wersji obejmują pełną obsługę wyciszania dźwięku w aktualizacji Windows 10 Creators Update; Poprawki kilku problemów z zaznaczaniem w trybie przeglądania, w tym problemów z zaznaczaniem wszystkiego; znaczące ulepszenia w obsłudze przeglądarki Microsoft Edge; oraz ulepszenia w sieci, takie jak wskazanie elementów oznaczonych jako aktualne (za pomocą aria-current).

### Nowe funkcje

* Informacje o obramowaniu komórki można teraz zgłaszać w programie Microsoft Excel przy użyciu NVDA+f. (#3044)
* W przeglądarkach internetowych NVDA wskazuje teraz, kiedy element został oznaczony jako bieżący (w szczególności za pomocą atrybutu aria-current). (#6358)
* Automatyczne przełączanie języka jest teraz obsługiwane w przeglądarce Microsoft Edge. (#6852)
* Dodano obsługę kalkulatora systemu Windows w systemie Windows 10 Enterprise LTSB (Long-Term Servicing Branch) i Server. (#6914)
* Trzykrotne wykonanie polecenia przeczytaj bieżący wiersz powoduje szybkie przeliterowanie wiersza z opisami znaków. (#6893)
* Nowy język: birmański.
* Strzałki w górę i w dół Unicode oraz symbole ułamków są teraz odczytywane poprawnie. (#3805)

### Zmiany

* Podczas nawigacji za pomocą prostego przeglądu w aplikacjach korzystających z automatyzacji interfejsu użytkownika więcej obcych obiektów jest teraz ignorowanych, co ułatwia nawigację. (#6948, #6950)

### Poprawki błędów

* Elementy menu strony internetowej mogą być teraz aktywowane w trybie przeglądania. (#6735)
* Naciśnięcie Escape, gdy aktywne jest okno dialogowe profilu konfiguracji "Potwierdź usunięcie", powoduje teraz zamknięcie okna dialogowego. (#6851)
* Naprawiono niektóre awarie w przeglądarce Mozilla Firefox i innych aplikacjach Gecko, w których włączona jest funkcja wielu procesów. (#6885)
* Raportowanie koloru tła w przeglądzie ekranu jest teraz dokładniejsze, gdy tekst został narysowany z przezroczystym tłem. (#6467)
* Ulepszona obsługa opisów formantów udostępnianych na stronach internetowych w programie Internet Explorer 11 (w szczególności obsługa aria-describedby w ramkach iframe i gdy podano wiele identyfikatorów). (#5784)
* W aktualizacji Windows 10 Creators Update wyciszanie dźwięku NVDA ponownie działa tak, jak w poprzednich wersjach systemu Windows; tj. Kaczka z mową i dźwiękami, zawsze kaczka i bez kaczenia są dostępne. (#6933)
* NVDA nie będzie już błądzić w nawigowaniu lub zgłaszaniu pewnych kontrolek (UIA), w których skrót klawiaturowy nie jest zdefiniowany. (#6779)
* Dwie puste spacje nie są już dodawane w informacjach o skrótach klawiaturowych dla niektórych kontrolek (UIA). (#6790)
* Niektóre kombinacje na wyświetlaczach HIMS (np. spacja+kropka4) nie zawodzą już sporadycznie. (#3157)
* Naprawiono problem występujący podczas otwierania portu szeregowego w systemach używających niektórych języków innych niż angielski, co w niektórych przypadkach powodowało niepowodzenie połączenia z monitorami brajlowskimi. (#6845)
* Zmniejszono prawdopodobieństwo uszkodzenia pliku konfiguracyjnego podczas zamykania systemu Windows. Pliki konfiguracyjne są teraz zapisywane w pliku tymczasowym przed zastąpieniem rzeczywistego pliku konfiguracyjnego. (#3165)
* Podczas szybkiego wykonywania polecenia szybkiego odczytu bieżącego wiersza dwa razy w celu przeliterowania wiersza, dla pisanych znaków używany jest teraz odpowiedni język. (#6726)
* Nawigacja po linii w przeglądarce Microsoft Edge jest teraz do trzech razy szybsza w aktualizacji Windows 10 Creators Update. (#6994)
